blueDECK

Terug naar menu

blueDECK (tape/cassettespeleremulatie)

-Wat is blueDECK?
Het is een volledige cassettespeleremulator voor blueMSX. Een nieuwe en unieke benadering van tape- en cassettespeleremulatie is geïntroduceerd vanaf versie v1.3.0.

-Wat is er zo speciaal aan blueDECK?
Het ontwikkelingsteam heeft zeer hard gewerkt om gebruikers het beste te bieden op het gebied van tape- en cassettegebruik. Eén van de belangrijkste verbeteringen die zijn aangebracht is de mogelijkheid tot gegevens op cassette op te slaan, zodat gebruikers nu ROM- en cassettespellen volledig kunnen benutten die gegevensopslag op cassettetape verplicht stellen. Maar dat maakt het nog niet speciaal! Houd je vast, de geheel nieuwe blueDECK's "Positie bepalen"-voorziening is waarschijnlijk de meest geavanceerde optie die gebruikers kunnen krijgen op een MSX-emulator. (althans zo denken wij erover... ;)

De verschillende opties van het cassettemenu worden verklaard op deze pagina .

-Wat doet Positie bepalen?
blueDECK kan de inhoud van het cassettebestand analyseren. Niet alleen kunnen gebruikers zien wat er is opgeslagen, ze kunnen er tevens voor kiezen een programmanaam in te stellen als start van een laadpositie! In tegenstelling tot een fysieke datarecorder is snel vooruitspoelen niet noodzakelijk om de gewenste tapepositie te vinden. En daarom hebben we alleen een terugspoeloptie opgenomen. (Goed hè?)

-Met welke formaten is het compatibel?
Oudere versies van het fMSX98/AT CAS-formaat kunnen nu worden lezen en geschreven naast het standaard fMSX-DOS CAS-formaat. Het SVI-318/328- formaat wordt ook ondersteund.

-Wat is er zo revolutionair aan de positieonthouder?
Goed dat je het vraagt! Deze functie behoeft enige toelichting. blueDECK gedraagt zich precies als een echte datacassetterecorder. blueDECK probeert de huidige bandpositie te onthouden als de cassette wordt uitgeworpen zonder de band terug te spoelen. De gebruiker kan terugkeren naar de precieze bandpositie van de ingebrachte cassette na het wisselen van het CAS-bestand. Hoewel, de positieonthouder zal altijd terugkeren naar de laatst bekende bandpositie van het casbestand.

Deze mogelijkheid kan nuttig zijn in een situatie waarin de gebruiker spelgegevens (game data) dient op te slaan tussen twee spellaadpunten. Van zelfsprekend dient de gebruiker terug te keren naar de exacte bandpositie nadat de spelgegevens zijn opgeslagen en het omwisselen van cassettes (n.b. een cassette voor de speldata en een cassette met het originele spel) heeft plaatsgevonden voordat het spel kan worden voortgezet. Dergelijke situaties vormen GEEN enkel probleem voor blueDECK.

-Wat is er bijzonder aan Terugspoelen na Toevoegen?
Als men de tekst onder "Positie bepalen" heeft gelezen weet men dat blueDECK de exacte positie van het CAS-bestand onthouden heeft vanaf het moment dat het bestand voor het laatst was geraadpleegd. En wat als de gebruiker dit niet wil? In dat geval, als deze functie is aangevinkt dan wordt elk CAS-bestand automatisch teruggespoeld als deze wordt ingebracht in het cassetteloopwerk. Het vermindert het aantal bijkomende taken die de gebruiker dient uit te voeren.

Terug naar menu


Externe Cas/wav-databases

Externe Cas/wav-databases

blueMSX maakt gebruik van verschillende databases met SHA1-waarden:

- softwaredb.xml : de MSX-database (op dit moment enkel rom- en cas/wav-gegevens)

- svidb.xml : de SVI-database (met cas/wav, dsk en romgegevens)

Indien een spel is opgenomen in één van deze databases dan kan blueMSX spelinformatie weergeven over hoe het spel uit te voeren (starten) als het DIGIbluethema wordt gebruikt.

Opmerkingen :

- sommige MSX-spellen gebruiken beide zijden van een cassettebandje of soms meer dan één cassettebandje

Indien het spel alleen kan worden gestart vanaf kant A, we hebben een nieuw casbestand ontwikkelt waarin de bestanden die beschikbaar zijn op het internet zijn samengevoegd en dit nieuwe bestand opgenomen in de MSX-database.

- in de wereld van de MSX hebben we cassettes aangetroffen met enkele beperkingen. Deze beperkingen worden aangegeven in de database.

Enkele van deze beperkingen kunnen worden omzeild of opgelost door een nieuw gecorrigeerd bestand aan te maken en gebruik te maken van de onderstaande poke aan het begin van het laadbestand:

POKE-1,(15-PEEK(-1)\16)*17

deze 'universele' poke vervangt de eventueel aanwezige poke -1,0 of poke -1, 85 of poke -1,170 of poke -1,255.

We hebben dergelijk gecorrigeerde bestanden aangemaakt met het gebruik van bovenstaande poke zonder tussenruimtes tussen de karakters en deze bestanden opgenomen in de MSX-database.

- het WAV-formaat voor cassettes wordt nog niet ondersteund door blueMSX

De gegevens voor de WAV-bestanden zijn opgenomen zodat de .xml-bestanden door andere emulatoren kunnen worden gebruikt.

In het algemeen geldt dat slechts één wav-bestand correspondeert met een cas-bestand. We hebben inderdaad gebruikgemaakt van de onderstaande hulpmiddelen om een cas-bestand te converteren naar een wav-bestand:

* voor de MSX-cassettes: cas2wav ontwikkelt door Vincent van Dam - Website: http://home.kabelfoon.nl/~vincentd/

* voor de SVI-cassettes: SviCas2Wav ontwikkelt door Johan Winge - Website: http://home.student.uu.se/jowi4905/svi/

In het geval van twee wav-bestanden voor één cas-bestand en het 2e wav-bestand werd gevonden op het internet én zijn bestandsformaat afweek van het 'standaard'-formaat dat wordt gebruikt door de hierboven vermelde hulpmiddelen.

De .xml-bestanden

Om cas/wav-gegevens toe te voegen aan deze databases dient de onderstaande algemene syntax worden gebruikt:

<software>
oooooo <title xml :lang="en"> .......</title> | Voorbeeld : Q-Bert
oooooo <system> ....... </system> | Voorbeeld : MSX (overige opties: SVI - Coleco - Sega)
oooooo <company> .......</company> | Voorbeeld : Konami
oooooo <year> ......</year> | Voorbeeld : 1986
oooooo <country> ....... </country> | Landcode - Voorbeeld : JP voor Japan
oooooo <dump>
oooooo <group> | Enkel indien een spel bestaat uit meer dan één cassettezijde
ooooooooooooo <original value="...."> ....

         2 opties:
- voor een GoodMSX dump : <original value="true">GoodMSX</original>
- voor een andere dump : <original value="false"/>
ooooooooooooo <cas> | software medium
ooooooooooooo <start>
ooooooooooooooooo<text> ....... </text>
         uitvoercommando - RUN"CAS:" - BLOAD"CAS:",R - CLOAD+RUN -
eventueel voorafgegaan door: Position Tape+
ooooooooooooo </start>
ooooooooooooo <format type="...."> | bestandsformaat : cas or wav
oooooooooooooo o o <hash algo="sha1"> ....... </hash> | sha1-waarde
ooooooooooooo </format>
ooooooooooooo <format type="...">... </format> | Volgend bestandsformaat voor dezelfde cassettezijde!
ooooooooooooo <remark>
oooooooooooooooo ooo o<text> ....... </text> | Hier kan overige informatie over de cassettezijde worden toegevoegd
ooooooooooooo </remark>
ooooooooooooo </cas>
ooooooooooooo <cas>............................... </cas> | Volgende zijde van dezelfde groep!
oooooo </group>
oooooo </dump>
oooooo <dump> | Volgende dump van hetzelfde spel!
...........................
oooooo </dump>
</software>

Hoe kan de sha1-waarde van een cas/wav-spel worden gevonden?

- gebruik een zoekmachine als Google om te zoeken op het internet. Er zullen verschillende zoektreffers worden gevonden naar programmatoepassingen die de sha1-waarde kunnen berekenen.


Het cassettemenu

Het cassettemenu

Het cassettemenu is het derde onderdeel in het menu Bestand; het bestaat uit de volgende menuonderdelen:

Toevoegen
Biedt de mogelijkheid een cassettebeeld toe te voegen in de cassettepoort.
De optie accepteert zowel de CAS- als ZIP-bestandstypen.
Indien een zip-bestand meer dan één cassettebeeld bevat dan zal er een dialoogscherm worden weergegeven met een lijst van alle aanwezige cassettes.
De emulator detecteert automatisch het gehanteerde bestandsformaat, te weten: het fMSX-DOS, fMSX98/AT of SVI-328-formaat.
De gebruiker kan een nieuw en leeg cas-bestand aanmaken door een bestandsnaam in te geven in het veld voor de bestandsnaam.

Verwijderen
Biedt de mogelijkheid een cassettebeeld uit te werpen uit de cassettepoort.
Opmerking: blueDECK (de speciale blueMSX-cassettetoepassing) onthoudt waar de cassette het laatst is uitgeworpen (net als een echte datarecorder).

Terugspoelen na toevoegen
Indien deze optie is aangevinkt spoelt de emulator de cassette automatisch terug nadat deze wordt ingegeven.
Opmerking: Dit is handig omdat blueDECK de laatst gebruikte positie onthoudt en zal proberen vanaf dat punt verder te gaan.

Gebruik cassettebeeld als Alleen Lezen
Dit is een andere optie die kan worden aangevinkt en is een vrij belangrijke optie.
Indien de optie Alleen Lezen niet is aangevinkt worden de gegevens direct opgeslagen in het ingevoegde cas-bestand.
Indien deze optie is aangevinkt worden de gegevens niet opgeslagen totdat dit expliciet wordt aangegeven via de menuoptie opslaan.

Cassettebeeld Opslaan Als...
Biedt de mogelijkheid een programma op te slaan in een cas-bestand.
Er kan gekozen worden tussen fMSX-DOS, fMSX98/AT en SVI-328-bestandsformaten.

Positie bepalen
Biedt de mogelijkheid een laadpositie in te stellen door het ingeven van een naam die gebaseerd is op de inhoud van het bestand.
Het geeft tevens de mogelijkheid de inhoud van een cas-bestand weer te geven.

Terugspoelen
Met deze optie wordt de cassette handmatig teruggespoeld.

Recente bestanden
Geeft een lijst weer van de meest recent gebruikte cassettebeelden die aan de cassettespeler zijn toegevoegd.
Een cassettebeeld kan uit deze lijst worden geselecteerd in plaats van de anders te gebruiken menuoptie Toevoegen.


C-BIOS-machinesconfiguraties

C-BIOS-machineconfiguraties

blueMSX wordt geleverd met C-BIOS, een alternatief freeware BIOS en waarop drie 3 machineconfiguraties zijn gebaseerd.
De noodzakelijke systeemroms zijn voor iedere configuratie opgeslagen in een eigen submap in de map Machines.

We bedanken hier de ontwikkelaars van dit open bron BIOS, dat vrijelijk gebruikt kan worden:

Albert Beevendorp | ontwikkelaar
Manuel Bilderbeek | support manager
Eric Boon | ontwikkelaar
BouKiChi | ontwikkelaar
Herman Oudejans | tester
Jussi Pitkänen | programmeur
Reikan | gepensioneerd programmeur
Maarten ter Huurne | ontwikkelaar
Patrick van Arkel | tester
Joost Yervante Damad | verpakker

C-BIOS is nog steeds in ontwikkeling en ondersteund vooralsnog geen disk, cassette of MSX-BASIC maar elke versie is beter dan de voorgaande. Vrijwel alle romspellen kunnen zonder enige problemen worden uitgevoerd. Om kennis te nemen van de huidige stand van zaken rondom de C-BIOS-ontwikkeling kan de officiële website worden bezocht.

Indien een C-BIOS-configuratie wordt uitgevoerd zonder een zelfstartende cartridge in sleuf 1 of 2, dan wordt een introductiescherm weergegeven met de mededeling dat de machineconfiguratie werd uitgevoerd zonder romcartridge:

C-BIOS introductiescherm | Geen romcartridge aanwezig in sleuf 1 of 2.

De MSX C-BIOS-machineconfiguratie beschikt over 4 niet-uitbreidbare sleuven van 64 Kb RAM en 16 Kb VRAM.

De MSX2 C-BIOS en MSX2+ C-BIOS-machineconfiguraties beschikken over 3 niet- uitbreidbare sloten, 1 uitbreidingsslot, 512 Kb mapped RAM en 128 Kb VRAM. Bovendien beschikt MSX2+-machineconfiguratie over MSX-MUSIC.

In alle gevallen zijn er 2 cartridge sleuven en bedraagt de videofrequentie 60 Hz maar deze kan handmatig naar 50 Hz omgeschakeld worden in het menu Opties/Emulatie.

Hieronder vindt u alle uitleg om C-BIOS-configuraties uit te rusten met MSX-MUSIC and MSX-AUDIO.

Het is belangrijk om de uitbreidbare C-BIOS-configuraties onder een nieuwe naam te bewaren:

- C-BIOS is nog steeds in ontwikkeling en de ontwikkelaars voeren tests uit met de originele versies (deze zijn ook beschikbaar voor andere emulatoren); indien u opgetreden bugs wilt rapporteren tijdens het gebruik van een C-BIOS-configuratie gebruik dan altijd een originele machineconfiguratie en preciseer welke configuratie u heeft gebruikt (MSX, MSX2 of MSX2+).

- De originele MSX2 C-BIOS-machineconfiguratie is altijd bruikbaar indien u een spel wilt uitvoeren met een automatische keuze tussen PSG en MSX-MUSIC maar enkel de PSG-geluiden wenst te horen in plaats van MSX-MUSIC.

Deze pagina geeft een overzicht van romspellen met automatische keuze tussen PSG en MSX-MUSIC.

Hoe kan MSX-MUSIC en MSX-AUDIO worden toegevoegd aan een bestaande MSX C-BIOS-machineconfiguratie?

- ga naar de map Machines
- maak een kopie van de onderliggende MSX C-BIOS-map en sla deze op onder een nieuwe naam (bijvoorbeeld: MSX C-BIOS 2)
- ga naar de MSX2+ C-BIOS submap
- kopieer het bestand cbios_music.rom en plak deze in de zo-even nieuw aangemaakte map
- start de machineconfiguratie-editor om toe te voegen:
* een MSX-geluidschip of Y8950 (zonder toevoeging van een rombestand)
* in slot 2, de MSX Music-rom (cbios_music.rom): het juiste romtype moet aangegeven worden (MSX-MUSIC) en het adres (4000-7FFF)
- sla de aangepaste machineconfiguratie op

Hoe kan MSX-MUSIC en MSX-AUDIO worden toegevoegd aan een bestaande MSX2 C-BIOS-machineconfiguratie?

- ga naar de map Machines
- maak een kopie van de onderliggende MSX2 C-BIOS-map en sla deze op onder een nieuwe naam (bijvoorbeeld: MSX2 C-BIOS 2)
- ga naar de MSX2+ C-BIOS submap
- kopieer het bestand cbios_music.rom en plak deze in de nieuw aangemaakte bestandsmap
- start de machineconfiguratie-editor om toe te voegen:
* een MSX-geluidschip of Y8950 (zonder toevoeging van een rombestand)
* in slot 3-1, de MSX-MUSIC-rom (cbios_music.rom): het juiste romtype moet aangegeven worden (MSX Music) en het adres (4000-7FFF)
- sla de aangepaste machineconfiguratie op

Hoe kan MSX-AUDIO worden toegevoegd aan een bestaande MSX2+ C-BIOS-machineconfiguratie?

- start de machineconfiguratie-editor om een MSX-geluidschip of Y8950 toe te voegen (zonder toevoeging van een rombestand)
- sla de aangepaste machineconfiguratie op onder een nieuwe naam (bijvoorbeeld: MSX2+ C-BIOS 2)

Opmerking over MSX-AUDIO: de toevoeging van een Panasonic MSX-AUDIO-romcartridge in een cartridgesleuf is enkel vereist voor toepassingen die gebruikmaken van MSX-AUDIO BASIC of MSX-AUDIO gebruiken als vervanging voor MSX-MUSIC (bijvoorbeeld spellen van Compile en Compile diskstations).

In dit laatste geval, bewerk eerst de MSX C-BIOS of de MSX2 C-BIOS machineconfiguratie met de machineconfiguratie-editor om enkel een MSX-geluidschip toe te voegen en sla de aanpaste machineconfiguratie op onder een nieuwe naam.

Helaas, momenteel ondersteunt C-BIOS slechts gedeeltelijk de MSX-AUDIO-cartridges. Vergeet niet dat C-BIOS nog steeds in ontwikkeling is, toekomstige verbeteringen betreffen de ondersteuning van disk en MSX-BASIC. Wanneer C-BIOS 0.22 beschikbaar komt dan kan MSX-AUDIO worden beluisterd met 3 romspellen als de Panasonic MSX-AUDIO-cartridge zich in sleuf 1 bevind en het spel in cartridgesleuf 2 : Family Stadium, Labyrinth en Xevious.


Commandoregel argumenten

Commandoregel argumenten

De tabel hieronder geeft een lijst van de commandoregelargumenten die met blueMSX gebruikt kunnen worden. Dit is nuttig voor ontwikkelaars van front-ends en voor gebruikers die een voorliefde voor de commandoregel koesteren.

Argument | Beschrijving
/cas <bestandsnaam> | Bepaalt het cassettebeeld voor de cassettespeler. De bestandsnaam geeft het bestand met het cassettebeeld aan.
/caszip <bestandsnaam> | Bepaalt welk cassettebeeld uit een ingepakt bestand moet worden toegevoegd aan de cassettespeler. Standaard wordt het eerste cassettebeeld gebruikt.
/diskA <bestandsnaam> | Bepaalt het diskettebeeld voor diskettestation A. De bestandsnaam geeft het bestand met het diskettebeeld aan.
/diskAzip <bestandsnaam> | Bepaalt welk diskettebeeld uit een ingepakt bestand moet worden toegevoegd aan diskettestation A. Standaard wordt de eerste diskettebeeld gebruikt.
/diskB <bestandsnaam> | Bepaalt het diskettebeeld voor diskettestation B. De bestandsnaam geeft het bestand met het diskettebeeld aan.
/diskBzip <bestandsnaam> | Bepaalt welk diskettebeeld uit een ingepakt bestand moet worden toegevoegd aan diskettestation B. Standaard wordt het eerste diskettebeeld gebruikt.
/fullscreen | Start blueMSX in de volledige schermmodus. Indien niet gespecificeerd dan start de emulator in een normaal scherm.
/ide1primary <bestandsnaam> | Bepaalt het vaste schijfbeeld voor de primaire IDE-controller. De bestandsnaam geeft het bestand met het vaste schijfbeeld aan.
/ide1secondary <bestandsnaam> | Bepaalt het vaste schijfbeeld voor de secundaire (slave) IDE-controller. De bestandsnaam geeft het bestand met het vaste schijfbeeld aan.
/language <naam> | Stelt de taal van de emulator in. De naam voor de taal is de Engelstalige naam van de taal ingegeven in kleine letters bijvoorbeeld: dutch, english of french.
/machine <naam> | Bepaalt de te emuleren machineconfiguratie, bijvoorbeeld: MSX, MSX2J, MSXBR, MSX2+, "MSX2+ Panasonic FS-A1FX".
/reset | Herstelt de standaard instellingen van blueMSX.
/rom1 <bestandsnaam> | Bepaalt het romcartridgebeeld voor cartridgesleuf 1. De bestandsnaam geeft het bestand met het rombeeld aan.
/rom1zip <bestandsnaam> | Bepaalt welk rombeeld uit het in het ingepakte bestand moet worden toegevoegd aan cartridgesleuf 1. Standaard wordt het eerste rombeeld gebruikt.
/rom2 <bestandsnaam> | Bepaalt het rombeeld voor cartridgesleuf 2. De bestandsnaam geeft het bestand met het rombeeld aan.
/rom2zip <bestandsnaam> | Bepaalt welk rombeeld uit het in het ingepakte bestand moet worden toegevoegd aan cartridgesleuf 2. Standaard wordt het eerste rombeeld gebruikt.
/romtype1 <rom type> | Bepaalt het te gebruiken type rommapper voor de cartridge in sleuf 1. Indien geen type rommapper is aangegeven dan raadpleegt de emulator de externe database om het te gebruiken type rommapper te bepalen. Deze pagina geeft een overzicht van alle ondersteunde typen rommappers.
/romtype2 <rom type> | Bepaalt het te gebruiken type rommapper voor de cartridge in sleuf 2. Indien geen type rommapper is aangegeven dan raadpleegt de emulator de externe database om het te gebruiken type rommapper te bepalen. Deze pagina geeft een overzicht van alle ondersteunde typen rommappers.
/theme <naam> | Stelt het thema van de emulator in. De naam moet overeenstemmen met de naam van een thema uit de submap Themes.


Contact

Contact

Voor opmerkingen, rapporteren van bugs, programma(uitbreiding)suggesties of bruikbare tips met betrekking tot blueMSX breng dan een bezoek aan het Officiële blueMSX Forum. Het forum biedt de mogelijkheid tot het stellen van vragen, het opperen van ideeën en de mogelijkheid te discusseren met de ontwikkelaars van blueMSX.

Tevens kan de blueMSX-website of de Japanse ondersteuningspagina worden bezocht voor informatie over nieuwe releases en nuttige MSX-links.


ColecoVision joystick

ColecoVision joystick

Naast de bewegingsrichtingen en de vuurknoppen beschikt de ColecoVision joystick over een speciaal numeriek toetsenbord met de nummers 1 tot en met 9, 0 en twee extra toetsen met een "*" en een "#".

Standaard corresponderen de knoppen, bewegingsrichtingen en toetsen met de volgende toetsen van een PC toetsenbord (met Qwerty-indeling): Spatiebalk - Linker Alt - Omhoog - Omlaag - Links - Rechts - 1 tot 9, 0, -, = (de toetsen van het numerieke toetsenbord worden niet gebruikt).

Deze toetsenkoppeling kan worden gewijzigd indien men bijvoorbeeld het numerieke toetsenbord wenst te gebruiken in combinatie met een PC joystick!

De procedure is eenvoudig, zie hoe de Coleco 1-toets wordt gekoppeld aan de 1-toets van het numerieke toetsenbord :

STAP 1

selecteer de 1-toets door op de virtuele joystick te klikken.
STAP 2

druk op de 1-toets van het numerieke toetsenbord van de PC.

STAP 3

herhaal eventueel de eerste twee stappen voor de overige toetsen, knoppen of bewegingsrichtingen. Klik vervolgens op de OK-knop van de besturingseditor om de configuratie op te slaan.


MSX joystick

MSX joystick

De MSX joystick is een joystick met twee knoppen en met acht bewegingsrichtingen. Het wordt geëmuleerd middels een echte PC joystick of middels toetsen op het toetsenbord.

Standaard zijn de knoppen en bewegingsrichtingen gekoppeld aan de PC joystick, maar dit kan eenvoudig gewijzigd worden, bijvoorbeeld als men niet beschikt over een PC joystick!

De procedure is eenvoudig, zie hoe de linker knop gekoppeld wordt aan de Spatiebalk op het toetsenbord van de PC:

STAP 1

selecteer de linker knop door hierop te klikken in de virtuele joystick.
STAP 2

druk op de Spatiebalktoets van het PC toetsenbord

STAP 3

herhaal eventueel de eerste twee stappen voor de overige knoppen en bewegingsrichtingen, klik vervolgens op de OK-toets van de besturingseditor om de configuratie op te slaan.


Toetsenbord

Toetsenbord

blueMSX bevat een Turbo-R GT-toetsenbord. Het is het meest volledige toetsenbord en het beschikt over twee speciale toetsen die enkel door de interne software in deze computer wordt gebruikt (ST- of GT-variant).

De configuratie van het toetsenbord wordt bepaald door het BIOS van de geëmuleerde machineconfiguratie.

Het MSX-toetsenbord is vrijwel gelijk aan een standaard PC-toetsenbord. Het schrijfgedeelte van het toetsenbord is vrijwel gelijk en hetzelfde geldt voor het numerieke toetsenbord.

Het MSX-toetsenbord beschikt over vijf fysieke functietoetsen. Om de functietoetsen 6 tot en met 10 te gebruiken moet de shift-toets worden ingedrukt en één van de toetsen F1 tot en met F5.

Omdat sommige MSX-toetsen ontbreken op een standaard PC-toetsenbord maakt de emulator om die reden enkele toetsenbordaanpassingen om het volledige MSX-toetsenbord te ondersteunen. Deze specifieke MSX-toetsen worden gekoppeld aan de volgende toetsen op het PC-toetsenbord:

MSX-toets | PC-toets
Select | End
Stop | Page Up
Clr Home | Home
Graph | Linker Alt
Code / Kana / Hangul | Rechter Alt
Comma on numpad | Page Down
Accent / Underscore | Rechter Ctrl

De Panasonic MSX2+- en Turbo-R-computers beschikken over twee speciale toetsen met Japanse tekens. Deze toetsen worden door sommige programma's gebruikt om een keuze te bevestigen of om hiervan af te zien.

MSX-toets | PC-toets
Invalidate "iee " | Linker Windows of Vorige (Explorer)
Validate "hai" | Rechter Windows of Volgende (Explorer)

Verder maakt blueMSX gebruik van vele toetsen of toetscombinaties voor sneltoetsen. Deze kunnen worden gewijzigd met de besturingseditor, in het tabblad Toetsenbord.

Als de standaard koppelingen eventueel problemen veroorzaken kunnen deze koppelingen eenvoudig gewijzigd worden!

De procedure is eenvoudig, zie hoe de MSX SELECT-toets gekoppeld wordt aan de PageUp-toets op het PC-toetsenbord :

STAP 1

selecteer de MSX SELECT-toets hierop te klikken op het virtuele toetsenbord

Indien er wordt geklikt op een toets van het virtuele toetsenbord dan wordt de huidige toetskoppeling weergegeven. In bovenstaand voorbeeld is de SELECT-toets gekoppeld aan de END-toets op het PC-toetsenbord.

STAP 2

druk op de PageUp-toets van het PC-toetsenbord

De nieuwe koppeling wordt automatisch gedetecteerd door de emulator en weergegeven. In nevenstaand voorbeeld is PRIOR de algemene benaming voor de PageUp-toets)

Bovendien wordt de bestaande MSX-toets die gekoppeld is aan de PageUp-toets op het PC-toetsenbord rood gemarkeerd. Standaard is de PageUp-toets gekoppeld aan de STOP-toets op het MSX-toetsenbord.

STAP 3

herhaal eventueel de eerste twee stappen voor de andere toetsen en klik vervolgens op de OK-toets van de Controllers / Toetsenbordeditor om de configuratie op te slaan.

Logischer wijs zou men de MSX STOP-toets kunnen koppelen aan de END-toets op het PC-toetsenbord om een alternatief maar coherent toetsenbord te verkrijgen!

Het creëren van een volledige nieuw toetsenbord is relatief tijdrovend en vereist enig geduld. In het algemeen is het eenvoudiger enkel de toetskoppelingen van die toetsen waarna uw interesse uitgaat te wijzigen.

Voor die toetsen waarin geen wijzigingen zijn aangebracht in de toetskoppelingen geldt dat deze blijven gekoppeld aan toetsen op het PC-toetsenbord zoals deze gedefinieerd zijn in h et BIOS van de geëmuleerde computerconfiguratie.

Vragen en antwoorden

Waarom lijkt het of mijn toetsenbord niet of onjuist reageert als ik op sommige toetsen druk?
De standaard procedure is als eerste te controleren welke toetsenbordindeling door het besturingssysteem Windows wordt gebruikt. Wees er zeker van dat een juist toetsenbord en toetsenbordstuurprogramma wordt gebruikt en dat in overeenstemming is met de plaats waar men zich bevindt. Dit houdt in dat er geen specifieke toetsenbordindeling dient te worden gebruikt als deze indeling afwijkt van de taal van het besturingssysteem (bijvoorbeeld het gebruik van een engelse toetsenbordindeling in combinatie met een Japans besturingssysteem). Dit kan tot onvoorziene resultaten leiden als men blueMSX gebruikt.

Houdt er rekening mee dat het MSX-BIOS bepaalt welke toetsenbordindeling wordt toegepast. Als een Europese MSX-machineconfiguratie wordt opgestart dan wordt een Engelse toetsenbordindeling met corresponderende MSX-toetsen. Het meest waarschijnlijk leidt dit tot een afwijkende uitvoer bij het gebruik van een Japanse MSX-BIOS op een PC met een Engels/Amerikaanse toetsenbordindeling. Dit is hoe blueMSX is ontworpen en is derhalve een normale gedraging.

Het kan voorkomen dat sommige toetsenborden problemen geven met specifieke toetsen (bijvoorbeeld de Kana-toets op een Japans toetsenbord). Dergelijke problemen kunnen worden verholpen met de Toetsenbordeditor.

Waarom lijkt het dat mijn toetsenbord blijft 'hangen' als ik tegelijkertijd vele toetsen ingedrukt houd?
Dit is geen fout van blueMSX maar een probleem van sommige PC-toetsenborden die vreemd reageren wanneer vele toetsen tegelijkertijd worden ingedrukt. Het maximale aantal toetsen dat tegelijkertijd kan worden ingedrukt varieert van toetsenbord tot toetsenbord. Dergelijke problemen kunnen ook ontstaan met sommige toetscombinaties als Rechts + Links + End of Down + Links + Spatiebalk.

Een oplossing voor dit probleem kan meestal worden gevonden in het gebruik van het numerieke toetsenbord:
- gebruik de besturingseditor om de koppelingen van de pijltjestoetsen te wijzigen;
- beschouw de toetsen 8, 4, 6 en 2 als pijltjestoetsen en u kunt waarschijnlijk enkele toetscombinaties gebruiken welke niet werken met de reguliere pijltjestoetsen.
Als deze truc wordt toegepast de hierboven genoemde voorbeelden worden dan 6 + 4 + End en 2 + 4 + Spatiebalk.


Overige besturingsapparaten

Overige besturingsapparaten

Muis

Enkele MSX-programma's ondersteunen het gebruik van een muis. Niet verrassend is dat de emulator de PC-muis als invoerapparaat gebruikt om de MSX-muis te emuleren.

De muis kan op een MSX ook gebruikt worden als een joystick. Indien de linkermuisknop tenminste vijf seconden na de opstartprocedure van de MSX-computer wordt ingedrukt!
Dongle

Sommige MSX-spellen zijn hardwarematig tegen kopiëren beveiligd middels een dongle, die op de joystickpoort dient te worden aangesloten.

Twee verschillende dongles worden ondersteund:
- de Tetris 2 Special Edition-dongle voor het spel met dezelfde naam;
- de Magic Key-dongle voor het spel Replicart
Gunstick

Sommige MSX-spellen kunnen enkel worden gespeeld met een gunstick: Cosmic Sheriff, Solo, Target Plus, Duck Hunt, Mike Gunner en Dungeon Hunter.

Drie verschillende gunsticks worden ondersteund:
- the ASCII Plus-X Terminator Laser
- the MHT Ingenieros Gunstick

In beide gevallen wijzigt de functie van de PC-muis in een gunstick!


Creatie van casbeelden

Creatie van casbeelden

Sommige spellen bieden de mogelijkheid om speldata op (cassette)band op te slaan. Er moet dus een nieuw en leeg casbeeld te worden gecreëerd. Dit is ook het geval als men bestanden wenst op te slaan op een nieuwe cassette.

Hoe kan een cassette worden gecreëerd en een nieuw en leeg CAS-bestand?
- klik op Bestand/Cassette/Toevoegen
- voer een nieuwe bestandsnaam in en klik vervolgens op de knop "Open"

Hoe kunnen gegevens worden opgeslagen op een CAS-bestand?
- controleer eerst of de cassette niet in de Alleen Lezen-modus (schrijfbeveiliging) staat via menu Bestand/Cassette
Met name bij spellen, de directe schrijfmodus wordt aangeraden om gegevensverlies te voorkomen maar er zijn ongetwijfeld voldoende redenen om de alleen lezen-modus te gebruiken.

- gebruik eventueel de optie "Positie bepalen" om een goede (veilige?) bandpositie te bepalen op het cassettebeeld

- volg de opslaginstructies voor gegevens die zeer specifiek kunnen zijn voor sommige spellen

- voor de eigen BASIC- of binaire bestanden, gebruik de van toepassing zijnde MSX-BASIC-commando's en druk op de toets RETURN (dit is de Entertoets op de PC)

Commando |
SAVE"CAS:naam" | Om BASIC-bestanden op te slaan in ASCII-modus
BSAVE"CAS:naam",startadres,eindadres,[uitvoeringsadres] | Om binaire bestanden op te slaan
CSAVE"naam" | Om BASIC-bestanden op te slaan in de token-modus

- als de cassette zich in de alleen lezen-modus bevindt vergeet dan niet de optie Cassettebeeld opslaan in het menu Bestand/Cassette en selecteer eventueel het geschikte bestandsformaat van het CAS-bestand. Men kan kiezen tussen het oudere fMSX98/AT CAS-formaat, standaard fMSX-DOS CAS-formaat of het SVI-318/328-formaat.


De creatie van diskbeelden

De creatie van diskbeelden

Sommige spellen bieden de mogelijkheid om speldata op (gebruikers)diskette op te slaan. Er moet dus een nieuw en leeg diskettebeeld worden gecreëerd. Dit is ook het geval als men bestanden wenst op te slaan op een nieuwe diskette.

Hoe kan een nieuw en leeg DSK-bestand worden gecreëerd en toegevoegd?

Eerste procedure - alleen voor MSX-computers

- klik op Bestand/Diskettestation A/Toevoegen
- voer een nieuwe bestandsnaam in en klik vervolgens op de knop "Open"

Deze procedure creëert altijd een "standaard" DSK-bestand voor het MSX-systeem: een 720 Kb - 2-zijdige - 80 tracks - 9 sectoren per track.

Tweede procedure - voor MSX- en SVI-328-computers

- klik op Bestand/Diskettestation A/Toevoegen nieuw Diskettebeeld
- selecteer één van de zes beschikbare diskettegroottes (4 voor MSX en 2 voor SVI-328)
- geef een nieuwe naam in voor bestand in het en klik vervolgens op de knop "Open"

Deze procedure kan 6 verschillende typen DSK-beelden creëren:

MSX-computers (3.5'' diskettes)
- 720 Kb - 2 zijden - 80 tracks - 9 sectoren per track
- 640 Kb - 2 zijden - 80 tracks - 8 sectoren per track
- 360 Kb - 1 zijden - 80 tracks - 9 sectoren per track
- 320 Kb - 1 zijden - 80 tracks - 8 sectoren per track

SVI-328-computers (5.25'' diskettes)
- 338 Kb - 2 zijden
- 168 Kb - 1 zijde

Hoe kan een nieuw DSK-bestand geformatteerd worden?

MSX-computers

- start de geselecteerde MSX-machineconfiguratie op met de nieuwe en lege DSK-bestand in diskettestation A
- wanneer men zich in MSX-BASIC bevindt, gebruik dan het commando CALL FORMAT om een nieuwe diskette te formatteren.

- geeft het gewenste station aan (als er twee diskettestations aanwezig zijn)
- kies de gewenste wijze van formattering (als de controller van de diskettestations dit ondersteund)
- druk op een toets om het formatteren te beginnen en wacht tot opdracht is beëindigd

Voor MSX1-, MSX2- and MSX2+-machines, deze formatteringswijze ondersteund alleen MSX-DOS 1 (geen submappen);
een andere formattering is mogelijk op MSX2- en MSX2+-computers met MSX-DOS 2.2, dit betekent dat de computer moet worden opgestart met de MSX-DOS 2-romcartridge in een cartridgesleuf en een MSX-DOS 2-diskette in station A

Met een TURBO-R is de wijze van formattering afhankelijk van de modus waarin de computer wordt uitgevoerd. De twee modi zijn: de Z80- en deR800-modus:
* in Z80-modus, de formattering ondersteund uitsluitend MSX-DOS 1 (geen submappen)
* in R800-modus, de formattering ondersteund tevens MSX-DOS 2.3 (submappen en extra commando's)

Het is een meer bewerkelijke manier om diskettes op een MSX-computer te formatteren door gebruik te maken van de MSX-DOS-commandoregel en het commando FORMAT in te geven. In dit geval moet de computer eerst opgestart worden met een MSX-DOS 1-diskette in station A.

SVI-328 computers

- start de geselecteerde SVI-328-machineconfiguratie met de CP/M-diskette in station A die overeenkomt met de grootte van de nieuwe DSK-bestand
- op de CP/M-commandoregel, type het commando FORMAT in

- plaats een nieuwe diskette in station A
- geeft het gewenste station aan (als er twee diskettestations aanwezig zijn)
- druk op de Entertoets om het formatteren te beginnen en wacht tot de opdracht is beëindigd
-antwoordt N als er een andere diskette moet worden geformatteerd
- plaats een CP/M-diskette in station A
- druk op de entertoets om op te starten in de CP/M-modus

Het is een meer bewerkelijke manier om diskettes op een SVI-328-computer te formatteren maar de computer kan ook gestart worden met een diskette dat SV Disk Basic bevat en overeenkomt met de grootte van het nieuwe DSK-bestand. Gebruik het Basic commando FORMAT om een diskette te formatteren.

Hoe kunnen gegevens op een diskette worden opgeslagen?
- volg de opslaginstructies die voor sommige specifiek gelden

- voor eigen BASIC- of binaire bestanden kunnen de geschikte MSX-BASIC-commando's gebruiken en druk op RETURN (de entertoets op de PC)

Commando |
SAVE"[stationsnaam:]bestandsnaam", A | Om BASIC-bestanden op te slaan in ASCII mode
BSAVE"[stationsnaam:]bestandsnaam", startadres,eindadres, [uitvoeringsadres] | Om binaire bestanden op te slaan
SAVE[stationsnaam:]"bestandsnaam" | Om BASIC-bestanden op te slaan in de tokenmodus

In MSX-BASIC zijn de namen voor de diskettestations A en B; in SV Disk Basic zijn de gebruikte namen 1 en 2.


Creatie van vaste schijfbeelden

Creatie van vaste schijfbeelden

Indien men zelf vaste schijfbeelden wenst te maken dan moet dit in 3 stappen gebeuren:
- IDE-controllers toevoegen aan een machineconfiguratie
- creëren van een nieuw en leeg vaste schijfbeeld
- formatteren van dit nieuw en lege vaste schijfbeeld

Om vaste schijfbeelden uit te voeren wordt verwezen naar deze pagina.

Om de "normale" bestanden van diskettebeelden over te dragen naar een vaste schijfbeeld kan het commando COPY van MSX-DOS 2 gebruikt worden. Externe programmatoepassingen zijn noodzakelijk om de bestanden over te dragen van de PC vaste schijf naar een MSX vaste schijfbeeld.

Eerste stap: IDE-controllers toevoegen aan een machineconfiguratie

- klik op Bestand /Cartridgesleuf 1 (of sleuf 2)/Toevoegen Speciale Cartridge/IDE
- selecteer één van de drie beschikbare IDE-controllers: Sunrise, Beer of GIDE

Sunrise IDE is de welbekende IDE-controller ontwikkeld door Sunrise voor MSX. Er kunnen maximaal twee IDE-apparaten worden verbonden zoals een vaste schijf of CD-ROM en bevat MSX-DOS 2. Een recente versie kan gebruikt worden met een MSX1 met geheugenmapper maar het wordt aangeraden om het op een MSX2-, MSX2+- of Turbo-R-machineconfiguratie te gebruiken om volledige toegang te krijgen tot het 'leuke' van een vaste schijf!

Zie ook de Sunrise website: http://www.msx.ch/sunformsx/download/dl-ide.html

Of de MSX Pro website: http://www.msxpro.com/ide.html

Een directe link naar een zeer nuttig DSK-bestand: http://www.msxpro.com/download/ideutils.zip

Beer IDE is een systeem ontwikkeld door Egor Voznesnssenski (SOLID) en een partitieapplicatie is geschreven door Adriano da Cunha (A&L Software). Deze IDE-interface heeft geen memory mapper of MSX-DOS 2 nodig maar een patch van de Beer BIOS kan noodzakelijk zijn. BEER202 BIOS beheert een vast aantal van 5 stations en elke partitie kan tot 32MB groot zijn.

Zie verder op deze webpagina en zoek op BEER: http://www.hansotten.com/msxdiy.html

GIDE is een generieke IDE-interface voor op Z80-processoren gebaseerde computers. Er kunnen maximaal twee IDE-apparaten worden verbonden met deze computers, zoals een vaste schijf of CD-ROM. Het beschikt tevens over een real-time klok (RTC, Seiko-Epson 72421). De interface wordt benaderd via I/O-instructies en het basisadres is 0x40 voor de SVI-328 en 0x60 voor MSX. Het is meer ontwikkeld voor gebruik door ontwikkelaars en experts en vereist het schrijven software om het te kunnen gebruiken.

Zie ook deze websites: http://www.gaby.de/gide/ en http://www.iee.et.tu-dresden.de/~kc-club/gide/gide.html

Tweede stap: creëren van een nieuwe en leeg vaste schijfbeeld

- ga naar Bestand/Vaste schijf

Indien een IDE-controller is toegevoegd kan dit menu gebruikt worden. Het is licht verschillend voor elk type IDE:

Sunrise IDE
Beer IDE
GIDE

- ga naar de Primaire Controller of de enige beschikbare controller

Vervolgens in onderstaand submenu:

- klik op Toevoegen Nieuw vaste schijfbeeld
- selecteer de grootte van het nieuwe vaste schijfbeeld
- geef een nieuwe bestandsnaam in en klik op de knop "Open"

Derde stap: formatteren van dit nieuwe en lege vaste schijfbeeld

Sunrise IDE
- voeg de ideutils.dsk toe aan het eerste diskettestation (nu herkend als B:)

(andere optie: creëer een geformatteerde MSX-DOS 2-dsk-bestand met de volgende bestanden: MSXDOS2.SYS, COMMAND2.COM , IDEFDISK.COM en IDEFLOAD.COM en voeg deze toe aan het eerste diskettestation)

- start de emulator
- op de commandoregel, voer het commando IDEFDISK (of andere vaste schijf formatterende toepassingen)
- in IdeFdisk kunnen nu naar wens de partities worden ingedeeld

Een snelle opstelling is:

* [A]utogenerate partition table (Druk op de spatiebalk als dit gedaan is)
* [W]rite partition table to medium (Druk op de spatiebalk als dit gedaan is)
* [I]nitialize all ENABLED partitions (Druk op de spatiebalk als dit gedaan is)
* [Q]uit

- op de commandoregel, kopieer MSXDOS2.SYS en COMMAND2.COM van diskette (B:) naar de vaste schijf (A:)
- verwijder de diskette en herstart de machineconfiguratie

Beer IDE
- creëer een dsk-bestand met alle BEERFDSK-bestanden
- voeg een diskette toe aan het eerste diskettestation
- start de emulator
- in MSX-BASIC, voer RUN"BEERFDSK.BAS" in en druk op RETURN

GIDE
- schrijf en gebruik een specifieke programmatoepassing om een partitie te maken


Credits

Credits

De onderstaande personen hebben een directe bijdrage geleverd aan de ontwikkeling van blueMSX en hun bijdragen zijn van onschatbare waarde gebleken voor de ontwikkeling van blueMSX.

Shimanuki Koshi | voor het afstruinen van nieuwsgroepen op zoek naar foutmeldingen en het verstrekken van onbetaalbare feedback en informatie m.b.t. het blueMSX-project. Hij stelde tevens de geluidsmixer voor en maakte de Japanse vertaling.

Roger Filipe | voor het ontwerpen van de gcc/mingw build environment en het oplossen van enkele bugs- en/of foutmeldingen. Roger heeft verbeteringen aangebracht in de rommappers en maakte meer spelen speelbaar met blueMSX. Hij maakte tevens de Portugese vertaling.

SLotman | voor het integreren van de zlib-bibliotheken en voor het poorten van de Scale2x- monitoremulatie (geheel gedaan met de blueMSX-kloon RedMSX).

Nicolas Beyaert | voor het vernieuwen en uitbreiden van de rom- en casdatabases.

Patrick van Arkel | voor zijn fantastische werk om de romdatabase te converteren naar een dynamische en goede database die zeer bruikbaar is voor de MSX-gemeenschap.

Laurent Halter | voor het ontwikkelen van de nieuwe schermafdrukmogelijkheid, het programmeren van de horizontale en verticale uitrekking van het MSX-beeldscherm en zijn hulp bij het oplossen van DirectX-problemen.

Kobayashi Michiko | voor het doen van een voorstel om graphics weer te geven in de werkbalk.

Albert Beevendorp | voor zijn veelvuldige bijdrages en suggesties om verschillende onderdelen van de emulator te verbeteren.

BouKiChi | voor hulp met de blueMSX debugger.

Rob Hiep | voor hulp met de ondersteuning van de Sunrise IDE harddisk support.

Marco Casali | Lid van RAM Corporation (T2) en ICM Group Italy. Voor zijn hulp met de Italiaanse vertaling, MSX-AUDIO-problemen en de ondersteuning van de Tetris 2 Special Edition-dongle.

Jon Cortázar Abraido | voor zijn hulp bij de ondersteuning van asMSX-symboolbestanden en debug commando's in de debugger en trace logger.

Vincent van Dam | voor hulp bij de ondersteuning van het gebruik van cassettes en tegen kopiëren beveiligde diskettes.

NYYRIKKI | voor de hulp bij de MHT Ingenieros Gunstick, de ASCII Plus-X Terminator Laser en de Finse vertaling.

Fabio Albergaria Dias | voor de feedback en voor het testen van de Braziliaanse MSX- systeemroms.

Glafouk | voor het testen van de geluidsemulatie, het verstrekken van muziekdiskettes en het maken van de Franse vertaling.

Martijn van Tienen | voor de hulp bij commandoregel argumenten en Nederlandse vertaling.

Hiro | voor zijn vriendelijke toestemming om zijn fantastische afbeelding van het Turbo-R GT-toetsenbord te mogen gebruiken in de toetsenbordeditor.

Amer Dugmag | voor hulp bij de Arabische roms.

Enrico Barbisan | voor hulp bij de Philips NMS-801-systeemrom.

UC_ARS | voor de hulp bij de Vereenvoudigd Chinese vertaling.

nhlay | voor de hulp bij de Traditioneel Chinese vertaling.

Ulver | voor hulp bij de Koreaanse vertaling.

SaebaRYO | voor hulp bij de Koreaanse vertaling.

Víctor Fernández Sánchez | voor hulp bij de Spaanse vertaling.

Davide Platania | voor hulp bij de Italiaanse vertaling.

Miikka Poikela | voor hulp bij de Finse vertaling.

Tanni | voor hulp bij de Duitse vertaling.

Jacek Bogucki (Gucek) | voor hulp bij de Poolse vertaling.

Hondarer | voor hulp bij de Japanse vertaling en voor het verstrekken van een bron voor een meer accurate FDD LED-knippering en oplossen van enkele problemen.

William Ouwehand | voor de hulp bij de emulatorarchieven en voor goede feedback m.b.t. de gebruikersinterface.

Wouter Vermaelen | voor hulp bij sprite-emulatie en rommappers.

Manuel Bilderbeek | voor hulp bij vele aan emulatiegerelateerde onderwerpen.

Maarten ter Huurne | voor hulp bij de VDP-emulatie en videorenderers.

Tobias Keizer | voor het verstrekken van Z80-timingstabellen.

Atarulum | voor hulp bij de horizontale uitrekking en ideeën voor verbeteringen.

Sandy Pleyte | voor hulp bij de emulatie van de Megaram en ideeën voor verbeteringen.

MkII | voor hulp bij de additionele M1- wachtstaten.

Eduardo Mello | voor hulp bij verschillende RAM- en VRAM-onderwerpen bij MSX en Coleco

Rudolf Lechleitner | voor uitstekende feedback en technisch advies m.b.t. de analyse van rommappers en het delen van zijn broncode voor de printeremulatie.

De onderstaande personen hebben software ontwikkeld die gebruikt wordt in blueMSX en zonder deze software zou er geen blueMSX-toepassing zijn.

Marat Fayzullin | Auteur van fMSX waarvan oude versies van blueMSX (voor versie 2.0) waren afgeleidt.

Alex Wulms | Auteur van de VDP Command Engine-emulatie.

R. Belmont and O. Galibert | Auteurs van de YMF278-geluidschipemulatie (onderdeel van de MoonSound-emulatie).

Jarek Burczynski | Auteur van de YM2413- en de YMF262-geluidschipemulatie (een onderdeel van de MoonSound-emulatie).

Mitsutaka Okazaki | Auteur van de YM2413-geluidschipemulatie.

Tatsuyuki Satoh | Auteur van de Y8950- en deVLM5030-geluidschipemulatie.

Gilles Vollant | Auteur van het unzip-pakket.


De blueMSX Debugger

De blueMSX Debugger

blueMSX beschikt over een kleine, krachtige debugger die gelijktijdig met emulator gebruikt kan worden.
De debugger kan gestart worden met de sneltoetscombinatie: RCtrl+RSft+D.

Sommige debugger commando's hebben een direct effect op de emulator zelf: de emulator kan vanuit het debuggervenster gestart, gepauzeerd, gecontinueerd of geherstart worden.

De debugger werkt volledig wanneer de functie Alles Afbreken wordt gebruikt door te drukken op de toetscombinatie: Crtl+Alt+Break.
Het ondersteunt tevens de BiFi's BREEKPUNT en DEBUG commando's (zie hieronder).

De emulatie is gestopt en de debugger geeft verschillende informatie weer in 6 vensters.

Dissassembly

Hier ziet men een volledige gedissambleerde weergave van de momenteel uitgevoerde programmacode.

De gele pijl geeft het huidige (statement) adres aan.

Breekpunten kunnen worden toegevoegd, verwijderd of in- of uitgeschakeld door middel van het gebruik van de muis en de werkbalk (selecteer eerst het betrokken adres in de programmacode).

Een volledig rode cirkel geeft aan dat een breekpunt is ingeschakeld.

Een lege rode cirkel geeft aan dat een breekpunt is uitgeschakeld.

Symboolinformatie over externe labels (gebruikt door asMSX en TNIasm cross-assemblers) kunnen worden weergegeven of verborgen in dit venster.

CPU-Registers

Hier worden de waarden weergegeven in de verschillende CPU-registers.

Assembleervlaggen of actieve CPU-vlaggen zijn aangegeven. Als deze worden gewijzigd dan kan het resultaat worden bekeken in het AF-register.

Callstack

Dit venster geeft de verschillende calls naar de stack in de uitgevoerde programmacode weer.

Indien een call met de muis wordt geselecteerd dan wordt de wijziging ook doorgevoerd in het dissambleervenster.

Stack

Dit venster geeft de verschillende stackwaarden weer.

Geheugen

De volledige inhoud van de verschillende beschikbare geheugentypen wordt weergegeven in hexadecimale en ascii-modi.

Met de vervolgkeuzelijst kan een ander geheugentype worden geselecteerd. Er kan tevens een startadres worden opgegeven vanaf welk adres het geselecteerde geheugen moet worden weergegeven.

Directe wijzigingen kunnen worden aangebracht in het hexadecimale of ascii-gedeelte.

Symboolnamen (gebruikt door asMSX en TNIasm cross-assemblers) kunnen worden gebruikt om een adres op te zoeken in dit venster.

Periferiële registers

In dit venster kunnen de waarden worden weergegeven van de registers van de ondersteunde processoren: VDP, PSG en de speciale geluidschips.

I/O-poorten

In dit venster worden de waarden van de verschillende I/O-poorten weergegeven.

BiFi's BREEKPUNT en DEBUG-commando's

* BREEKPUNT (set bp van de assembler)

Voorbeelden:

A program counter breakpoint:

ld b,b
jr $+2

Het breekpunt zal worden bepaald na jr $+2

Enkel een adres breekpunt:

ld b,b
jr $+4
dw address

Het breekpunt wordt ingesteld op het aangegeven adres.

* DEBUG

Voorbeeld van een debug string:

ld d,d
jr $+2+length
db string

De string wordt verstuurd naar de invoegtoepassing Trace Logger. De lengte is natuurlijk de lengte van de string en kan niet meer dan 125 karakters bevatten.


Het debuggermenu

Het debuggermenu

Hieronder worden de verschillende menuonderdelen beschreven.

Menu Bestand

Menuonderdeel | Omschrijving
Open Symboolbestand | Opent een symboolbestand dat wordt gebruikt door de asMSX en TNIasm cross-assemblers.
Opslaan Disassembly | Slaat de inhoud van het disassemblyvenster op in een tekstbestand met de extensie .ASM.
Opslaan Geheugen | Slaat het huidige gegebugde geheugen op in een binair bestand.
Afsluiten | Sluit het debuggervenster af.

Debug Menu

Menuonderdeel | Omschrijving
Start/Continueren | Start of continueert de emulatie.
Alles onderbreken | Onderbreekt de emulatie en geeft de informatie weer in de debugger.
Beëindig Debuggen | Beëindigt de emulatie en het huidige debuggen.
Herstart | Koude herstart van de emulator en beëindigt het huidige debuggen.
Stap In | Springt naar de volgende stap van de programmacode in de disassembler.
Stap Over | Springt naar de volgende stap van de programmacode in de disassembler en voert subroutines op volle snelheid uit.
Stap Uit | Beëindigt de modus Stap over en zet de emulatie voort.
Start naar cursor | Zet de emulatie voort tot aan het adres dat is geselecteerd met de muis of cursortoetsen.
Toon symboolinformatie | Schakelt de weergave van symboolinformatie over externe labels in of uit (gebruikt door de asMSX en TNIasm cross-assemblers).
Zoeken | Zoekt naar een specifiek opgegeven zoekterm of waarde.
Ga naar | Springt naar een opgegeven adres of label.
Nieuw breekpunt toevoegen | Voegt een nieuw breekpunt in op een specifiek adres of label.
Instellen/verwijderen breekpunt | Stelt een breekpunt in of verwijderd deze op een, met de muis of cursortoetsen, geselecteerd adres.
In-/Uitschakelen breekpunt | Schakelt het breekpunt op een, met de muis of cursortoetsen, geselecteerd adres in of uit.
Alle breekpunten verwijderen | Verwijdert alle breekpunten.
Alle breekpunten inschakelen | Schakelt alle breekpunten in.
Alle breekpunten uitschakelen | Schakelt alle breekpunten uit.
Toon assembleervlaggen | Schakelt de weergave van de assembleervlaggen in of uit naast de weergave van de overige vlaggen.

Menu Window

Menuonderdeel | Omschrijving
Disassembly | Weergave van het venster Disassembly.
CPU-registers | Weergave van het venster CPU-registers.
Stack | Weergave van het venster Stack.
Callstack | Weergave van de Callstack.
Geheugen | Weergave van het venster Geheugen.
Periferiële registers | Weergave van het venster Periferiële registers.
I/O-poorten | Weergave van het venster I/O-poorten.

Menu Help

Menuonderdeel | Omschrijving
Over | Weergave van het dialoogscherm Over.


De Debuggersneltoetsen

De debuggersneltoetsen

Deze tabel geeft een overzicht van alle beschikbare sneltoetscombinaties in het blueMSX Debuggervenster.

Sneltoets | Omschrijving
F5 | Start of continueert de emulatie.
F8 | Schakelt de weergave van symboolinformatie over externe labels in of uit (gebruikt door de asMSX en TNIasm cross-assemblers).
F9 | Stelt een breekpunt in of verwijderd deze op een, met de muis of cursortoetsen, geselecteerd adres.
F10 | Gaat naar de volgende stap van de programmacode in de disassembler en voert subroutines op volle snelheid uit (de modus Stap over).
F11 | Gaat naar de volgende stap van de programmacode in de disassembler.
Ctrl+B | Voegt een nieuw breekpunt in op een specifiek adres of label.
Ctrl+F | Zoekt naar een specifiek opgegeven zoekterm of waarde.
Ctrl+G | Springt naar een specifiek adres of label.
Ctrl+M | Schakelt de weergave van de assembleervlaggen in of uit naast de weergave van de overige vlaggen.
Shift+F5 | Beëindigt de emulatie en het debuggen.
Shift+F9 | Schakelt het breekpunt op een, met de muis of cursortoetsen, geselecteerd adres in of uit.
Shift+F10 | Zet de emulatie voort tot aan het adres dat is geselecteerd met de muis of cursortoetsen.
Shift+F11 | Beëindigt de modus Stap over en zet de emulatie voort.
Crtl+Shift+F5 | Koude herstart van de emulator en stopt het debuggen.
Crtl+Shift+F9 | Verwijdert alle breekpunten.
Crtl+Alt+Break | Onderbreekt de emulatie en geeft informatie weer in de debugger.


De debuggerwerkbalk

De debuggerwerkbalk

De werkbalk bevat een aantal knoppen.

Knop | Omschrijving
Start/Continueren | Start of continueert de emulatie.
Alles onderbreken | Onderbreekt de emulatie en geeft de informatie weer in de debugger.
Beëindig Debuggen | Beëindigt de emulatie en het debuggen.
Herstart | Koude herstart van de emulator en stopt het debuggen.
Toon volgend statement | Springt naar het volgende statementadres in de disassembler.
Stap In | Springt naar de volgende stap van de programmacode in de disassembler.
Stap Over | Springt naar de volgende stap van de programmacode in de disassembler en voert subroutines op volle snelheid uit.
Stap Uit | Beëindigt de modus Stap over en zet de emulatie voort.
Start naar cursor | Zet de emulatie voort tot aan het adres dat is geselecteerd met de muis of cursortoetsen.
Instellen/verwijderen breekpunt | Stelt een breekpunt in of verwijderd deze op een, met de muis of cursortoetsen, geselecteerd adres.
In-/Uitschakelen breekpunt | Schakelt het breekpunt op een, met de muis of cursortoetsen, geselecteerd adres in of uit.
Alle breekpunten inschakelen | Schakelt alle breekpunten in.
Alle breekpunten uitschakelen | Schakelt alle breekpunten uit.
Alle breekpunten verwijderen | Verwijdert alle breekpunten.


Externe Dsk-database

Externe Dsk-database

blueMSX voegt dsk-gegevens toe aan het bestand svidb.xml , de SVI-database, met SHA1-waarden.

In de toekomst zal dit formaat ook worden gebruikt voor MSX-, Coleco- en Sega-diskettes.

Het svidb.xml-bestand

Om diskgegevens toe te voegen aan deze database dient de onderstaande algemene syntax worden gebruikt:

<software>
oooooo <title xml :lang="en"> .......</title> | Bijvoorbeeld: Metal Gear 2 Solid Snake
oooooo <system> ....... </system> | Bijvoorbeeld: MSX (overige opties : SVI - Coleco - Sega)
oooooo <company> .......</company> | Bijvoorbeeld: Konami
oooooo <year> ......</year> | Bijvoorbeeld: 1990
oooooo <country> ....... </country> | Landcode - Bijvoorbeeld: JP voor Japan
oooooo <dump>
oooooo <group> | Only if more than 1 disk for a game
ooooooooooooo <original value="...."> ....

         2 opties:
- voor een GoodMSX dump : <original value="true">GoodMSX</original>
- voor een andere dump : <original value="false"/>
ooooooooooooo <dsk> | software medium
ooooooooooooo <start>
enkel voor niet-zelfstartende diskettes die toch kunnen worden uitgevoerd (gestart).
ooooooooooooooooo<text> ....... </text> | uitvoeringscommando
ooooooooooooo </start>
ooooooooooooo <format type="..."> | bestandsformaat: dsk of ander formaat
oooooooooooooo o o <hash algo="sha1"> ....... </hash> | sha1-waarde
ooooooooooooo </format>
ooooooooooooo <format type="...">... </format> | Volgend bestandsformaat voor dezelfde diskette!
ooooooooooooo <remark>
oooooooooooooooo ooo o<text> ....... </text> | Hier kan overige informatie over de diskette worden toegevoegd
ooooooooooooo </remark>
ooooooooooooo </dsk>
ooooooooooooo <dsk>............................... </dsk> | Volgende diskette van dezelfde groep!
oooooo </group>
oooooo </dump>
oooooo <dump> | Volgende dump van hetzelfde spel!
...........................
oooooo </dump>
</software>

Hoe kan de sha1-waarde van een dsk-spel worden gevonden?

- gebruik een zoekmachine als Google om te zoeken op het internet. Er zullen verschillende zoektreffers worden gevonden naar programmatoepassingen die de sha1-waarde kunnen berekenen.


Het diskettemenu

Het diskettemenu

Het diskettemenu is het tweede onderdeel van het menu Bestand. for every drive, Het bevat, voor elk diskettestation, de volgende menuonderdelen:

Toevoegen
Hiermee wordt een diskettebeeld geplaatst in diskettestation A of B.
De volgende bestandstypen worden ondersteund: .DSK, .DI1, .DI2 en .ZIP.
Als een ingepakt bestand (met het zip-formaat) meer dan één diskettebeeld bevat dan wordt een lijst weergegeven met alle ingesloten diskettebeelden.

Toevoegen map
Hiermee wordt een Windows bestandsmap als diskette geplaatst in diskettestation A of B. Deze map moet MSX-bestanden bevatten.
De emulator stelt met deze bestanden een een virtueel diskettebeeld samen (inclusief een normale MSX-opstartsector) en voert dit virtueel diskettebeeld uit.

Als deze map is toegevoegd aan diskettestation A en men enkel in MSX-BASIC terecht komt dan betekent dit dat het bestand "AUTOEXEC.BAS" ontbreekt. Zoek naar het laadbestand en gebruik het volgende commando: RUN"SPEL.LDR" (indien de bestandsnaam van het laadbestand "SPEL.LDR" is) en druk op RETURN (de entertoets op de PC).

Dit is de optie Toevoegen Map die slechts alleen werkt in de leesmodus vanwege veiligheidsredenen: er kunnen wijzigingen in de virtuele diskettebeelden worden gemaakt maar deze wijzigingen worden niet overgedragen aan de Windows bronmap.

Deze optie heeft tevens specifieke MSX-beperkingen: er kunnen niet meer dan 112 bestanden in een map geplaatst worden en de totale grootte mag de 720 Kb niet overschrijden (inclusief de opstartsector die automatisch wordt toegevoegd aan het virtuele diskettebeeld). Het kan niet werken met MSX-submappen en met speciale opstartsectoren.

Toevoegen nieuw diskettebeeld
Met deze optie kan een nieuw diskettebeeld worden aangemaakt in station A of B.
Er kan gekozen worden uit 6 verschillende, beschikbare disketteformaten, 4 voor MSX en 2 voor SVI-328.

Verwijderen
Verwijdert een diskettebeeld of map uit diskettestation A of B.

Herstart na toevoegen
Indien deze optie is aangevinkt dan wordt de emulator automatisch herstart wanneer een diskettebeeld of map wordt toegevoegd.

Recente bestanden
Geeft een lijst weer van de meest recent gebruikte diskettebeelden die aan het betreffende diskettestation zijn toegevoegd.
Een diskettebeeld kan uit deze lijst worden geselecteerd in plaats van de anders te gebruiken menuoptie Toevoegen.


Kenmerken

Kenmerken

Vanaf versie 2.0 is blueMSX volledig vrij van alle fMSX-bronnen en codes.
Oude versies van de blueMSX-emulator waren gebaseerd op fMSX 2.7 van Marat Fayzullin.
Alle kenmerken zijn herschreven en nieuwe kenmerken zijn toegevoegd.

De onderstaande lijst bevat enkele van de nieuwe of verbeterde kenmerken:

Unieke blueMSX-kenmerken
 | De cassette-interface geeft de mogelijkheid alle inhoud op de tape te zien en de huidige positie t.o.v. het begin van van elk bestand op de cassette. De cassettepositie kan worden onthouden wanneer de cassette wordt uitgeworpen en deze op een later tijdstip opnieuw wordt ingestoken.
 | Krachtige grafische gebruikersinterface voor machineconfiguraties en geeft de mogelijkheid tot het configureren van geheugen en IO-apparaten.
 | De emulatiesnelheid kan worden gereduceerd of verhoogd tijdens het uitvoeren van een spel. De emulator kan tevens op maximale snelheid worden uitgevoerd als de toegewezen sneltoets wordt ingedrukt.
 | Twee typen van TV-monitoremulatie met ruis om het gevoel van een oude televisie op te roepen als een LCD-monitor als weergavebron wordt gebruikt.
 | Virtual FDD (vaste schijf)-interface met de mogelijkheid tot het wisselen tussen genummerde diskettes met slechts één toetsaanslag.
Emulatie algemeen
VERBETERD | Keuze tussen een klassieke interface en een uit meerdere pagina's bestaande DIGIblue-interface.
 | Mogelijkheid om nieuwe thema's voor de emulator te ontwikkelen met aanpasbare (gebruikers)schil.
VERBETERD | Invoegtoepassingenstructuur: om externe programma's (dll's) toe te voegen, momenteel een debugger en een trainer.
VERBETERD | Ondersteuning van meerdere talen.
VERBETERD | Ondersteuning van Turbo-R, SVI318/328, ColecoVision en Sega SG-1000.
VERBETERD | Uitgebreide keuze uit standaard machineconfiguraties.
VERBETERD | Verbeterde geheugenlay-out-emulatie, waaronder CMOS.
 | Een gebruiksvriendelijke machineconfiguratie-editor waarmee de gebruiker eigen machineconfiguraties kan samenstellen en specifieke computers kunnen worden geëmuleerd.
VERBETERD | Uitgebreide ondersteuning van verschillende typen roms en megaroms.
 | Verbeterde ondersteuning van alle spellen met SRAM.
 | Uitgebreide printerondersteuning.
 | Bewerkbare sneltoetseditor: de gebruiker kan een lange lijst van kenmerken toewijzen aan toetsen, toetscombinaties of joypadknoppen.
 | Veel sneltoetsen voor een gebruiksvriendelijke emulatie.
 | Snel opslagfunctie met bestandsnamen met opeenvolgende nummering waardoor het eenvoudiger wordt de emulatie te herstarten vanaf een oude CPU-status.
 | Verbetering van het Opslaan van de CPU-status: het bewaart de gehele status, inclusief de machine-, joystick- en muisconfiguraties; de opgeslagen CPU-status worden ingepakt (zip-formaat) opgeslagen en zijn achterwaarts compatibel.
 | Onthouden van de positie van de belangrijkste dialoogschermen op het beeldscherm.
 | Verbeterde prestaties door de Windows schermbeveiliging en Windows menutoetsen uit te schakelen.
VERBETERD | Verbeterde accuratesse, stabiliteit en prestaties de implementatie van de additionele M1-wachtstaten, optimalisering van de VDP-emulatie en herafstemming van de Z80-, VDP- en MSX-AUDIO-timing.
VERBETERD | De emulator gebruikt zoveel CPU-tijd als het nodig heeft.
Video gerelateerde kenmerken
 | Ondersteuning van 16- en 32-bit kleurmodi.
 | DirectX ondersteuning.
 | PAL video-emulatie met ondersteuning van drie modi: - geen PAL (de enige modus waarin elke MSX-emulator tot dusverre in voorziet); - scherp, met of zonder ruis; - wazig, met of zonder ruis. Ruis geeft een meer authentiek gevoel als de emulatie wordt weergegeven op een LCD-monitor.
 | Schuifknoppen voor gamma,- helderheid-, contrast- en verzadigingaspect.
 | Horizontale en verticale uitrekking met elke monitormodus.
 | Schuifknoppen voor de aanpassing van beeldlijnen en het RF-modulatie-effect met elke monitormodus.
 | Echte interlace-modus.
 | Scale2x-monitoremulatie.
 | Hq2x en Hq3x-monitoremulatie.
 | Selecteerbare schermresolutie in volledige schermmodus.
 | Autodetectie van meerdere videobronnen.
NIEUW | Verbeterde synchronisatiemodi voor een zeer glad videoresultaat.
VERBETERD | Verbeterde timing met uitmuntende resultaten in demo's als Almost Real, Metal Limit, Turnix 2 en Unknown Reality.
 | Correct overscangedrag.
 | Correcte weergave van specifieke paletkleuren (MSX1, MSX2/2+).
NIEUW | Ondersteuning van twee 80-koloms grafische kaarten op MSX1: Microsol VMX-80 en SVI-737
NIEUW | Ondersteuning voor digitalisatie- en superimposefuncties.
VERBETERD | Maken van een schermafdruk met ondersteuning van het bmp- en png-bestandsformaat.
Geluidgerelateerde kenmerken
VERBETERD | PSG (AY8910, YM2149 en SN76489-geluidschip) emulatie.
 | PCM-emulatie.
 | SCC-emulatie.
 | FM-PAC-emulatie (YM2413-geluidschip).
 | MSX-AUDIO-emulatie (Y8950-geluidschip).
 | MoonSound-emulatie.
VERBETERD | MSX MIDI-ondersteuning.
NIEUW | Ondersteuning van de Yamaha CX5M, CX5M-128 en CX7M-128-computers middels emulatie van de YM2151-geluidschip en de YK-01, YK-10 en YK-20-muziekkeyboards. Het gedeelte MIDI van de Yamaha SFG-cartridges wordt vooralsnog niet ondersteund.
 | VLM5030-emulatie (spraaksynthese).
 | Simpl/Covox Printer Port geluid.
 | Konami Synthesizer DAC ondersteuning.
 | Majutsushi DAC ondersteuning.
 | Mono- en stereogeluidsweergave.
 | Uitgebreide geluidsmixer waarmee het volume en pan van elke geluidschip real-time kan worden ingesteld!
 | Mogelijkheid tot het vastleggen van geluid.
Bestandsondersteuning
VERBETERD | Ondersteuning van vele typen geheugenmappers.
 | Autodetectie van ROM-beelden.
VERBETERD | Externe romdatabase geheel geconverteerd naar het nieuwe .xml-formaat.
VERBETERD | Externe cas- en dsk-databases.
VERBETERD | Slepen en neerzetten van rom-, dsk-, vaste schijf-, cas- en sta-bestanden.
 | Registratie van bestandstypen, waardoor blueMSX-bestanden kunnen worden gestart met een dubbelklik.
 | Map als DSK-kenmerk.
 | Het verwisselen van meerdere schijven met behulp van een virtuele FDD-index en weergave van de inhoud van de geselecteerde schijf in een dialoogvenster.
NIEUW | Ondersteuning van 3 IDE-vaste schijfcontrollers: Sunrise, Beer, GIDE.
 | Ondersteuning van 3 CAS-formaten: fMSX-DOS, fMSX98/AT en SVI318/328.
 | Opslagoptie voor CAS-bestanden.
NIEUW | Het creëren van nieuwe diskbeelden van verschillende grootte op MSX- en SVI-328-computers.
 | Lijst van de recent meest geopende cartridges, diskettes of cassettes.
 | Het legen en instellen van het aantal bestanden in de bestandsgeschiedenis.
 | Ondersteuning van ingepakte (zip-formaat) rom-, dsk- of cas-bestanden. Indien een zip-bestand meerdere bestanden bevat, dan wordt de inhoud in lijst weergegeven en kan de gebruiker aangeven welk bestand geladen dient te worden.
Besturingsondersteuning
 | Goede ondersteuning van specifieke toetsenborden.
 | Virtueel toetsenbord.
NIEUW | Besturingseditor voor o.a. het toetsenbord, joystick, muis en meer.
VERBETERD | Ondersteuning van joystick en muis.
NIEUW | Ondersteuning van de Sega Gunstick en de ASCII Plus-X Terminator Laser Gun.


Speciale kenmerken

Speciale kenmerken

Speciale kenmerken bepalen de charme van een goede emulator omdat deze mogelijkheden bieden die op een echte computer onmogelijk zijn. Er valt dus meer te genieten van uw MSX-ervaring met blueMSX!

Vastleggen van geluid

Als men van MSX-muziekjes en -geluiden houdt dan is deze optie zeker een aanrader! Het biedt de mogelijkheid een grote collectie MSX-melodieën en geluiden aan te leggen!

De meest eenvoudige manier om de geluidsvastlegging te starten of te stoppen is via de sneltoetscombinatie: LShift+F7. Een andere mogelijkheid is het gebruik van de optie Geluidsvastlegging in het menu Bestand.

De .wav-bestanden worden opgeslagen in de map Audio Capture.

Er wordt altijd een unieke bestandsnaam aangemaakt, met de volgende systematische indeling: naam van het spel of demo, gevolgd door "_" en vervolgens een nummer bestaande uit twee cijfers(de eerste combinatie is "00") en de bestandsextensie .wav.

Sprites verbergen

Als men er een plattegrond van een fantastisch MSX-spel wenst te creëren dan ondervindt men veel hinder van alle aanwezige sprites! blueMSX heeft de oplossing! Een "verberg"-functie die kan worden in- en uitgeschakeld met de standaard sneltoetscombinatie: LCtrl+LSft+S.

Deze optie kan tevens als "cheat" worden gebruikt (veel geluk om blind te spelen!) of om de toegepaste trucs in sommige demo's te doorgronden.

Spelen met de emulatiesnelheid

Als men bepaalde delen van een spel of demo wenst over te slaan of juist, op eenvoudige wijze, meer details te zien dan is deze functie zeker interessant. De emulatiesnelheid kan worden vertraagd of versneld (inclusief de muziek).

Ook het "snelladen" van diskettes behoort met deze functie tot de mogelijkheden en werkt zonder enige problemen voor vrijwel elk spel en demo. Slechts een enkel spel of demo vraagt om een accurate en langzame laadwijze.

De hierboven genoemde functies kunnen met de onderstaande sneltoetscombinaties worden in- en uitgeschakeld:

LShift+F9 | Indien ingedrukt, wordt de emulator met de hoogst haalbare snelheid uitgevoerd.
LShift+F10 | Zet de emulatiesnelheid terug naar 3.579MHz (100%).
LShift+F11 | Verlaagt de emulatiesnelheid in stappen van 5%.
LShift+F12 | Verhoogt de emulatiesnelheid in stappen van 5%.
LCtrl+LSft+F | Schakelt Floppy Drive timing in of uit.
LCtrl+LSft+M | Schakelt de emulator om naar de maximaal haalbare emulatiesnelheid.

Als men de emulatie wenst te pauzeren dan drukt men op de toets "Start/Pauze". De standaard sneltoetscombinatie is F9.

Status opslaan

Als een spel werkelijk te groot, te moeilijk is en het niet beschikt over de mogelijkheid spelgegevens op te slaan (of omdat de bestaande mogelijkheden niet echt interessant zijn), dan zul je meer dan geïnteresseerd zijn in de functies van blueMSX om de CPU-status van de emulator op te slaan!

Er kan worden gekozen uit twee opties:

Snelopslaan CPU-status
Deze optie is zeer snel omdat blueMSX voor jouw de naam van het .sta- bestand bepaalt. Het bestand wordt opgeslagen in de map QuickSave.

De eenvoudigste manier om een CPU-status snel op te slaan is door het gebruik van de standaard sneltoets F8. Maar de optie "Snelopslaan CPU-status" kan ook via het menu Bestand worden bereikt.

Er wordt altijd een unieke bestandsnaam aangemaakt en waarbij de volgende systeem wordt gebruikt: naam van het spel of demo, gevolgd door "_" en een nummer dat bestaat uit twee cijfers (de eerste combinatie is "00") en de bestandsextensie .sta.

Aangepaste opslag van CPU-status
Dit is een langzamere methode omdat men zelf de naam van het bestand dient op te geven (met de extensie .sta) en het pad naar de map waar dit bestand is opgeslagen op de vaste schijf.

Een meer eenvoudige manier om een aangepast bestand aan te maken voor het opslaan van de CPU-status is door het gebruik van de standaard sneltoetscombinatie LAlt+F8. De functie "Opslaan CPU-status" is ook te vinden in het menu Bestand.

In beide situaties slaat blueMSX de gehele CPU-status op, inclusief de geëmuleerde machineconfiguratie met alle specifieke kenmerken en het pad naar het rom-, dsk- of casbestand. Probeer dus niet een opgeslagen CPU-status te openen in een andere machineconfiguratie en wijzig niet plaats waar de MSX-spellen of -toepassingen op de vaste schijf zijn opgeslagen! Het wordt ook aangeraden om de MSX-spellen in een map met een eenvoudig pad te bewaren (bijvoorbeeld: C:\MSX\Roms en/of C:\MSX\Disks) voordat de eerste CPU-status wordt opgeslagen als het de bedoeling is deze uit te wisselen met andere MSX-fans.

Indien men rekening houdt met deze beperkingen kan een .sta-bestand vrijwel op gelijke wijze worden uitgevoerd (gestart) als een .rom, .dsk of .cas-bestand.

Een meer eenvoudige manier om een opgeslagen CPU-status uit te voeren (starten) is via de standaard sneltoes F7. (dit geldt alleen voor een snelopgeslagen CPU-status) of met de sneltoetscombinatie LAlt+F7.

Ook kan één van de volgende drie procedures gebruikt worden om een CPU-status te openen:
- gebruik het menu Bestand en selecteer de optie"Snelladen CPU-status" (dit geldt alleen voor een snelopgeslagen CPU-status) of de optie "Open CPU-status";
- slepen en neerzetten van een .sta-bestand in het venster van de blueMSX-emulator;
- dubbelklikken op een .sta-bestand (alleen als enkele bestandstypen zijn geregistreerd bij blueMSX in het menu Opties/Algemene instellingen/Windowsomgeving).

Indien gekozen wordt voor de optie "Open CPU-status" dan wordt een voorbeeld van de verschillende opgeslagen CPU-status-bestanden gegeven en kan met het exacte tijdstip van opslag (uur, dag) aflezen, zodat op eenvoudige wijze het gewenste CPU-status-bestand kan worden geselecteerd.

Schermafdruk

Natuurlijk wil iedere MSX-fanaat een schermafdruk (kunnen) maken van zijn of haar favoriete spellen of demos!

Standaard maakt blueMSX alle schermafdrukken in het PNG-bestandsformaat, maar als deze optie wordt uitgeschakeld in het menu Opties/Algemene instellingen dan worden de schermafdrukken in het BMP-bestandsformaat opgeslagen.

Er zijn drie keuzemogelijkheden (de vermelde sneltoetscombinaties zijn de standaard toegewezen sneltoetscombinaties):

PrtScrn | Slaat een gefilterde schermafdruk (320 x 240 beeldpunten) op in de normale schermmodus en 640 x 480 beeldpunten in de dubbele schermmodus of in de volledig schermmodus).
RAlt+F11 | Slaat een normaal en ongefilterde schermafdruk op (272 x 240 beeldpunten).
RAlt+F12 | Slaat een groot en ongefilterde schermafdruk op (544 x 480 beeldpunten).

De eerste optie is ook bereikbaar in het menu Bestand als men de optie "Maak schermafdruk" selecteert.

In alle gevallen worden de .png- of .bmp-bestanden opgeslagen in de map Screenshots.

Er wordt altijd een unieke bestandsnaam aangemaakt met gebruikmaking van het volgende systeem: de naam van het spel of demo, gevolgd door "_" en een nummer van twee cijfers (de eerste combinatie is "00") en de bestandsextensie .bmp. of .png.


De Konami Game Master I

De Konami Game Master I (RC-735)

Deze cartridge biedt de mogelijkheid met de meeste MSX-1 en enkele MSX2 Konamispellen te cheaten of vals te spelen.
Voor wat de MSX1-spellen betreft, dient de Game Master in de eerste sleuf te worden gesplaatst (het spel zelf wordt in de tweede sleuf geplaatst); Voor enkele spellen geldt verder dat niet alle opties die de Game Master biedt beschikbaar zijn.
Voor wat betreft de MSX2-spellen betreft, dient de Game Master te worden geplaatst in de tweede sleuf (het spel zelf wordt in de eerste sleuf geplaatst). Ook hier geldt dat niet alle opties van de Game Master altijd beschikbaar zijn.

Het hoofdmenu

Een Japanse cartridge | Een Europese cartridge

Optie 1: GAME (Spel)
Selecteer deze optie als men het spel wenst te spelen zonder het gebruik van cheat(s).
Men kan ook direct opstarten naar de spelcartridge als tijdens de opstartprocedure van de MSX-machineconfiguratie de ESC-knop ingedrukt wordt gehouden.
De Game Master kan tevens gedeactiveerd worden door tijdens het opstarten de SHIFT-toets ingedrukt te houden.

Optie 2: MODIFY (Bewerken)

De Game Master toont het nummer van de spelcartridge.

Met de geboden cheatopties kan het startlevel (stage number) en het aantal levens (player number) worden gewijzigd.

De volgende twee opties worden hieronder besproken.

De laatste optie start het spel met de aangebrachte wijzigingen.
Ranking mode

Met deze modus kunnen de namen van de gamers worden opgeslagen en geladen.

Om deze functie voor een nieuw spel in te schakelen moet de optie "Clear Ranking Data" worden gekozen voordat het spel wordt gestart.

Als de rankinggegevens al eerder zijn opgeslagen dan kunnen deze natuurlijk laden met de "Load"-option.
Color test pattern

Het is niet erg zinvol deze optie met een emulator uit te voeren maar met een echte computer helpt deze optie om de gebruikte monitor in te stellen. De optie "Print Screen" geeft enkel een zwart-witafdruk van het scherm.

Optie 3: SELF (deze optie is ook beschikbaar zonder een spelcartridge in sleuf 2)

Het is niet erg zinvol om de eerste optie in dit menu met een emulator uit te voeren (zie de eerder gemaakte opmerking).

De tweede optie geeft de mogelijkheid om schermgegevens te laden.
Om deze gegevens te converteren naar een laatbaar bestandsformaat (met het commando BLOAD):
* positioneer de aanwijspijl voor END in het menu
* druk gelijktijdig op de volgende toetsen: Left CTRL - SHIFT - Spatiebalk
Er wordt een nieuw bestand aangemaakt en heeft de bestandsextensie .VRM.
Dit bestand kan in een MSX-BASIC-programma worden geladen met de volgende instructies:

COLOR 15,0,0: SCREEN 2,2: BLOAD "bestandsnaam.VRM",S: A$=INPUT$(1)

PAUSE-optie
Als het spel wordt uitgevoerd kan met de toets STOP (= PageUp) het spel worden gepauzeerd.
De optie werkt ook tijdens de demo van het spel. Het led van de CAPS lock licht dan op.
Door opnieuw op de STOP (= PageUp) te drukken wordt de pauzemodus opgeheven. Het led van de CAPS dooft.

ONE FRAME-optie
Als tijdens de Pauzemodus op de toets ":" wordt gedrukt, dan verspringt de animatie met één frame.

SLOW MOTION-optie
Als tijdens de Pauzemodus op de ESC-toets wordt gedrukt, wordt de slow motion geactiveerd.
De snelheid kan worden gewijzigd met de DEL- en INS-toetsen.
Deze modus kan worden uitgeschakeld door op de knop STOP (=PageUp) te drukken.

SAVE/LOAD-optie
Als tijdens de pauzemodus op de Linker CTRL-toets wordt gedrukt dan springt men naar de Save/Load-opties.
Hier kunnen meerdere zaken worden opgeslagen: Hi-Score, Game, Screen en Ranking (alleen indien de Ranking mode is geactiveerd).
Er kan gekozen worden voor opslag op cassette of diskette.
Net als de blueMSX Opslaan CPU-status-optie, bevatten de spelgegevens zowel RAM als VRAM-gegevens van de in dit geval gebruikte MSX-computer.
De bestanden hebben de volgende extensies:
.Hxx voor Hi-Score-gegevens, .Gxx voor Spelgegevens (Game data), .Sxx voor schermgegevens (Screen data) en .Rxx voor Ranking-gegevens, waarbij xx staat voor de laatste twee cijfers van het Konami cartridgenummer. Schermgegevens kunnen worden geconverteerd naar een laadbaar formaat (met het commando BLOAD; zie voor meer informatie de SELF-optie).

RANKING-optie
Als tijdens de pauzemodus op de Linker CTRL-toets wordt gedrukt springt men naar de Ranking-opties.
Deze toetscombinatie werkt echter alleen als de Ranking mode eerder is geactiveerd (zie hierboven).
Er kan een lijst met de behaalde scores door de gamers worden bekeken. De namen van de gamers kunnen eventueel gewijzigd worden.

SCREENDUMP-optie
Tijdens de Pauzemodus kan een schermafdruk worden gemaakt door op de F3-toest te drukken. De schermafdruk is overigens in zwart-wit. Deze optie vereist een printer en is niet erg zinvol in combinatie met een emulator omdat deze reeds beshikt over een optie om een schermafdruk te maken.

GENERAL RESTART-optie
De algemene herstart-optie is beschikbaar tijdens de pauzemodusin het load/save-menu. Positioneer de aanwijspijl voor END in het menu. Druk vervolgens gelijktijdig op de volgene toetsen: Left CTRL - SHIFT - Spatiebalk. De Game Master en het spel worden geheel herstart.

De Konami MSX1-spellen (het spel moet worden geplaatst in sleuf 2)

SPEL | RC | OPMERKINGEN
Antartic Adventure | 701 | Het aantal levens kan niet worden gewijzigd.
Athletic Land | 700 |
Cabbage Patch Kids | 716 |
Circus Charlie | 712 |
Comic Bakery | 714 |
F1 Spirit / A1 Spirit | 752 | Het startlevel en aantal levens kan niet worden gewijzigd; geen Ranking mode.
Frogger | 704 | Het startlevel kan niet worden gewijzigd.
Gofer no Yabou Episode 2 / Nemesis 3 | 764 | Geen Ranking mode.
Gradius / Nemesis | 742 |
Gradius 2 / Nemesis 2 | 751 | Geen Ranking mode.
Hyper Olympic 1 / Track & Field 1 | 710 | Het aantal levens kan niet worden gewijzigd.
Hyper Olympic 2 / Track & Field 2 | 711 | Het aantal levens kan niet worden gewijzigd.
Hyper Rally | 718 | Het aantal levens kan niet worden gewijzigd.
Hyper Sports 1 | 715 | Het aantal levens kan niet worden gewijzigd.
Hyper Sports 2 | 717 | Het aantal levens kan niet worden gewijzigd.
Hyper Sports 3 | 733 | Het aantal levens kan niet worden gewijzigd.
King's Valley 1 | 727 |
King's Valley 2 (MSX1 version) | 760 |
Knightmare | 739 |
Knigtmare 2 - The Maze of Galious | 749 | Het startlevel en het aantal levens kan niet worden gewijzigd; geen Ranking mode.
Konami's Base Ball | 724 | Het startlevel en het aantal levens kan niet worden gewijzigd; geen Ranking mode.
Konami's Billiards | 706 | Het startlevel kan niet worden gewijzigd.
Konami's Boxing | 736 | Het aantal levens kan niet worden gewijzigd; geenRanking mode.
Konami's Mahjong Dojo | 707 | Het startlevel en het aantal levens kan niet worden gewijzigd; geen Ranking mode.
Konami's Ping Pong | 731 | Het startlevel en het aantal levens kan niet worden gewijzigd; geen Ranking mode.
Konami's Soccer / Konami's Football | 732 | Het aantal levens kan niet worden gewijzigd; geen Ranking mode
Konami's Tennis | 720 | Het startlevel en het aantal levens kan niet worden gewijzigd; geen Ranking mode.
Magical Tree | 713 |
Monkey Academy | 702 | Het startlevel kan niet worden gewijzigd.
Mopiranger | 728 |
Parodius | 759 | Geen Ranking mode.
Pippols | 729 |
Q-Bert | 746 |
Road Fighter | 730 | Het aantal levens kan niet worden gewijzigd.
Salamander | 758 |
Sky Jaguar | 721 |
Super Cobra | 705 | Het startlevel kan niet worden gewijzigd.
The Goonies | 734 | Het aantal levens kan niet worden gewijzigd.
Time Pilot | 703 | Het startlevel kan niet worden gewijzigd.
Twinbee | 740 |
Yie Ar Kung-Fu | 725 |
Yie Ar Kung-Fu 2 | 737 |
Yumetairiku Adventure / Penguin Adventure | 743 |

De Konami MSX2-spellen (het spel moet worden geplaatst in sleuf 1)

SPEL | RC | OPMERKINGEN
Akumajyo Drakyula / Vampire Killer | 744 | Slechts enkele opties beschikbaar; tijdens de start van het spel kan het startlevel en het aantal levens worden gewijzigd; tijdens het spel zijn de PAUSE- en de ONE FRAME-opties beschikbaar.
Ganbare Goemon / Samurai | 748 | Slechts enkele opties beschikbaar; tijdens de start van het spel kan het startlevel en het aantal levens worden gewijzigd; tijdens het spel zijn de PAUSE- en de ONE FRAME-opties beschikbaar.
Hinotori / Firebird | 747 | Slechts enkele opties beschikbaar; tijdens de start van het spel kan het startlevel en het aantal levens worden gewijzigd; tijdens het spel zijn de PAUSE- en de ONE FRAME-opties beschikbaar.


Konami Game Master II

Konami Game Master II (RC-755)

Deze cartridge biedt de mogelijkheid met de meeste MSX-1 en enkele MSX2 Konamispellen te cheaten of vals te spelen.
De cartridge moet worden geplaatst in sleuf 1 en het spel zelf wordt geplaatst in sleuf 2.
Als alleen de SRAM-optie moet worden gebruikt dan kan de Game Master II ook in cartridgesleuf 2 worden geplaatst (het spel moet dan in sleuf 1 worden geplaatst).
Contra / Grysor en Hai no Majutsushi / Mahjong 2 kunnen niet worden gestart vanuit de Game Master II.
De verstandigste keuze met beide spellen is om de Game Master II in sleuf 2 te plaatsen.
Voor enkele spellen is slechts een deel van de opties van de Game Master II daadwerkelijk beschikbaar.

Het hoofdmenu

Intro op een Japanse MSX2 of hoger (een Japanse MSX1 geeft een ander intro weer) | Het menu op een Europese computer (op een Japanse computer wordt geen titel weergegeven)

Optie 1: GAME
Selecteer deze optie als men het spel wenst te spelen zonder het gebruik van cheat(s).
Men kan ook direct opstarten naar de spelcartridge als tijdens de opstartprocedure van de MSX-machineconfiguratie op de toetsen ESC, GRAPH of de spatiebalk .
De Game Master II kan tevens gedeactiveerd worden door tijdens het opstarten de SHIFT-toets ingedrukt te houden.
De toetsen GRAPH en de spatiebalk werken ook als er geen spel in sleuf 2 is geplaatst. In dat geval gaat men naar MSX-BASIC of MSX-DOS.

Optie 2: MODIFY

De Game Master II toont het nummer van de spelcartridge.

Met de geboden cheatopties kan het startlevel (stage number) en het aantal levens (player number) worden gewijzigd.

De laatste optie start het spel met de aangebrachte wijzigingen.

Optie 3: SELF (deze optie is ook beschikbaar als er geen spelcartridge in sleuf 2 is geplaatst)

Met de eerste optie kunnen schermgegevens worden geladen of opgeslagen.
Om deze gegevens te converteren naar een laatbaar bestandsformaat (met het commando BLOAD):
* positioneer de aanwijspijl voor END in het menu
* druk gelijktijdig op de volgende toetsen: Linker CTRL - SHIFT - Spatiebalk
Er wordt een nieuw bestand aangemaakt en heeft de bestandsextensie .VRM.
Dit bestand kan in een MSX-BASIC-programma worden geladen met de volgende instructies:
- een MSX1-spel:
COLOR 15,0,0: SCREEN 2,2: BLOAD "filename.VRM",S: A$=INPUT$(1)
- een MSX2-spel:
COLOR 15,0,0: SCREEN 5,2: BLOAD "filename.VRM",S: COLOR=RESTORE: A$=INPUT$(1)

De opties 3 en 4 bevatten kleine spellen (tennis en hockey) en een bioritmeprogramma.
SRAM Disk Utility

Met 10 Konami spellen kunnen spelgegevens worden opgeslagen in het SRAM-geheugen van de Game Master II.
Voordat het SRAM kan worden gebruikt moet het worden geformatteerd met optie 3 uit het menu.
Overige opties tonen een overzicht van opgeslagen SRAM-bestanden met de mogelijkheid om de bestanden te verwijderen.
Sla niet te veel bestanden op in het SRAM-geheugen aangezien de geheugengrootte slechts 8 Kb bedraagt.
Op deze internetpagina vindt men, door Sean Young ontwikkelde, programmatoepassingen om het SRAM op te slaan naar en te laden van diskette.
http://bifi.msxnet.org/msxnet/utils/

SRAM-optie
Het werkt slechts voor een beperkt aantal spellen en alleen als het SRAM is geformatteerd (zie hierboven).
De wijze waarop SRAM moet worden gebruikt varieert van spel tot spel.

Contra / Gryzor - Gofer no Yabou Episode 2 / Nemesis 3 - Parodius
Toets F1 om het spel te pauze, druk vervolgens op S om op te slaan naar en L om te laden van het SRAM-geheugen.
Gekitotsu Pennant Race - Gekitotsu Pennant Race 2
Het SRAM wordt alleen gebruikt om league- en teamgegevens op te slaan en te laden.
Hai no Majutsushi / Mahjong 2
Er kan alleen aan het eind van een ronde naar het SRAM worden geschreven.
King's Valley 2 (MSX1- en MSX2-versies)
Het SRAM wordt enkel gebruikt om zelfontworpen stages te laden of op te slaan.
Knightmare 3 Shalom
Er kan slechts op een beperkt aantal locaties in het spel spelgegevens worden opgeslagen naar het SRAM.
Metal Gear 2 Solid Snake
Toets F5 om toegang te krijgen tot het load/save-menu.

PAUSE-optie
Tijdens de uitvoering van het spel kan met de toets STOP (= PageUp) het spel worden gepauzeerd.
De optie werkt ook tijdens de demo van het spel. Het led van de CAPS lock licht dan op.
Door opnieuw op de STOP (= PageUp) te drukken wordt de pauzemodus opgeheven en het led van de CAPS dooft.

ONE FRAME-optie
Als tijdens de Pauzemodus op de toets ":" wordt gedrukt, dan verspringt de animatie met één frame.

SLOW MOTION-optie
Als tijdens de Pauzemodus op de ESC-toets wordt gedrukt, wordt de slow motion geactiveerd.
De snelheid kan worden gewijzigd met de DEL- en INS-toetsen.
Deze modus kan worden uitgeschakeld door op de knop STOP (=PageUp) te drukken.

SAVE / LOAD-optie
Als tijdens de pauzemodus op de Linker CTRL-toets wordt gedrukt dan springt men naar de Save/Load-opties.
Hier kunnen meerdere zaken worden opgeslagen: Game en Screen.
Er kan alleen naar diskette worden opgeslagen. Het gebruikte bestandsformaat is niet compatibel met de Game Master I.
Net als de blueMSX Opslaan CPU-status-optie, bevatten de spelgegevens zowel RAM als VRAM-gegevens van de in dit geval gebruikte MSX-computer.
De bestanden hebben de volgende extensies:
.Gxx voor Spelgegevens (Game data) en .Sxx voor schermgegevens (Screen data), waarbij xx staat voor de laatste twee cijfers van het Konami cartridgenummer. Schermgegevens kunnen worden geconverteerd naar een laadbaar formaat (met het commando BLOAD; zie voor meer informatie de SELF-optie).

GENERAL RESTART-optie
De algemene herstartoptie is beschikbaar tijdens de pauzemodus in het load/save-menu. Positioneer de aanwijspijl voor END in het menu. Druk vervolgens gelijktijdig op de volgende toetsen: Linker CTRL - SHIFT - Spatiebalk. De Game Master II en het spel worden geheel herstart.

De Konami MSX1-spellen (het spel moet in sleuf 2 worden geplaatst)

SPEL | RC | OPMERKINGEN | SRAM
Antartic Adventure | 701 | Het aantal levens kan niet worden gewijzigd. |
Athletic Land | 700 |  |
Cabbage Patch Kids | 716 |  |
Circus Charlie | 712 |  |
Comic Bakery | 714 |  |
F1 Spirit / A1 Spirit | 752 | Het startlevel en het aantal levens kan niet worden gewijzigd. |
Frogger | 704 | Het startlevel kan niet worden gewijzigd. |
Gofer no Yabou Episode 2 / Nemesis 3 | 764 |  | GOFE1 GOFE2
Gradius / Nemesis | 742 |  |
Gradius 2 / Nemesis 2 | 751 |  |
Hyper Olympic 1 / Track & Field 1 | 710 | Het aantal levens kan niet worden gewijzigd. |
Hyper Olympic 2 / Track & Field 2 | 711 | Het aantal levens kan niet worden gewijzigd. |
Hyper Rally | 718 | Het aantal levens kan niet worden gewijzigd. |
Hyper Sports 1 | 715 | Het aantal levens kan niet worden gewijzigd. |
Hyper Sports 2 | 717 | Het aantal levens kan niet worden gewijzigd. |
Hyper Sports 3 | 733 | Het aantal levens kan niet worden gewijzigd. |
King's Valley 1 | 727 |  |
King's Valley 2 (MSX1 version) | 760 |  | FILE1 FILE2 FILE3
Knightmare | 739 |  |
Knigtmare 2 - The Maze of Galious | 749 | Het startlevel en het aantal levens kan niet worden gewijzigd. |
Knigtmare 3 - Shalom | 754 | Het startlevel en het aantal levens kan niet worden gewijzigd. | SHALM
Konami's Base Ball | 724 | Het startlevel en het aantal levens kan niet worden gewijzigd. |
Konami's Billiards | 706 | Het startlevel kan niet worden gewijzigd. |
Konami's Boxing | 736 | Het aantal levens kan niet worden gewijzigd. |
Konami's Mahjong Dojo | 707 | Het startlevel en het aantal levens kan niet worden gewijzigd. |
Konami's Ping Pong | 731 | Het startlevel en het aantal levens kan niet worden gewijzigd. |
Konami's Soccer / Konami's Football | 732 | Het aantal levens kan niet worden gewijzigd; geen Ranking mode. |
Konami's Tennis | 720 | Het startlevel en het aantal levens kan niet worden gewijzigd. |
Magical Tree | 713 |  |
Monkey Academy | 702 | Het startlevel kan niet worden gewijzigd. |
Mopiranger | 728 |  |
Parodius | 759 |  | PARO
Pippols | 729 |  |
Q-Bert | 746 |  |
Road Fighter | 730 | Het aantal levens kan niet worden gewijzigd. |
Salamander | 758 |  |
Sky Jaguar | 721 |  |
Super Cobra | 705 | Het startlevel kan niet worden gewijzigd. |
The Goonies | 734 | Het aantal levens kan niet worden gewijzigd. |
Time Pilot | 703 | Het startlevel kan niet worden gewijzigd. |
Twinbee | 740 |  |
Yie Ar Kung-Fu | 725 |  |
Yie Ar Kung-Fu 2 | 737 |  |
Yumetairiku Adventure / Penguin Adventure | 743 |  |

De Konami MSX2-spellen (het spel moet in het algemeen in sleuf 2 worden geplaatst)

SPEL | RC | OPMERKINGEN | SRAM
Akumajyo Drakyula / Vampire Killer | 744 |  |
Contra / Gryzor | 762 | Alleen de SRAM-optie. Het is beter om het spel in sleuf 1 te plaatsen en de Game Master II in sleuf 2. | CONTR
Ganbare Goemon / Samurai | 748 |  |
Gekitotsu Pennant Race | 757 | Het startlevel en het aantal levens kan niet worden gewijzigd. | PENAN
Gekitotsu Pennant Race 2 | 766 | Alleen de SRAM-optie. | PENA2
Hai no Majutsushi / Mahjong 2 | 765 | Alleen de SRAM-optie; Het is beter om het spel in sleuf 1 te plaatsen en de Game Master II in sleuf 2. | MAJAH
Hinotori / Firebird | 747 |  |
King Kong 2 | 745 | Het startlevel en het aantal levens kan niet worden gewijzigd. |
King's Valley 2 (MSX2 version) | 761 |  | FILE1 FILE2 FILE3
Metal Gear 1 | 750 | Het startlevel en het aantal levens kan niet worden gewijzigd. |
Metal Gear 2 - Solid Snake | 767 | Alleen de SRAM-optie. | SNAK1 SNAK2 SNAK3
Space Manbow | 768 | Alleen het startlevel en het aantal levens kan worden gewijzigd. |


Generieke machineconfiguraties

Generieke machineconfiguraties

De volledige versie van blueMSX wordt verscheept met 23 generieke MSX-machineconfiguraties; de benodigde systeemroms zijn opgeslagen in de submap Machines/Shared Roms.

MSX1-machines

De 10 MSX-machineconfiguraties zijn regionale varianten van de eerste MSX-generatie, ze beschikken over 3 niet-uitbreidbare sleuven, 1 uitbreidbare sleuf, 2 cartridgesleuven, 1 cassettepoort, 64 Kb RAM, 16 Kb VRAM en over het algemeen 2 fysieke diskettestations. Bovendien bevat de Arabische MSX2-machineconfiguratie speciale firmware. De Braziliaanse MSX-machineconfiguratie beschikt over slechts 1 fysiek diskettestation.

De verschillen tussen deze machines hebben voornamelijk betrekking op het toetsenbord, de speciale karakters, het type diskettestationscontroller (FDC) en de videofrequentie:

 | Toetsenbord | Karakters | FDC | Videofrequentie
MSX (European) | QWERTY | Accenten | Philips-Sony | 50 Hz
MSX Arabic | QWERTY | Arabisch | National-Daewoo | 50 Hz
MSX Brazilian | QWERTY | Accenten | Microsol | 60 Hz
MSX French | AZERTY | Accenten | Philips-Sony | 50 Hz
MSX German | QWERTZ | Accenten | Philips-Sony | 50 Hz
MSX Japanese | QWERTY | Kana | Panasonic | 60 Hz
MSX Korean | QWERTY | Hangul | National-Daewoo | 60 Hz
MSX Russian | JCUKEN | Cyrillisch | National-Daewoo | 60 Hz
MSX Spanish | QWERTY | Accenten | Philips-Sony | 50 Hz
MSX Swedish | QWERTY | Accenten | Philips-Sony | 50 Hz

Om MSX-MUSIC-geluiden met een MSX1-machineconfiguratie weer te geven moet een FM-PAC-rom in één van de cartridgesleuven worden geplaatst door gebruik van het normale of speciale cartridgemenu.

Om MSX-AUDIO-geluid met een MSX1-machineconfiguratie weer te geven: gebruik de machineconfiguratie-editor om een MSX-geluidschip of Y8950 (zonder toevoeging van een rom) en dit vervolgens op te slaan als nieuwe machineconfiguratie en eventueel onder een andere naam.

Het plaatsen van een Panasonic MSX-AUDIO-rom in een cartridgesleuf is enkel noodzakelijk voor applicaties die gebruikmaken van MSX-AUDIO BASIC.

MSX2-, MSX2+ en MSX Turbo-R-machines

8 van de 11 MSX2-machineconfiguraties zijn regionale varianten van de tweede MSX-generatie en beschikken over 2 niet-uitbreidbare sleuven, 2 uitbreidbare sleuven, 2 cartridgesleuven, 1 cassettepoort en zijn opgewaardeerd (boosted) met 512 Kb RAM, 128 Kb VRAM, MSX-MUSIC, MSX-AUDIO, MoonSound, Turbo-Basic, de PAC-cartridge en in het algemeen 2 fysieke diskettestations. De Brazilian MSX2-machineconfiguratie beschikt over slechts 1 fysiek diskettestation.

De Arabische MSX2, de Koreaanse MSX2, MSX2+ en Turbo-R-machineconfiguraties zijn op dezelfde wijze opgewaardeerd maar beschikken over 1 niet-uitbreidbare sleuf en 3 uitbreidbare sleuven. Bovendien bevat de Arabische MSX2-machineconfiguratie speciale firmware. De Turbo-R-machine biedt geen cassettepoort ondersteuning.

Opmerking over MSX-AUDIO : het plaatsen van een Panasonic MSX-AUDIO-romcartridge in een cartridgesleuf is enkel noodzakelijk voor toepassingen die gebruikmaken van MSX-AUDIO BASIC of die MSX-AUDIO als vervanging voor MSX-MUSIC gebruiken (Compile spellen en Diskstations).

Indien dit het geval is bewerk als eerste de MSX2 Only PSG-machineconfiguratie met de machineconfiguratie-editor om een MSX-geluidschip toe te voegen en sla deze configuratie op, eventueel onder een andere naam.

De MSX2 Only PSG-machineconfiguratie is niet opgewaardeerd met de speciale geluidschips. De kan gebruikt worden om een spel te spelen met automatische keuze tussen PSG- en MSX-MUSIC-geluidsweergave maar enkel de PSG-geluiden worden weergegeven in plaats van MSX-MUSIC.

Deze pagina bevat een lijst van romspellen met automatische selectie tussen de geluidsweergave van PSG- en MSX-MUSIC-geluidschips.

Ook voor deze machineconfiguraties geldt dat er verschillen zijn in het gebruikte toetsenbord, de speciale karakters, het type diskettestationcontroller (FDC) en de videofrequentie:

 | Toetsenbord | Karakters | FDC | Videofrequentie
MSX2 (European) | QWERTY | Accenten | Philips-Sony | 50 Hz
MSX2 Arabic | QWERTY | Arabisch | National-Daewoo | 50 Hz
MSX2 Brazilian | QWERTY | Accenten | Microsol | 60 Hz
MSX2 French | AZERTY | Accenten | Philips-Sony | 50 Hz
MSX2 German | QWERTZ | Accenten | Philips-Sony | 50 Hz
MSX2 Japanese | QWERTY | Kana + Kanji | Panasonic | 60 Hz
MSX2 Korean | QWERTY | Hangul + Screen 9 | National-Daewoo | 60 Hz
MSX2 Only PSG | QWERTY | Accenten | Philips-Sony | 50 Hz
MSX2 Russian | JCUKEN | Cyrillisch | National-Daewoo | 60 Hz
MSX2 Spanish | QWERTY | Accenten | Philips-Sony | 50 Hz
MSX2 Swedish | QWERTY | Accenten | Philips-Sony | 50 Hz
MSX2+ | QWERTY | Kana + Kanji | Panasonic | 60 Hz
Turbo-R | QWERTY | Kana + Kanji | Panasonic | 60 Hz


Inhoudsopgave

Helponderwerpen

blueMSX v2.5

Inhoudsopgave
Introductie
Het MSX-systeem 		Kenmerken
Versiegeschiedenis 		Credits
Contact 		Gebruiksrechtovereenkomst
Aan de slag
Installatie
Uitvoeren 		Speciale kenmerken
Commandoregel argumenten 		Generieke machineconfiguraties
C-BIOS-machineconfiguraties
Niet-MSX-machineconfiguraties
Uitvoeren van rombeelden
Het cartridgemenu
Externe romdatabases
Konami cartridgecombinaties
Konami Game Master I
Konami Game Master II 		Uitvoeren van cassettebeelden
Creatie van cassettebeelden
Het cassettemenu
De virtuele cassettespeler
Externe cas/wav-databases 		Uitvoeren van diskettebeelden
Creatie van diskettebeelden
Het diskettemenu
Het virtuele schijfstation
Externe diskdatabase 		Uitvoeren van vaste schijfbeelden
Creatie van vaste schijfbeelden
Gebruikersinterface
Het menu De werkbalk
De statusbalk 		Het linker paneel
Het rechter paneel
Optiemenu
Emulatie-instellingen Video-instellingen
Geluidsinstellingen 		Prestatie-instellingen
Bestandsinstellingen
Poortinstellingen 		Algemene instellingen
Taalinstellingen
Besturingseditor
De besturingseditor MSX joystick
ColecoVision joystick 		Toetsenbord
Overige besturingsapparaten
Geluidsmixer
Geluidsmixer
PSG 		SCC
MSX-MUSIC 		MSX-AUDIO
MoonSound 		PCM
MIDI
De emulator bewerken
Machineconfiguratie-editor
Sleufconfiguratie
Geheugenconfiguratie
Chipconfiguratie
Configuratie van extra's 		Sneltoetseditor
Sneltoetsen 		Thema's
Thema's - Besturing
Thema's - Triggers
Thema's - Acties
Invoegtoepassingen


Installatie van blueMSX

Installatie van blueMSX

Voer het zelfinstallatie archief (blueMSXvxxx.exe) uit, deze voert automatisch de blueMSX Windows Installer (blueMSXvxxx.msi) uit. (xxx = versienummer van de blueMSX-emulator)

Het installatieprogramma vraagt om een map waarin u de emulator wenst te installeren.
Standaard wordt blueMSX geïnstalleerd in de map: C:\Program Files\blueMSX.

Indien u wenst om blueMSX in een andere map te installeren, dan klikt u op "Bladeren..." en selecteert een map. Een doelmap kan ook handmatig worden ingegeven. De knop "Schijfgebruik" stelt u in staat de beschikbare schijfruimte op alle vaste schijfstations te controleren.

blueMSX kan worden geïnstalleerd enkel voor u of voor iedere gebruiker van uw computer. Deze optie is voornamelijk nuttig voor gebruikers van Windows XP.

Door op de knop "Volgende" te klikken zal de installatie beginnen. Indien de doelmap niet bestaat zal deze automatisch aangemaakt worden voordat de bestanden worden uitgepakt naar deze map.

Geen verdere installatie noodzakelijk.

Het installatieprogramma kopieert de uitvoerbare bestanden van de emulator en documentatie naar de geselecteerde map.

Het maakt tevens een snelkoppeling aan op het bureaublad en 12 onderliggende mappen in de map waarin blueMSX is geïnstalleerd:

Audio Capture | bevat .wav-bestanden indien u de optie geluidsvastlegging van de emulator gebruikt.

Casinfo | bevat .pos-bestanden welke door blueDECK worden gebruikt, een nieuwe benadering van cassette-emulatie.
Databases | bevat .xml-bestanden en .dat-bestanden voor verschillende databases
Keyboard Config | bevat de bestanden voor verschillende toetsenbordconfiguraties, inclusief de middels de toetsenbordeditor gecreëerde configuraties.

Machines | bevat verschillende onderliggende mappen met alle parameters van de "algemene" MSX-machineconfiguraties die door de emulator worden ondersteund en enkele specifieke machineconfiguraties voor 'gebooste' computers; bevat verder ook de parameters voor de persoonlijke machineconfiguraties die u zelf gecreëerd hebt met behulp van de machineconfiguratie-editor. Indien de volledige versie van de emulator is geïnstalleerd dan bevat de map een onderliggende map genaamd Shared Roms en deze bevat alle systeemroms die gebruikt worden door de standaard machineconfiguraties. Indien de geminimaliseerde versie van de emulator is geïnstalleerd dan zijn er slechts drie MSX-machineconfiguraties beschikbaar, namelijk: MSX - C-BIOS , MSX2 - C-BIOS and MSX2+ - C-BIOS. Deze machineconfiguraties ondersteunen vooralsnog niet het gebruik van diskettes of cassettes en kunnen enkel romcartridges uitvoeren.

Properties | bevat de geluidsmixer
QuickSave | bevat .sta-bestanden als de optie Snelopslaan CPU-status is benut.
Screenshots | bevat .bmp-bestanden indien de de optie Maak schermafdruk wordt gebruikt.
Shortcut Profiles | bevat de bestanden voor verschillende sneltoetsprofielen, inclusief de sneltoetsen die zijn gecreëerd met de Sneltoetseditor.

Sram | bevat .sram-bestanden als de emulator wordt afgesloten nadat een spel is gespeeld met interne of externe SRAM; bevat ook .cmos -bestanden met de inhoud van de klokchip van de laatst gebruikte MSX-machineconfiguratie.
Themes | bevat een voorbeeldthema om eigen thema's te ontwikkelen voor de standaard lay-out van de emulator.
Tools | bevat .dll-bestanden voor de geïmplementeerde invoegtoepassingen.

Hoe blueMSX te deïnstalleren of te repareren?

Om blueMSX te deïnstalleren ga naar het Configuratiescherm, Software en vervolgens Programma's wijzigen of toevoegen en dubbelklik op het blueMSX-pictogram en kies de optie Verwijderen.
Om de blueMSX-configuratie te repareren volg de hiervoor beschreven stappen maar kies voor de optie Repareren in plaats van Verwijderen.


Introductie

Introductie

blueMSX is een toepassing voor Microsoft Windows dat een MSX-computer kan emuleren. De blueMSX-toepassing simuleert softwarematig het gedrag van hardwarecomponenten in een MSX-computer. Het resultaat is een toepassing dat zich gedraagt als een 'echte' MSX-computer en stelt de gebruiker in staat een grote hoeveelheid software uit te voeren dat geschreven is voor MSX-computers.

MSX is een computerplatform dat werd gebruikt door een grote schare gebruikers vanaf het begin van de jaren tachtig tot aan het midden van de jaren negentig van de vorige eeuw. In tegenstelling tot andere platformen uit dezelfde periode was de MSX een computerstandaard en niet één specifieke fabrikant of merknaam. Vele fabrikanten, waaronder Sony, Philips en Panasonic, ontwierpen zelfstandig computers die voldeden aan de specificaties die waren vastgelegd in de MSX-standaard.

De oorspronkelijke MSX werd opgevolgd door meerdere MSX-generaties. blueMSX ondersteunt (vanaf versie 2.0) MSX, MSX2, MSX2+ en MSX Turbo-R software. Vrijwel elke MSX-machine wordt ondersteund alsmede de ColecoVision spelcomputer, de Sega SG-1000 en de Spectravideo SVI318/328-computers.

blueMSX werd ontwikkeld in september 2003 door Daniel Vik. De kern van het ontwikkelingsteam heeft meerdere wijzigingen ondergaan en bestaat nu uit Daniel Vik, Benoît Delvaux, Tomas Karlsson, Ray Zero, Ricardo Bittencourt en Johan van Leur.

Maar er zijn vele personen die op verschillende wijze een bijdrage hebben geleverd aan de ontwikkeling. Zie hiervoor de sectie credits voor een lijst van iedereen die blueMSX gemaakt hebben tot wat het is vandaag.


Besturingseditor

Besturingseditor

blueMSX is uitgerust met een krachtige besturingseditor waarmee de koppelingen van toetsen of knoppen eenvoudig kunnen worden gewijzigd.

Omdat de emulator automatisch alle verbonden DirectX-apparaten detecteert, waaronder bijvoorbeeld een joypad met acht knoppen of meer kunt u de knoppen van het joypad toewijzen aan enkele MSX-toetsen of -knoppen.

Het dialoogscherm van de besturingseditor bestaat uit verschillende onderdelen:

- met de eerste twee tabbladen kan een besturingsapparaat worden geselecteerd en geconfigureerd voor beide besturingspoorten.

De emulator ondersteunt verschillende typen besturingsapparaten:

* een MSX joystick

* een muis, dongle of gunstick

* een ColecoVision joystick

- het derde tabblad is uitgerust met een virtueel toetsenbord dat kan worden geconfigureerd

- twee knoppen aan de onderzijde

OK | Bewaart elke wijziging van de huidige besturingsconfiguratie en sluit de Besturingseditor
Annuleren | Sluit de Besturingseditor. Indien de besturingsconfiguratie is gewijzigd maar nog niet is opgeslagen dan zal een waarschuwingsmelding worden weergegeven.

- twee knoppen aan de bovenzijde om de Besturingseditor te minimaliseren of te sluiten.


Het linker paneel

Het linker paneel

Het linker paneel van de DIGIblue SUITE-X 2.2 thema bevat verschillende LED's en knoppen:

drie LED's over de status van de hoofdlettertoets, de Kana-toets en de R800-processor.
drie knoppen om de status van verschillende schakelaars te wijzigen en de corresponderende LED's (F-S: Panasonic schakelaar aan de voorzijde (front); A-S : Panasonic MSX-AUDIO-schakelaar; P-S : Pauzeschakelaar).


Gebruiksrechtovereenkomst

Gebruiksrechtovereenkomst

Deze software wordt verstrekt 'as-is', zonder enige vorm van garantie. De auteur(s) is/zijn niet verantwoordelijk voor elke vorm van schade die onstaat door het gebruik van deze software.

MSX en logo's zijn geregistreerde handelsmerken van MSX Association. blueMSX onderhoudt op geen enkele wijze banden met MSX Association.

Opmerking over oudere versies (voor versie 2.0)
In oudere versies van blueMSX bevatten enkele onderdelen coderegels afkomstig van fMSX, waardoor de gebruiksrechten en verspreiding zijn beperkt tot uitsluitend niet-commercieel gebruik. Indien u oude versies van blueMSX commercieel wenst te verspreiden dient u contact op te nemen met Marat Fayzullin of alle coderegels te herschrijven waarvoor hij de verantwoording draagt.


Chipconfiguratie

Chipconfiguratie

In dit tabblad kan de emulatie van de videochips worden geconfigureerd.

Hier kan de gewenste videochip worden geselecteerd en de omvang van het video RAM (VRAM) worden geconfigureerd. blueMSX ondersteunt vier verschillende videochips:

TMS9929A | Wordt gebruikt in 50Hz PAL MSX1-computers en in de Spectravideo SVI-318 en SVI-328-computers.

TMS99x8A | Wordt gebruikt in 60Hz NTSC MSX1-computers en de ColecoVision en SG-1000 spelcomputerconsoles.

V9938 | Wordt gebruikt in MSX2-computers voor zowel PAL als NTSC. De MSX BIOS-rom configureert de videochip voor het gebruik van PAL of NTSC. Een Japanse BIOS-rom gebruikt NTSC en een Europese BIOS-rom gebruikt PAL.

V9958 | Wordt gebruikt in MSX2+- en Turbo-R-computers voor zowel PAL als NTSC en wordt op dezelfde wijze geconfigureerd door het MSX BIOS-rom als de V9938.


De machineconfiguratie-editor

De machineconfiguratie-editor

blueMSX beschikt over een krachtige machineconfiguratie-editor waarmee de geheugenindeling en I/O-poorten van machineconfiguraties kunnen worden bewerkt om configuraties te creëren die gelijk zijn aan reeds bestaande machineconfiguraties of om geheel nieuwe, aangepaste configuraties te creëren.

De machineconfiguratie-editor vereist dat men beschikt over enige kennis van MSX-hardware maar de gebruikersinterface is zo eenvoudig mogelijk gehouden om het binnenste van de MSX te kunnen doorgronden.

De eenvoudige en de volledige versie van de emulator worden geleverd met meerdere generieke machineconfiguraties die voor de meeste gebruikers afdoende zullen zijn maar voor meer technisch georiënteerde gebruikers is deze toepassing geschikt om een gedetailleerde specificatie van de emulatie te creëren. De generieke machineconfiguraties kunnen dan dienen als uitgangspunt voor het ontwerpen eigen machineconfiguraties.

Alleen de volledige versie van de emulator bevat de systeemroms voor de generieke machineconfiguraties. Deze vindt men in de submap Machines/Shared Roms.

Beide emulatorversies beschikken verder over specifieke machineconfiguraties (Panasonic, Philips, National, Sanyo, etc.). Op de blueMSX website kunnen volledige pakketten met speciale systeemroms en systeemdiskettes worden gedownload. Deze specifieke machineconfiguraties zijn vrijwel geheel gelijkend op de 'echte' computers, alleen het RAM-geheugen is vergroot naar 512 Kb in alle MSX2-, MSX2+- en Turbo-R-machineconfiguraties.

Met deze editor kunnen door gebruikers zelf gedefinieerde MSX-machineconfiguraties worden gecreëerd.

De machineconfiguratie-editor bestaat uit drie delen. De bovenkant van het scherm bevat een vervolgkeuzelijst met alle aanwezige en beschikbare machineconfiguraties. Alle configuraties worden opgeslagen in de submap "Machines" van de emulator.

Het centrale deel wordt gevormd door meerdere tabbladen waarmee de configuratie kan worden gedefinieerd. De volgende tabbladen zijn beschikbaar:

Sleufindeling
Geheugen
Chipemulatie
Extra's

De onderzijde van het scherm bevat vier knoppen:

Opslaan | Bewaart de aangebrachte wijzigingen in de huidige machineconfiguratie.

Opslaan als... | Bewaart de huidige configuratie onder een nieuwe naam zodat de originele configuratie niet wordt gewijzigd.

Start | Start de emulator met de huidige machineconfiguratie. Als de configuratie is gewijzigd maar no niet is opgeslagen dan wordt een waarschuwingsscherm weergegeven.

Afsluiten | Sluit de machineconfiguratie-editor af. Als de configuratie is gewijzigd maar nog niet is opgeslagen dan wordt een waarschuwingsscherm weergegeven.


Configuratie van extra's

Configuratie van extra's

In dit tabblad kan de kloksnelheid van de processor, de diskettecontroller en de CMOS-chip geconfigureerd worden.

Kloksnelheid processor | Hier kan de kloksnelheid van de hoofdprocessor worden gewijzigd. Derhalve kunnen de Z80- of R800-processoren worden overklokt of juist onderklokt. Overklokken vraagt een hogere belasting van de CPU en men doet er verstandig aan deze optie niet te overdrijven. Het onderklokken van de hoofdprocessor kan interessant zijn, maar verwacht geen wonderen van deze keuzemogelijkheid op een trage PC! Indien voor een Turbo-R machineconfiguratie wordt gekozen dan kan tevens de kloksnelheid van de R800-processor worden gewijzigd.

Diskettestation- controller | Deze optie is slechts beschikbaar indien een machineconfiguratie is gekozen die uitgerust is met een controller voor een diskettestation. Standaard is vrijwel elke generieke machineconfiguratie uitgerust met een diskettestationscontroller die geschikt is voor 2 fysieke diskettestations. Het aantal diskettestations kan in dit menu worden gewijzigd. Braziliaanse MSX1- en MSX2-machineconfiguraties beschikken standaard over slechts één fysiek diskettestation om een juiste werking van de CTRL-toets te garanderen wanneer deze toets tijdens het opstarten van een machineconfiguratie wordt ingedrukt. Wanneer een machineconfiguratie slechts beschikt over één fysiek diskettestation dan kan het MSX-systeem nog steeds twee logische diskettestations aansturen (dit maakt het echter noodzakelijk om diskettes te verwisselen wanneer er gekopieerd wordt van A: naar B: of omgekeerd).

CMOS-chip | Deze optie schakelt de ondersteuning van de CMOS-chip en haar geladen batterij in of uit en is een vereiste voor een goede werking van een MSX2, MSX2+ of Turbo-R-machineconfiguratie. Indien een MSX1-machineconfiguratie wordt uitgevoerd dan wordt de CMOS-chip standaard uitgeschakeld, net als bij een fysiek 'echte' MSX1-computer.


Geheugenconfiguratie

Geheugenconfiguratie

In dit tabblad kan het geheugen worden geconfigureerd en kunnen rombeelden worden toegewezen aan verschillende geheugenadressen en -sleuven.

Het dialoogscherm bestaat uit een overzichtslijst die de huidige geheugenconfiguratie weergeeft. Elke rij bevat één ROM/RAM- of IO-mapperconfiguratie.

De lijst toont vijf kolommen. De eerste kolom geeft aan of de mapper een conflict heeft met elke andere eerdere mapper.

In de hierboven weergegeven afbeelding is één mapper geplaatst in dezelfde sleuf, subsleuf en adres als de voorgaande en derhalve dus een conflict veroorzaakt. Dit conflict kan worden verholpen door het wijzigen van het adres of sleufconfiguratie van de mapper.

De betekenis van de overige kolommen:

Sleuf | Sleuf- en subsleufnummer waar de rom kan worden geplaatst en gemapped. Een mapper kan ontsleuft worden en in dat geval is dit veld leeg.

Adres | Het adres waar de ROM/RAM kan worden geplaatst of gemapped. Als de mapper uit de sleuf wordt verwijderd is dit veld leeg.

Type | Specificeert het geheugentype van de mapper.

Rombeeld | Specificeert de naam van de ROM als de mapper een ROM-mapper is.

Onder de lijst zijn drie knoppen opgenomen.

Toevoegen... | Voegt een nieuwe regel toe aan de geheugenconfiguratielijst.

Berwerken... | Bewerken van de geselecteerde regel in de geheugenconfiguratielijst.

Verwijderen | Verwijdert de geselecteerde regel uit de geheugenconfiguratielijst.

Wanneer op de knoppen Toevoegen of Bewerken wordt geklikt of dubbelklikt op een regel in de lijst dan wordt het onderstaande dialoogscherm weergegeven:

Het dialoogscherm bevat vijf velden:

Bestand | Het veld toont het geselecteerde ROM-bestand voor de mapper. De knop opent een bestandsdialoogscherm waar een rom-bestand voor de mapper kan worden geselecteerd. Indien de mapper geen rom-bestand vereist is deze optie uitgeschakeld.

Type | Een vervolgkeuzelijst waar het mappertype wordt gekozen.

Sleuf | Specificeert de sleuf waar de ROM gemapped wordt. Indien het type een IO-mapper betreft is deze optie uitgeschakeld.

Adres | Specificeert het adres binnen de sleuf waar de ROM dient te worden gemapped. Indien het type een IO-mapper betreft is deze optie uitgeschakeld.

Grootte | Indien de mapper een ROM-mapper is toont dit veld ge grootte van rom. Indien de mapper van het type RAM is geeft dit veld een vervolgkeuzelijst weer waarin de hoeveelheid RAM kan worden aangegeven.


Sleufconfiguratie

Sleufconfiguratie

In dit tabblad kan de kern sleufindeling worden geconfigureerd. De sleufindeling bepaalt hoe rombeelden in het geheugen kunnen worden gemapped.

De groep Systeem specificeert het type computer dat moet worden geëmuleerd.
Er kan een selectie worden gemaakt uit acht verschillende systeemtypen. (het type ColecoAdam is momenteel nog niet geïmplementeerd).

Het MSX-type is voor een "normale" MSX1-computer.

De overige MSX-typen refereren naar de MSX-systeemmotor die gewoonlijk in de MSX2, MSX2+ and Turbo-R-machines worden gebruikt:
- de T9769B wordt gebruikt in alle Panasonic MSX2+-machines
- de T9769C wordt gebruikt in de Turbo-R-machines
- de meeste MSX2-computers gebruiken de S-3527 en de S-1985.

De VDP timing verschilt per MSX-systeemmotor en het PSG-geluid wijkt af van de MSX1 computers omdat deze gebruikt maakt van de Yamaha YM2149-geluidschip in plaats van de General Instruments AY-3-8910-geluidschip.

SVI is een systeem dat zeer sterk overeenkomt met het MSX1-systeem en heeft betrekking op de Spectravideo SVI-318 en SVI-328-machineconfiguraties.

De ColecoVision en SG-1000 zijn spelcomputers die een zeer sterke overeenkomst vertonen met het MSX1-systeem.

De groep Sleufindeling specificeert of de vier aanwezige sleuven in de machineconfiguratie wel of niet moeten worden voorzien van subsleuven.

De groep Externe sleuven specificeert de sleuf waar de externe sleuven worden geplaatst en gemapped.
De externe sleuven worden gewoonlijk gebruikt voor spelcartridges en worden in het cartridgemenu toegevoegd. Indien de geselecteerde sleuf is voorzien van een subsleuf dan moet deze tevens worden gedefinieerd.


De menu's

De menu's

Deze alinea bevat een beschrijving van de verschillende menuonderdelen.

Bestandsmenu

Menuonderdeel | Omschrijving
Cartridgesleuf 1 | Cartridgesleuf 1 bedient het eerste cartridgesleuf. Zie hier voor meer informatie.
Cartridgesleuf 2 | Cartridgesleuf 2 bedient het tweede cartridgesleuf. Zie hier voor meer informatie.
Diskettestation A | Deze optie bedient diskettestation A. Zie hier voor meer informatie.
Diskettestation B | Deze optie bedient diskettestation B. Zie hier voor meer informatie.
Cassettespeler | Deze optie bedient de cassettespeler. Zie hier voor meer informatie.
Vaste schijf | Deze optie bedient de vaste schijf. Zie hier voor meer informatie.
Printer | Met deze optie is het mogelijk het papier door te voeren naar het begin van de volgende pagina.
Open CPU-status | Met de optie Open CPU-status is het mogelijk een eerder opgeslagen CPU-status te openen. De optie geeft een dialoogscherm weer waaruit een eerder opgeslagen CPU-staat kan worden geselecteerd. Zie ook onder Opslaan CPU-status.
Opslaan CPU-status | De optie Opslaan CPU-status slaat de gehele status van de emulator op zodat deze op een later moment opnieuw geladen kan worden en de emulatie kan worden voortgezet. De optie geeft een dialoogscherm weer waarin een bestand kan worden geselecteerd waarin de CPU-status wordt opgeslagen.
Snelopenen CPU-status | Opent de CPU-status die eerder is opgeslagen middels de optie Snelopslaan CPU-status.
Snelopslaan CPU-status | Slaat de CPU-status op in een voorafgedefiniërd bestand in de huidige bestandsmap.
Geluisvastlegging | Start of stopt het vastleggen van geluikd in een geluidsbestand. De geluidsbestanden worden opgeslagen in de map Audio Capture. Een unieke bestandsnaam wordt altijd gegenereerd.
Shermafdruk maken | Maakt een schermafdruk welke wordt opgeslagen in de map Screenshots. Een unieke bestandsnaam wordt altijd gegenereerd.
Afsluiten | Sluit blueMSX af. De huidige machineconfiguratie wordt altijd bewaard.

Emulatiemenu

Menuonderdeel | Omschrijving
Start/Pauze | Start of pauzeert de emulatie.
Stop | Stopt de emulatie.
Koude herstart | Stopt en herstart de emulatie.
Warme herstart | Stop en herstart de emulatie. De zachte herstart wist het RAM-geheugen niet wanneer de emulatie op nieuw wordt gestart.
Volledige Herstart | Stopt en herstart de emulatie terwijl alle aanwezige romcartridges, diskettes en cassettes worden verwijderd.

Schermmenu

Menuonderdeel | Omschrijving
Normale grootte | Zet het venstergrootte op 320 x 240 beeldpunten.
Dubbele grootte | Zet de venstergrootte op 640x480 beeldpunten.
Volledig scherm | Voert blueMSX uit in de volledige schermmodus.

Optiesmenu

Menuonderdeel | Omschrijving
Video In-bron | Biedt de mogelijkheid een andere video in-bron te selecteren (mits de machineconfiguratie dit ondersteund). Deze optie kan gebruikt worden als de Sony HBI-V1-romcartridge in een MSX2-, MSX2+-, MSX Turbo-R-machineconfiguratie wordt gebruikt of door het uitvoeren van de Philips NMS8280 MSX2-machineconfiguratie. De initialisatie het eerste videovastleggingsapparaat dat wordt gevonden op uw systeem. De volgende versie van blueMSX zal de mogelijkheid ondersteunen om handmatig een bron te selecteren en deze te configureren. Vaak is het echter mogelijk om een TV-kaart te configureren voordat blueMSX wordt gestart. Soms is het zelfs mogelijk de runtime van het video vastleggingsapparaat te configureren, tenminste als de configuratietoepassing gestart wordt na de start van blueMSX. Merk op dat er geen videosignaal wordt weergegeven door de toepassing die wordt gebruikt om de videokaart te configureren.
Video Uit-bron | Maakt het mogelijk een andere video uit-bron te selecteren (mits de machineconfiguratie dit ondersteund). Standaard worden de video uit-bronnen automatisch gedetecteerd. Deze mogelijkheid kan gebruikt worden als een 80-koloms-videokaart aan een 'normale' MSX1-machineconfiguratie wordt toegevoegd of door het uitvoeren van de SVI-328-computer met een dergelijke kaart.
Emulatie | Geeft het tabblad Emulatie weer.
Video | Geeft het tabblad Video weer.
Geluid | Geeft het tabblad Geluid weer.
Prestaties | Geeft het tabblad Prestaties weer.
Bestanden | Geeft het tabblad Bestand weer.
Algemene instellingen | Geeft het tabblad Algemene instellingen weer.
Poorten | Geeft het tabblad Poorten weer.
Taal | Geeft het tabblad Taal weer.

Gereedschap

Menuonderdeel | Omschrijving
Machineconfiguratie-editor | Start de Machineconfiguratie-editor.
Sneltoetseditor | Start de Sneltoetseditor.
Besturingseditor | Start de Besturingseditor in een nieuw venster venster.
Geluidsmixer | Start de Geluidsmixer in een nieuw venster venster.
Trainer | Start de Trainer in een nieuw venster venster.
Debugger | Start de Debugger in een nieuw venster venster.
Trace Logger | Start de Trace Logger in een nieuw venster venster.

Helpmenu

Menuonderdeel | Omschrijving
Helponderwerpen | Geeft het helpbestand weer.
Over blueMSX | Geeft het dialoogscherm Over weer.


MIDI

MIDI

MIDI (Musical Instrument Digital Interface) is een protocol waarmee computers, synthesizers, geluidskaarten en drumcomputers met elkaar kunnen communiceren en elkaar kunnen aansturen.

Fysiek is het een seriële current-loop éénrichtingsverbinding (simplex) met een overdrachtssnelheid van 31.250 bits per seconde en vereist een vijfpolige DIN-stekker voor MIDI-IN, MIDI-OUT en soms MIDI-THRU.

De MSX-MIDI-interface is slechts beschikbaar in de standaard Turbo-R-machineconfiguratie en Panasonic FS-A1GT.

FM-BASIC kan worden gebruikt op deze computers voor softwareprogramma's met MIDI-muziek.

Overige MIDI-interfaces kunnen worden verbonden met MSX2- and MSX2+-machineconfiguraties of met de Panasonic FS-A1ST.

De Roland MT-32 was de meest gebruikte synthesizer in combinatie met MSX-computers.

MIDI-tips

Stereo

MIDI-geluid produceert een stereo-effect en kan worden versterkt met de geluidsmixer.

Kwalitatief hoogwaardig geluid

Een kwalitatief hoogwaardig geluid kan worden verkregen wanneer de muziekinstrumenten van de MT-32 (her)gekoppeld worden naar de General MIDI-indeling en/of het gebruik van speciale software met (ondersteuning van) MIDI-emulatie.


De geluidsmixer

De geluidsmixer

De blueMSX-geluidsmixer geeft volledige controle over het geluid dat door de emulator wordt voortgebracht. De mixer beschikt over real-time weergave van het gebruik van de geluidschips en kan ook worden gebruikt wanneer er geen geëmuleerde machineconfiguratie wordt uitgevoerd.

Toegang tot de geluidsmixer kan worden verkregen via het menu Gereedschap of door middel van een specifieke sneltoetscombinatie (standaard staat deze ingesteld op: Left Ctrl + Left Alt + M )

Het volume en de geluidspositie kan voor iedere geluidschip afzonderlijk worden ingesteld: PSG, SCC, MSX-MUSIC, MSX-AUDIO, MoonSound, SFG (deze wordt gebruikt door Yamaha CX5M/CX7M-computers), PCM, toetsenbord (klik- en andere geluiden die gebruikt worden in sommige spellen), Input/Output (FDC-AUDIO of de geluiden van het diskettestation), MIDI.

Door te klikken op het ledlampje rechts naast de naam van een geluidschip kan er worden gekozen worden tussen het wel of niet weergeven van de geluiden van deze geluidschip. Het komt er op neer dat een geluidschip in- of uitgeschakeld wordt. Zie de opmerkingen hieronder.
Het hoofdgedeelte bevat drie knoppen:

- de kleine knoppen bieden een keuze tussen mono- of stereogeluidsweergave
- de grote knop is de volumeknop
- de ledknop onderbreekt elk geluid

Met deze knop kan er geschakeld worden tussen de normale en compacte modus van de geluidsmixer.

De compacte modus van de geluidsmixer wordt in de onderstaande afbeelding getoond.
Met deze twee knoppen kan de geluidsmixer respectievelijk worden geminimaliseerd of gesloten.

Opmerking: de geluidsmixer biedt de mogelijkheid enkel die geluidschip te beluisteren van uw voorkeur of interesses, maar werkt niet in alle gevallen. Bijvoorbeeld als een MoonSound detecteert dan wordt MoonSound gebruikt in plaats van MSX-AUDIO en/of MSX-MUSIC. Als vervolgens in de geluidsmixer MoonSound wordt uitgeschakeld hoort men geen geluid...

De oplossing is gewoonlijk om de selectiehokjes niet aan te vinken in het menu Opties/Geluid. Deze methode werkt in de meeste gevallen.

Deze truc werkt echter niet met spellen als Aleste omdat deze de aanwezigheid van een MSX-MUSIC-chip detecteert en om die reden MSX-MUSIC in plaats van PSG-geluid gebruikt.

Om enkel de PSG-geluiden in spellen als Aleste te horen wordt aangeraden de standaard MSX2 Only PSG-machineconfiguratie te gebruiken. Ook kan de MSX2 C-BIOS-machineconfiguratie worden gebruikt maar deze accepteert enkel spellen op romcartridges.

Deze pagina bevat een lijst met romspellen met een automatisch selectie tussen PSG- en MSX-MUSIC-geluid.


MoonSound

MoonSound

MoonSound een muziek geluidschip en bestaat uit twee elementen:

- de Yamaha YMF-262 OPL3 FM sound synthesizer met 8 verschillende golfpatronen, de mogelijkheid om per kanaal aan te geven of deze links, rechts of beide (midden) weergeven moet worden en verschillende opties voor de geluidskanalen:
18 FM-kanalen met twee operatoren
Of 15 FM-kanalen met twee operatoren + 5 FM-drums
Of 6 FM-kanalen met vier operatoren + 6 FM-kanalen met twee operatoren
Of 6 FM-kanalen met vier operatoren + 3 FM-kanalen met twee operatoren + 5 FM-drums;

- de Yamaha YMF-278B-F OPL4 PCM synthesizereenheid (beter bekend in de PC-wereld as wave table synthese) met een maximale weergave van 24 gelijktijdige golven, een instelbaar stereogeluid in 16 stappen voor ieder kanaal, een weergavefrequentie tot 44.1 kHz van 8-bit, 12-bit of 16-bit geluidsgegevens.

Deze geluidschip is compatibel met MSX-AUDIO (met uitzondering van het ADPCM gedeelte) en beschikt over 128 Kb sample RAM en dat tot 2 Mb kan worden uitgebreid.

Bovendien bevat de MoonSound-cartridge meer dan 300 geluidssamples!

Om MoonSound te beluisteren moet de geëmuleerde MSX-machineconfiguratie zijn uitgerust met een Moonsound-geluidschip (door toevoeging van een rom). Dit is het geval bij alle generieke MSX2-, MSX2+- en Turbo-R-machineconfiguraties met uitzondering van de MSX2 Only PSG-machineconfiguratie.

Voor het (gebruiks)gemak is het samplegeheugen (RAM) opgewaardeerd tot 640 Kb in alle genoemde generieke machineconfiguraties.

Er zijn geen specifieke MSX-BASIC-commando's voor MoonSound.

MoonSound-tips

Stereo

MoonSound is de enige MSX-geluidschip met echte stereoweergave. De standaard instellingen voor stereoweergave kan worden gewijzigd en afgestemd met de geluidsmixer.


MSX-AUDIO

MSX-AUDIO

MSX-AUDIO is een geluidschip voor het weergeven van muziek en bestaat uit de volgende 2 elementen:

- de YM-8950 YAMAHA OPL1 FM geluidssynthesizer met 9 kanalen met FM-geluid zonder drums of 6 kanalen met FM-geluid +FM drums;

- eena 8-bits ADPCM (Advanced Differential Pulse Code Modulation) samplereenheid met 16kHz als maximale sample rate en een 32 Kb samplegeheugen (RAM) en dat tot 256 Kb kan worden uitgebreid.

Om te beluisteren moet de geëmuleerde machineconfiguratie beschikken over een MSX-AUDIO-geluidschip of Y8950 (zonder toevoeging van een rom). Dit is het geval met alle generieke MSX2-, MSX2+- en Turbo-R-machineconfiguraties met uitzondering van de MSX2 Only PSG-machineconfiguratie.

Voor het gemak van de gebruikers is het samplegeheugen (RAM) opgewaardeerd tot 256 Kb in alle genoemde generieke machineconfiguraties.

MSX-AUDIO BASIC is een uitbreiding van MSX-BASIC en maakt het mogelijk MSX-AUDIO op eenvoudige wijze te gebruiken, maar er moet een Panasonic MSX-AUDIO-cartridge worden geplaatst in een cartridgesleuf om toegang te krijgen tot de nieuwe commando's.

MSX-AUDIO-tips

Als een MSX1-machineconfiguratie of een C-BIOS-machineconfiguratie wordt gebruikt dan moet er een MSX-AUDIO-geluidschip of Y8950 (zonder toevoeging van een extra rom) worden geplaatst met behulp van de machineconfiguratie-editor. Sla vervolgens de nieuwe machineconfiguratie op, eventueel onder een andere naam.. Als MSX-AUDIO BASIC wordt gebruikt dan moet ook een Panasonic MSX-AUDIO-cartridge worden geplaatst in een cartridgesleuf.

Stereo

Veel demo's gebruiken gelijktijdig MSX-AUDIO en MSX-MUSIC waardoor een stereo-effect verkregen wordt dat kan worden versterkt middels fijnafstemming in de geluidsmixer.
Sommige Turbo-R demo's gebruiken gelijktijdig MSX-AUDIO en PCM waardoor een stereo-effect verkregen wordt dat ook kan worden versterkt middels fijnafstemming in de geluidsmixer.

Enkel MSX-AUDIO beluisteren

- deselecteer de overige geluidschips in de geluidsmixer

- indien er geen geluid wordt weergegeven, lees de optie hieronder

Alleen MSX-AUDIO beluisteren in plaats van andere geluidschips

- deactiveer de MSX-AUDIO-emulatie en/of de MoonSound-emulatie in het menu Options/Geluid

- gebruik de MSX2 Only PSG-machineconfiguratie nadat met de machineconfiguratie-editor een MSX-AUDIO-geluidschip is toegevoegd en de nieuwe machineconfiguratie is opgeslagen, eventueel onder een andere naam. Als men een Compile spel of een Compile Diskstationspel wenst te spelen of gebruik wil maken van MSX-AUDIO BASIC dan moet tevens een Panasonic MSX-AUDIO-cartridge worden geplaatst in een cartridgesleuf.

MSX-AUDIO-cartridges

PANASONIC (FS-CA1)

De niet aangepaste Japanse cartridge heeft een speciale schakelaar dat in het menu Opties/Emulatie kan worden in- of uitgeschakeld:

- wanneer de schakelaar is ingeschakeld dan wordt de interne firmware opgestart. Deze is tevens beschikbaar in de Toshiba cartridge.

- wanneer de schakelaar is uitgeschakeld dan wordt MSX-BASIC opgestart en kan het uitgebreide MSX-AUDIO BASIC worden gebruikt (MSX-AUDIO BASIC lijkt sterk op MSX-MUSIC BASIC maar CALL MUSIC vervangen door CALL AUDIO en het bevat tevens extra instructies voor ADPCM-geluidssamples en een externe muziekkeyboard).

- vanuit MSX-BASIC kan de firmware worden gestart met het commando CALL SYNTHE (voor zover men nog niet het commando CALL AUDIO heeft gebruikt).

Deze cartrige is vereist voor MSX-AUDIO-weergave in plaats van MSX-MUSIC of PSG met sommige Compile spellen en Compile Diskstations zonder een speciale poke te gebruiken. In het geval van romspellen is het beter om de Panasonic MSX-AUDIO in sleuf 1 te plaatsen en het spel in sleuf 2.

PHILIPS (NMS-1205)

De niet aangepaste Nederlandse cartridge start automatisch op met de ingebouwde firmare tenzij de ESC-toets ingedrukt gehouden wordt tijdens het opstarten van de geëmuleerde MSX-machineconfiguratie.

Vanuit MSX-BASIC kan de firmware worden aangeroepen met het commando CALL MUSICBOX.

Als deze cartridge wordt gebruikt om MSX-AUDIO-geluidsweergave te verkrijgen in plaats van MSX-MUSIC of PSG met sommige Compile spellen en Compile Diskstations dan moet normaal gesproken de volgende procedure worden opgevolgd:
- start de geëmuleerde MSX-machineconfiguratie met deze cartridge in een sleuf en vergeet niet om op de ESC-toets te drukken;
- Voeg het Compile spel of Compile Diskstation toe aan diskettestation A;
- in MSX-BASIC geef de POKE -54,35:POKE&HF346,1:_SYSTEM in en druk op RETURN.

TOSHIBA (HX-MU900)

De niet aangepaste Japanse cartridge start automatisch op met de ingebouwde firmare tenzij de ESC-toets ingedrukt gehouden wordt tijdens het opstarten van de geëmuleerde MSX-machineconfiguratie.

Vanuit MSX-BASIC kan de firmware worden aangeroepen met het commando CALL SYN.

Als deze cartridge wordt gebruikt om MSX-AUDIO-geluidsweergave te verkrijgen in plaats van MSX-MUSIC of PSG met sommige Compile spellen en Compile Diskstations dan moet normaal gesproken de volgende procedure worden opgevolgd:
- start de geëmuleerde MSX-machineconfiguratie met deze cartridge in een sleuf en vergeet niet om op de ESC-toets te drukken;
- Voeg het Compile spel of Compile Diskstation toe aan diskettestation A;
- in MSX-BASIC geef de POKE -54,35:POKE&HF346,1:_SYSTEM in en druk op RETURN.

MSX-AUDIO rom-spellen

Slechts 3 MSX2-spellen in het romformaat kunnen MSX-AUDIO gebruiken en weergeven wanneer de Panasonic MSX-AUDIO-cartridge in sleuf 1 wordt geplaatst en het spel in sleuf 2:

Family Stadium
Labyrinth
Xevious - Fardraut Saga


MSX-MUSIC

MSX-MUSIC

MSX-MUSIC is een uitgeklede versie (de light version) van MSX-AUDIO zonder de sample-eenheid. Het is een Yamaha YM-2413 OPLL FM-geluidssynthesizer met 9 kanalen met FM-geluid zonder drums of 6 kanalen van FM-geluid + FM-drums.

Om MSX-MUSIC te beluisteren moet de geëmuleerde MSX-machineconfiguratie beschikken over een MSX-MUSIC-geluidschip (middels toevoeging van een rom). Dit is het geval met alle generieke MSX2-, MSX2+- en Turbo-R-machineconfiguraties met uitzondering van de MSX2 Only PSG-machineconfiguratie.

FM-BASIC is een uitbreiding van MSX-BASIC en maakt het mogelijk MSX MSX-MUSIC op eenvoudige wijze te gebruiken, maar er moet een MSX-MUSIC-geluidschip worden geplaatst in een cartridgesleuf om toegang te krijgen tot de nieuwe commando's als een machineconfiguratie wordt gebruikt zonder ingebouwde MSX-MUSIC-geluidschip.

MSX-MUSIC-tips

Als een MSX1-machineconfiguratie of een MSX1/MSX2 C-BIOS-machineconfiguratie moet er een MSX-MUSIC-geluidschip worden geplaatst.

De eenvoudigste manier is via het gebruik van het speciale cartridgemenu en een MSX-MUSIC-cartridge toe te voegen aan een cartridgesleuf. Natuurlijk kan deze toevoeging ook met de machineconfiguratie-editor aangemaakt en deze vervolgens op te slaan (eventueel onder een nieuwe naam).

For the C-BIOS machines, wordt het aangeraden om het bestand cbios_music.rom, dat wordt meegeleverd met MSX2+ C-BIOS-machineconfiguratie: voor meer informatie wordt verwezen naar deze pagina.

Stereo

Veel demo's gebruiken gelijktijdig MSX-AUDIO en MSX-MUSIC waardoor een stereo-effect verkregen wordt dat kan worden versterkt middels fijnafstemming in de geluidsmixer.

Enkel MSX-MUSIC beluisteren

- deselecteer de overige geluidschips in de geluidsmixer

- indien er geen geluid wordt weergegeven, lees de optie hieronder

Alleen MSX-MUSIC beluisteren in plaats van andere geluidschips

- deactiveer de MSX-AUDIO-emulatie en/of de MoonSound-emulatie in het menu Options/Geluid

Cartridges met MSX-MUSIC

PANASONIC (FM-PAC)

Enkel deze Japanse cartridge bevat twee verschillende onderdelen: een muziekgeluidschip (MSX-MUSIC) en een opslagsysteem voor gebruik met sommige spellen (SRAM).

Vanuit MSX-BASIC kan de firmware worden aangeroepen met het commando: CALL FMPAC

CHECKMARK (FM-PAK)

Deze Nederlandse cartridge beschikt niet over SRAM.

Vanuit MSX-BASIC kan de firmware worden aangeroepen met het commando: CALL FMPAK

ZEMINA (MUSICBOX)

Deze Koreaanse cartridge beschikt niet over SRAM en niet over firmware.

ACVS (FM-ACVS)

Deze Braziliaanse cartridge beschikt niet over SRAM en niet over firmware.

Romspellen met MSX-MUSIC

Met uitzondering van Synthe Saurus 1.1 en Blade Lords gebruiken de betrokken roms over het algemeen de PSG-geluidsweergave wanneer er geen interne of externe MSX-MUSIC-geluidschip wordt aangetroffen.

Voor R-Type, Heroes Of The Lance en Nekketsu Judo wordt aangeraden om een MSX2 Only PSG-machineconfiguratie te gebruiken en het spel te plaatsen in sleuf 1 en een FM-PAC-cartridge in sleuf 2.

MSX1-spellen

Gambler Jikichushinpa
R-Type (alleen met FM-PAC in sleuf 2, anders wordt PSG gebruikt)
Synthe Saurus 1.1 (enkel MSX-MUSIC)

MSX2-spellen

Aleste
Blade Lords (enkel MSX-MUSIC)
Daikoukai Jidai
Europe War
Family Stadium
Fleet Commander 2
Gambler Jikichushinpa 2
Genchohisi
Heroes Of The Lance (alleen met FM-PAC in sleuf 2, anders wordt PSG gebruikt)
Inindo Tado Nobunaga
Isin no Arashi
L'Empereur
Maison Ikkoku Final
Mon Mon Monster
Nekketsu Judo (alleen met FM-PAC in sleuf 2, anders wordt PSG gebruikt)
Nobunaga no Yabou - Bushouhuunroku
Nobunaga no Yabou - Senkokugunyuden
Pac-Mania
Penguin-Kun Wars 2
Quinpl
Royal Blood
Sangokusi 2
Suikoden
Teitoku no Ketsudan
Tetris
Xevious - Fardraut Saga


Het MSX-systeem

Het MSX-systeem

Deze pagina geeft een beknopt overzicht van het MSX-systeem en haar 5 generaties.

Generatie 0 :
ColecoVision, Sega SG-1000 en SVI318/328

Deze computers kunnen worden beschouwd als de eerste stappen op weg naar de ontwikkeling van de MSX-standaard.

De ColecoVision en Sega SG-1000-spelcomputers beschikken over dezelfde hoofdprocessor (CPU) en Video Display Processor (VDP) als MSX1-computers; ze gebruiken beide een Texas Instruments SN76489-geluidschip, die sterk is verwant aan de Programmable Sound Generator (PSG) van MSX1-computers.

In SVI318/328-computers zijn de processor (CPU), VDP en PSG identiek aan die in MSX1-computers; SVI-BASIC is vrijwel gelijk aan MSX-BASIC.

Generatie 1 : MSX1

De belangrijkste karakteristieken van MSX1-computers:

- CPU 8-bit Zilog Z80A 3,579 MHz
- RAM tussen 8 Kb en 64 Kb
- MSX BASIC versie 1.0
- Video Display Processor: Texas Instruments TMS-9918/TMS-9928/TMS-9929
- Video RAM (VRAM) 16kB
- General Instruments AY-3-8910 Programmable Sound Generator.

Generatie 2 : MSX2

De belangrijkste karakteristieken van MSX2-computers:

- CPU 8-bit Zilog Z80A 3,579 MHz
- RAM tussen 64 Kb en 256 Kb (uitbreidbaar)
- Memory mappersysteem
- MSX BASIC versie 2.0 / 2.1
- Video Display Processor: Yamaha V9938
- Video RAM (VRAM) 64 Kb of 128 Kb
- General Instruments AY-3-8910 Programmable Sound Generator of compatibel (Yamaha YM2149)

Generatie 3 : MSX2+

De belangrijkste karakteristieken van MSX2+-computers:

- CPU 8-bit Zilog Z80A 3,579 MHz (omschakelbaar tot 5,369 MHz met sommige apparaten)
- RAM 64 Kb (uitbreidbaar)
- Memory mappersysteem
- MSX BASIC versie 3.0
- Video Display Processor: Yamaha V9958
- Video RAM (VRAM) 128 Kb
- General Instruments AY-3-8910 Programmable Sound Generator of compatibel (Yamaha YM2149)
- De meeste computers beschikken over een ingebouwde MSX-MUSIC-module (Yamaha OPLL YM-2413)

Generatie 4 : MSX Turbo-R

De belangrijkste karakteristieken van MSX Turbo-R-computers:

- CPU 16-bit RISC R800 (DAR800-X0G), 7,159 MHz
- CPU 8-bit Zilog Z80A 3,579 MHz
- RAM 256 Kb of 512 Kb (uitbreidbaar)
- Memory mappersysteem
- MSX BASIC versie 4.0 / 4.1
- Video Display Processor: Yamaha V9958
- Video RAM (VRAM) 128 Kb
- Yamaha YM2149 Programmable Sound Generator
- Ingebouwde MSX-MUSIC-module (Yamaha OPLL YM-2413)
- PCM synthesizer 8-bit (sample rate 16kHz)
- De Turbo-R GT heeft een ingebouwde MSX-MIDI-interface


Niet-MSX-machineconfiguraties

Niet-MSX-machineconfiguraties

blueMSX wordt geleverd met verschillende niet-MSX-machineconfiguraties; de vereiste systeemroms worden gewoonlijk opgeslagen in een eigen submap in de map Machines. De Sega SG-1000-spelcomputer vereist geen systeemrom om volledig te kunnen worden geëmuleerd.

Coleco en Sega-machineconfiguraties

Alleen de ColecoVision en de Sega SG-1000 worden momenteel ondersteund. Ze beschikken over 4 niet-uitbreidbare sleuven, 1 cartridgesleuf, 1Kb Mirrored RAM en 16 Kb VRAM.

De Spectravideo SVI-603 Coleco-speladapter of de ColecoVision met de Opcode Memory Extension (16 Kb RAM) kan eventueel ook gebruikt worden.

De videofrequentie is 60 Hz maar deze kan handmatig naar 50 Hz worden omgeschakeld in het Opties/Emulatiemenu.

In een toekomstige versie wordt waarschijnlijk tevens de ColecoAdam, de Sega SC-3000 en de Sega Master System ondersteund en bieden meer mogelijkheden.

Spectravideo-machineconfiguraties

Vijf SVI-machineconfiguraties worden geëmuleerd door blueMSX. Ze beschikken over 4 niet-uitbreidbare sleuven, 1 cartridgesleuf, 1 cassettepoort, 16 Kb VRAM en een QWERTY-toetsenbord.

De videofrequentie is 50 Hz maar deze kan handmatig naar 60 worden omgeschakeld in het Opties/Emulatiemenu.

Verschillen tussen deze machineconfiguraties hebben voornamelijk betrekking op het RAM-geheugen, de toevoeging van een diskettestation en de aanwezigheid van een tweede videokaart:

 | RAM | Diskette | Tweede videokaart
SVI-318 | 16 Kb | Nee | Nee
SVI-328 | 64 Kb | Ja | Nee
SVI-328 80 Column | 160 Kb | Ja | Ja (voor 80 kolommen)
SVI-328 80 Swedish | 160 Kb | Ja | Ja (voor 80 kolommen)
SVI-328 MK2 | 160 Kb | Ja | Nee


PCM

PCM

PCM (wat staat voor Pulse Code Modulation) is een 8-bits sampler die alleen beschikbaar is op Turbo-R-machines. De maximale sample rate is 16kHz en er is geen analoog-digitaal converter, zoals bij MSX-AUDIO wel het geval is.

Om het PCM-geluid te beluisteren moet de geëmuleerde MSX Turbo-R machine beschikken over een Turbo-R PCM-geluidschip (zonder toevoeging van een additionele rom).

De Turbo-R-machines beschikken ook over specifieke MSX-BASIC-commando's voor PCM.

PCM-tips

Stereo

Sommige Turbo-R-demo's gebruiken gelijktijdig MSX-AUDIO en PCM om een stereo-effect te produceren, dat met de geluidsmixer versterkt kan worden.

Alleen PCM-geluid beluisteren

- deselecteer de overige geluidschips in de geluidsmixer


PSG

PSG

PSG (Programmable Sound Generator) is de geluidschip die in elke MSX- en aan MSX-verwante computers wordt aangetroffen:

- in MSX en SVI-computers, de General Instruments AY-3-8910-geluidschip

- in MSX2, MSX2+ en Turbo-R-computers, is deze veelal vervangen door de Yamaha YM2149-geluidschip

- in de ColecoVision, de Texas Instrument SN76489-geluidschip

Het beschikt over drie toongeneratoren en een ruisgenerator.

MSX-BASIC bevat instructies voor het eenvoudig gebruiken van de PSG.

PSG-tips

Stereo

Doordat SCC wordt gecombineerd met de PSG in sommige demos en Konami-spellen wordt een een stereo-effect verkregen dat kan worden versterkt middels fijnafstemming in de geluidsmixer.

Enkel de PSG gebruik

- deselecteer de overige geluidschips in de mixer

- indien u niet hoort, lees dan hieronder

Horen van de PSG in plaats van overige geluidschips

- deactiveer de MSX-MUSIC-emulatie en/of de MSX-AUDIO-emulatie in het Opties/Geluidmenu

- gebruik de MSX2 Only PSG-machineconfiguratie, met name als u een spel wilt uitvoeren met automatische keuze tussen PSG en MSX-MUSIC maar PSG-geluiden wilt horen in plaats van MSX-MUSIC.

Deze pagina geeft een overzicht van romspellen met automatische keuze tussen PSG en MSX-MUSIC.


Het rechter paneel

Het rechter paneel

Het rechter paneel van de DIGIblue SUITE-X 2.2 theme bevat drie LED's en verschillende knoppen:

drie LED's voor de status van de diskettestations en de cassettespeler
twee grote knoppen voor toegang tot de geluidsmixer (MIXER) of de besturingseditor (KBD-JOY CONF)

drie kleine knoppen die de statusbalk wijzigen (STATUS - CONTROL - VIDEO)


De Konami cartridgecombinaties

De Konami cartridgecombinaties

Sommige Konami spelcartridges geven recht op "extra powers" als er twee verschillende Konami romcartridges worden geplaatst: de cartridge met het spel en een andere spelcartridge.

Er zijn ook twee speciale Konami cartridges die een cheat -mogelijkheid bieden: de Game Master I en de Game Master II.

Wat is de te volgen procedure voor het gebruik van de Konami romcombinaties?
- kies procedure 1,2 of 3 (menu, werkbalk, sneltoets)
- plaats het eerste romspel in sleuf 1
- plaats het tweede romspel in sleuf 2:
* middels de eerste procedure, klik op Bestand/Cartridgesleuf 2/Toevoegen
* middels de tweede procedure, gebruik het 4e pictogram op de werkbalk (toevoegen cartridge in sleuf 2)
* middels de derde procedure, gebruik de sneltoetscombinatie CTRL + F8.

Welke verschillende Konami romcombinaties zijn er?
Hieronder zijn de verschillende romcombinaties vermeld.
Zie ook de opties die worden toegevoegd middels het gebruik van de Game Master I en de Game Master II

ROM IN SLEUF 1 | RC | ROM IN SLEUF 2 | RC | "EXTRA POWERS"
F1 Spirit / A1 Spirit | 752 | Game Master I | 735 | Alle circuits zijn toegankelijk.
F1 Spirit / A1 Spirit | 752 | King Kong 2 | 745 | Alle circuits zijn toegankelijk.
F1 Spirit / A1 Spirit | 752 | Q-Bert | 746 | Alle circuits zijn toegankelijk.
Ganbare Goemon / Samurai | 748 | Q-Bert | 746 | Het startlevel en aantal levens kan worden gewijzigd; de PAUSE en ONE FRAME-opties zijn beschikbaar.
Gradius 1 / Nemesis 1 | 742. | Twinbee | 740 | Het ruimteschip is een twinbee en de energiepods zijn belletjes.
Gradius 2 / Nemesis 2 | 751 | Knightmare 2 - The Maze of Galious | 749 | Bij verlies van een ruimteschip kunnen de wapens worden terug gekregen. (RESTORE-optie - werkt niet met CONTINUE).
Gradius 2 / Nemesis 2 | 751 | Q-Bert | 746 | Er kunnen 3 wachtwoorden worden gebruikt tijdens de pauzemodus: LARS18TH - Alle wapens. METALION - Groen schild (tijdelijke onsterfelijkheid maar het is onmogelijk door het landschap te vliegen. NEMESIS - Naar de volgende stage.
Gradius 2 / Nemesis 2 | 751 | Yumetairiku Adventure / Penguin Adventure | 743 | Metalion verandert in Penguin, powerups veranderen in vissen en de blauwe powerups veranderen in vogels.
Hinotori / Firebird | 747 | King Kong 2 | 745 | Spelgegevens kunnen op cassette worden opgeslagen door op F4 te toetsen, om spelgegevens te laden F5.
Hinotori / Firebird | 747 | Q-Bert | 746 | Het aantal levens en het beginlevel kan worden gekozen als het spel wordt gestart; de PAUSE en ONE FRAME-opties zijn beschikbaar.
Knightmare 2 - The Maze Of Galious | 749 | Knightmare | 739 | Popolon of Aphrodite kunnen 99 maal weer tot leven worden gewekt in de Death's shrine.
Knightmare 2 - The Maze Of Galious | 749 | Q-Bert | 746 | Volledige vitaliteit en 100 pijlen, munten en sleutels.
Salamander | 758 | Gradius 2 / Nemesis 2 | 751 | Men verkrijgt toegang tot een extra stage zodat Venom verslagen kan worden en het spel worden uitgespeeld.
The Treasure Of Usas | 753 | F1 Spirit / A1 Spirit | 752 | In elke gemoedsstemming blijven de geheime krachten van de happy mood actief.
The Treasure Of Usas | 753 | Gradius 2 / Nemesis 2 | 751 | Het spel kan worden voortgezet door op F5 te toetsen na een Game Over.
The Treasure Of Usas | 753 | Knightmare 2 - The Maze Of Galious | 749 | 100 munten aan het begin van het spel.
The Treasure Of Usas | 753 | Metal Gear 1 | 750 | Halvering van de opgelopen vitaliteitschade.
Yie Ar Kung-Fu 2 | 737 | Yie Ar Kung-Fu | 725 | Als men bijna dood is dan verschijnt na een tijdje de vader en laat een kop thee vallen.


Externe romdatabases

Externe romdatabases

blueMSX maakt gebruik van verschillende databases met SHA1-waarden:

- softwaredb.xml : de MSX-database (bevat op dit moment enkel rom en cas/wav-gegevens)

- svidb.xml : de SVI-database (met cas, wav, dsk en romgegevens)

- colecodb.xml : de Coleco-database (bevat op dit moment enkel gegevens van romcartridge)

- segadb.xml : de Sega-database (bevat momenteel enkel met SG-1000-roms)

Indien een spel is opgenomen in één van deze databases dan kan blueMSX het spel uit te voeren (starten) omdat blueMSX automatisch het gebruikte type mapper van de romcartridge detecteert!

De .xml-bestanden

Om romcartridgegegevens toe te voegen aan deze databases dient de onderstaande algemene syntax worden gebruikt:

<software>
oooooo <title xml :lang="en"> .......</title> | Bijvoorbeeld: Metal Gear 2 Solid Snake
oooooo <system> ....... </system> | Bijvoorbeeld: MSX (overige opties: SVI - Coleco - Sega)
oooooo <company> .......</company> | Bijvoorbeeld: Konami
oooooo <year> ......</year> | Bijvoorbeeld: 1990
oooooo <country> ....... </country> | Landcode: JP voor Japan
oooooo <dump>
ooooooooooooo <original value="...."> ....

         2 opties:
- voor een GoodMSX dump : <original value="true">GoodMSX</original>
- voor een andere dump : <original value="false"/>
ooooooooooooo <rom> | Overige opties: megarom - sccpluscart - system rom
ooooooooooooo <type> ....... </type>

         Enkel voor rom - megarom - system rom
Kan worden overgeslagen bij Normal roms die beginnen op adres 0x0000 of bij mirrored roms
(autodetectie door de emulator; wordt niet aangeraden voor systeemroms)
ooooooooooooo <start> ....... </start>

         Enkel voor Normal roms - 4 opties : 0x0000 - 0x4000 - 0x8000 - 0xC000
Kan worden overgeslagen bij Normal roms die starten op adres 0x0000 of bij mirrored roms
(autodetectie door de emulator; wordt niet aangeraden voor systeemroms)
ooooooooooooo <boot> ...... </boot> | Enkel voor sccpluscarts - 2 opties : scc - scc+
ooooooooooooo <hash algo="...."> ....... </hash> | 2 opties : crc32- of sha1-waarde (sha1-waarde wordt aangeraden)
ooooooooooooo <remark>
oooooooooooooooo ooo o<text> ....... </text> | Hier kan overige informatie over de dump worden toegevoegd
ooooooooooooo </remark>
ooooooooooooo </rom>
oooooo </dump>
oooooo <dump> | Volgende dump van hetzelfde spel!
...........................
oooooo </dump>
</software>

Hoe kan de sha1-waarde van een romcartridge worden gevonden?

- gebruik een zoekmachine als Google om te zoeken op het internet. Er zullen verschillende zoektreffers worden gevonden naar programmatoepassingen die de sha1-waarde kunnen berekenen.

De verschillende typen rommappers

Welke verschillende typen rommappers zijn er te onderscheiden?

ROMS |
(auto-detection) | Standaard rom of mirrored rom
Normal - start 0x4000 | Standaard rom (start op 0x4000)
Normal - start 0x8000 | Basic rom (start op 0x8000)
KeyboardMaster | Konami's Keyboard Master rom
Synthesizer | Konami's Synthesizer rom
FMDAS | F&M Direct Assembler System rom
MEGAROMS |
KonamiSCC | Konami5 rom (met SCC chip) - Bijvoorbeeld: Kings Valley 2
Konami | Konami4 rom (zonder SCC chip) - Bijvoorbeeld: The Treasure of Usas
ASCII8 | ASCII8 rom - Bijvoorbeeld: Bubble Bobble
ASCII16 | ASCII16 rom - Bijvoorbeeld: Xevious
ASCII8SRAM8 Wizardry | ASCII8 rom met SRAM - Bijvoorbeeld: Xanadu
ASCII16SRAM2 | ASCII16 rom met SRAM - Bijvoorbeeld: Hydlide 2
KoeiSRAM8 KoeiSRAM32 | Koei rom met SRAM - Bijvoorbeeld: Europe War
GameMaster2 | Game Master II rom (met SRAM)
GenericKonami | Konami4 variant (voor gekraakte roms)
SuperPierrot | Super Pierrot rom
Majutsushi | Hai no Majutsushi rom
R-Type | R-TYPE rom
SuperLodeRunner | Super Lode Runner rom
CrossBlaim | Cross Blaim rom
HarryFox | Harry Fox Yki No Maoh rom
Zemina80in1 | Voor drie Koreaanse roms : 30-in-1, 64-in-1 en 80-in-1
Zemina90in1 | Koreaanse 90-in-1 rom
Zemina126in1 | Koreaanse 126-in-1 rom
HolyQuran | Holy Quran rom (wordt gebruikt in Arabische MSX1 en MSX2-computers)
SCCPLUSCARTS |
boot : scc | SCC rom games (voor gekraakte roms)
boot : scc+ | SCC+ rom games (voor gekraakte roms)
SYSTEEMROMS |
(auto-detection) | Mirrored rom
Normal - start 0x0000 | Normal rom
DiskPatch | Normal rom + disk patch
CasPatch | Normal rom + cassette patch
Normal - start 0x4000 | Standard rom (start op 0x4000)
Normal - start 0x8000 | Basic rom (start op 0x8000)
Normal - start 0xC000 | Standard rom (start op 0xC000)
MSX-DOS2 | MSX-DOS 2 rom
FMPAC | Panasonic FM-PAC rom (met SRAM en MSX-MUSIC)
FMPAK | Dutch or Korean MSX-MUSIC rom
MSX-AUDIO | Panasonic MSX-AUDIO rom
MSX-MUSIC | Japanese MSX-MUSIC rom
MoonSound | MoonSound rom
Kanji1 | Kanji rom
Kanji12 | Kanji12 rom
Bunsetsu | Bunsetsu rom
Jisyo | Jisho rom (gebruikt in combinatie met de Bunsetsu-rom)
Halnote | Halnote rom met SRAM
National | National rom met SRAM
Panasonic16 | Panasonic rom met SRAM 16 Kb
Panasonic32 | Panasonic rom met SRAM 32 Kb
TC8566AF | Panasonic disk rom
MB8877A | National-Daewoo disk rom
WD2793 | Philips-Sony disk rom
Microsol | Microsol disk rom
SVI738FDC | Spectravideo SVI-738 disk rom
SunriseIDE | Sunrise IDE harddisk rom
BeerIDE | Beer IDE harddisk rom
MegaRAMdisk | Brazilian MegaRAMdisk rom (nog niet ondersteund)
SVI727 | Spectravideo 80 column card voor MSX1
VMX80 | Microsol 80 column card voor MSX1
SonyHBI-V1 | Sony HBI-V1 digitizer rom
SFG-01 | Yamaha CX5M music rom - eerste versie
SFG-05 | Yamaha CX5M/CX7M music rom
FSA1FM1 | Panasonic FS-A1FM modem rom (nog niet ondersteund)
FSA1FM2 | Panasonic FS-A1FM firmware rom (nog niet ondersteund)
NON-MSX ROMS |
Normal - start 0x0000 | Normal SVI or Coleco bios rom
CasPatch | Normal SVI rom + cassette patch
SVI328CART | Spectravideo SVI-318/328 rom
SVI80COL | Spectravideo 80 column card
Coleco | ColecoVision/Adam rom
SG1000 | Normal SG-1000 rom
SG1000Castle | The Castle SG-1000 rom met SRAM


Het cartridgemenu

Het cartridgemenu

Het cartridgemenu is het eerste onderdeel van het menu Bestand. Het bevat, voor elk slot, de volgende menuonderdelen:

Toevoegen
Hiermee wordt een rombeeld geplaatst in cartridgesleuf 1 of 2.
De volgende bestandstypen worden ondersteund: .ROM, .MX1, .MX2., .COL en .ZIP.
Als een ingepakt bestand (met het zip-formaat) meer dan één rombeeld bevat dan wordt een lijst weergegeven met alle ingesloten rombeelden.

Omdat de blueMSX-emulator gebruikmaakt van de romdatabase kiest de emulator automatisch het juiste type rommapper.
Indien de rom niet in de database is opgenomen of men wil een andere mapper proberen dan kan handmatig het gewenste type rommapper worden gekozen. Zie de pagina externe romdatabases voor een meer gedetailleerde uitleg van de verschillende typen rommappers.

Toevoegen Speciale Cartridge
In dit submenu kunnen speciale cartridges aan de cartridgesleuven worden toegevoegd.

Verwijderen
Verwijderd een rombeeld uit cartridgesleuf 1 of 2.

Herstart na toevoegen/verwijderen
Indien deze optie is aangevinkt dan wordt de emulator automatisch geherstart wanneer een rombeeld wordt toegevoegd of verwijderd.

Recente bestanden
Geeft een lijst weer van de meest recent gebruikte rombeelden die aan de betreffende cartridgesleuf zijn toegevoegd.
Een rombeeld kan uit deze lijst worden geselecteerd in plaats van de anders te gebruiken menuoptie Toevoegen.

Het Toevoegen Speciale Cartridgemenu

SCC/SCC+

SCC (Sound Custom Chip of Sound Creative Chip) is een geluidschip die gezamenlijk door Konami en Yamaha is ontwikkeld onder de technische naam K051649. Deze geluidschip is in enkele Konami spellen aanwezig, waaronder o.a. King's Valley 2 of Salamander.

Het voegt 5 kanalen to aan de 3 PSG-kanalen om een betere geluidsweergave te produceren. De SCC-geluidschip heeft ook een eigen memorymapper.

SCC+ is een verbeterde versie in de vorm van een geluidscartridge en werd gelijktijdig uitgebracht met dee lancering van de spellen Snatcher en SD-Snatcher.

De verschillen tussen SCC en SCC+ zijn voornamelijk de toevoegingen van een onafhankelijk 5e geluidskanaal en een intern geheugen (64 Kb RAM) aan de SCC+-geluidscartridge.

Sommige spellen op diskette (de Konami Games Collection, Snatcher en SD-Snatcher) of demo's (bijvoorbeeld de Fony Demo Disk 1) eisen de toevoeging van en SCC- of een SCC+-cartridge om een goede (juiste) geluidsweergave te krijgen. Dit is tevens het geval bij de aangepaste romspellen, die geschikt zijn gemaakt voor gebruik met Flashrom.

Voor meer informatie wordt verwezen naar deze pagina.

IDE

Een IDE of Integrated Drive Electronics-interface met controllers is vereist om een vaste schijf toe te voegen aan een MSX-computer.

Er zijn drie verschillende IDE-controllers:
- Sunrise IDE
- Beer IDE
- GIDE

Voor meer informatie wordt verwezen naar deze pagina.

FM-PAC/PAC

FM-PAC staat voor FM-Pana Amusement Cartridge en is een cartridge die door Panasonic op de markt is gebracht.

Het bestaat uit twee verschillende onderdelen: een muziekonderdeel (MSX-MUSIC met geïntegreerde software (firmware) dat kan worden aangeroepen in MSX-BASIC met de commando: _FMPAC) en een opslagsysteem (SRAM) voor sommige spellen.

PAC is een eenvoudige versie en bevat alleen het opslagsysteem SRAM.

Alle generieke MSX2-, MSX2+- en Turbo-R-machineconfiguraties zijn opgewaardeerd met een interne MSX-MUSIC-geluidschip en de PAC-cartridge met de enige uitzondering van de MSX2 Only PSG-machineconfiguratie. Het is dus niet noodzakelijk om een FM-PAC-cartridge toe te voegen aan één van de cartridgesleuven!

Als men een FM-PAC- of een PAC-cartridge wil gebruiken met een MSX1-machineconfiguratie gebruik dan dit speciale menu.

Voor meer informatie wordt verwezen naar deze pagina.

Sony HBI-55-cartridge

De Sony HBI-55-cartridge is een speciale toevoeging om persoonlijke gegevens op te slaan en kan alleen gebruikt worden op enkele Sony MSX1-machineconfiguraties: bijvoorbeeld de HB-75, HB-201.

Extern RAM-geheugen

Hoewel een MSX-computer reeds beschikt over RAM-geheugen kan het niet intern worden uitgebreid (door gebruik te maken van de machineconfiguratie-editor) of extern (door dit speciale cartridgemenu te gebruiken).

Extra extern RAM-geheugen kan alleen worden toegevoegd aan MSX2-, MSX2+- en Turbo-R-machineconfiguraties.

MegaRAM

MegaRAM is voornamelijk een Braziliaanse uitvinding zodat een MegaROM-spel kan worden uitgevoerd op een MSX-computer zonder het gebruik van een Memory mapper. Dit is namelijk het geval bij de meeste MSX1- en sommige MSX2-machineconfiguraties. Het kan tevens worden gebruikt met MSX2/2+-machineconfiguraties met een memorymapper. Er zijn tevens Koreaanse MegaRAMs.

Voor de een goede werking van de MegaRAM moet altijd een grootte worden gekozen die groter is dan de grootte van het MegaROM-spel. Bijvoorbeeld als men een spel van 256 Kb MegaROM wil uitvoeren dan moet op zijn minst een 512 Kb MegaRAM geselecteerd worden.


Uitvoeren van blueMSX

Uitvoeren van blueMSX

Dubbelklik op het blueMSX-pictogram om de emulator te starten.
Er kan ook een snelkoppeling naar het bestand blueMSX.exe op het bureaublad worden geplaatst. Dubbelklikken op deze snelkoppeling start blueMSX.

Men verkrijgt dan toegang tot de prachtige gebruikersinterface van blueMSX. De emulator bevindt zich dan in de pauzemodus.
Om werkelijk toe te treden tot de Wereld van MSX, druk op F9 (= Uitvoeren) of op F12 (= Herstarten).

Standaard worden de menu's van de emulator weergegeven in de taal van de gebruikte Windowsversie, mits deze taal door blueMSX wordt ondersteund. Indien de taal niet wordt ondersteund dan worden de menu's van blueMSX Engelstalig weergeven.

Om handmatig een andere taal te selecteren: klik in het menu Opties op Language en selecteer vervolgens de gewenste taal. Meer informatie kan hier gevonden worden.

Het menu Opties bevat andere secties die worden beschreven in het hoofdstuk Gebruik van deze handleiding.

Zonder een spel of toepassing wordt blueMSX opgestart in de MSX-BASIC-omgeving. Indien de geselecteerde machineconfiguratie over interne firmware bevat dan wordt normaal gesproken deze speciale toepassing gelanceerd.

Voordat er 'iets gaat gebeuren' moet een bestand in de emulator worden geladen. De manier waarop wordt beschreven op meerdere pagina's in deze handleiding.

blueMSX ondersteunt romcartridge-, diskette- en cassettebestanden. Deze bestanden zijn beelden van de 'echte' cartridges, diskettes of cassettes, met hun gehele inhoud, inclusief bijvoorbeeld de opstartsector (boot sector) van de diskettes of de headers van de cassettes.

De rombestanden hebben één van de volgende extensies: .rom, .ri, .mx1, .mx2 of .col.

De diskettebestanden hebben één van de volgende extensies: .dsk, .di1, .di2, .360 of .720. Tevens kan een Windowsmap als diskette worden gebruikt indien deze map bestanden bevat met MSX-spellen of -toepassingen.

De cassettebestanden hebben de extensie .cas.

blueMSX ondersteunt tevens zip-archieven die bestanden bevatten met deze bestandextensies.

Op diverse internetsites vindt men MSX-spellen of -applicaties die kunnen worden uitgevoerd met de blueMSX-emulator.


Het uitvoeren van cassettebeelden

Het uitvoeren van cassettebeelden (cas-beelden)

Cas-beelden bevatten alle spelgegevens van spellen op de cassette. De bestanden hebben de extensie .cas

Deze spellen kunnen worden gestart door één van de vijf verschillende procedures in blueMSX te gebruiken. Kies de procedure waarnaar uw voorkeur uitgaat!

De eerste drie procedures vereisen dat het blueMSX-scherm al zichtbaar is op het PC-scherm; met de vijfde procedure kan middels dubbelklikken op het cassetebeeld het programma worden gestart, maar dan moeten eerst enkele bestandstypen worden geregistreerd (gekoppeld aan) bij blueMSX. Dit doet men via het menu Opties/Algemene instellingen/Windowsomgeving.

Indien er reeds cassettebeelden zijn gebruikt in blueMSX dan onthoudt de emulator dit in zijn geheugen (standaard is dit ingesteld op: maximaal 10). De namen van deze cassettebeelden worden in het menu weergegeven en deze kunnen tevens direct worden geselecteerd!

In alle gevallen geldt dat de cassette door de gebruiker moet worden gestart. In MSX-BASIC moet een van de onderstaande commando's gebruikt worden en daarna moet op de toets RETURN (dit is de entertoets op de PC) gedrukt worden (de entertoets op de PC). Kan gecombineerd worden met de optie "Positie bepalen" in het menu Bestand/Cassettespeler

Command |
RUN"CAS:" | Voor MSX-BASIC-bestanden opgeslagen met het commando SAVE
LOAD"CAS:",R | Voor MSX-BASIC-bestanden opgeslagen met het commando SAVE
BLOAD"CAS:",R | Voor binaire bestanden opgeslagen met het commando BSAVE
CLOAD | Voor MSX-BASIC-bestanden opgeslagen met het commando CSAVE - Om het bestand uit te voeren klikt men na het laden van het bestand op F5

Eerste procedure: via het menu

- start blueMSX met een dubbelklik op het blueMSX-pictogram of de blueMSX-snelkoppeling
- klik op Bestand/Cassettespeler/Toevoegen
- deze keuze roept de Windows Verkenner op om een cassettebeeld te selecteren
- als de keuze is gemaakt druk dan op de toets F9 (= Uitvoeren) of F12 (= Herstart) om naar MSX-BASIC te gaan in de laatst geselecteerde machineconfiguratie

Tweede procedure: gebruik van de werkbalk

- start blueMSX met een dubbelklik op het blueMSX-pictogram of de blueMSX-snelkoppeling
- klik op het 7e pictogram in de werkbalk (Toevoegen in de cassettespeler)
- deze keuze roept de Windows Verkenner op om een cassettebeeld te selecteren
- als de keuze is gemaakt druk dan op de toets F9 (= Uitvoeren) of F12 (= Herstart) om naar MSX-BASIC te gaan in de laatst geselecteerde machineconfiguratie

Derde procedure: gebruik van de sneltoets

- start blueMSX met een dubbelklik op het blueMSX-pictogram of de blueMSX-snelkoppeling
- druk gelijktijdig op de toetsen CTRL + F11
- deze keuze roept de Windows Verkenner op om een cassettebeeld te selecteren
- als de keuze is gemaakt druk dan op de toets F9 (= Uitvoeren) of F12 (= Herstart) om naar MSX-BASIC te gaan in de laatst geselecteerde machineconfiguratie

Vierde procedure: slepen en neerzetten

- gebruik de muis om een cassettebeeld te slepen en neer te zetten op het blueMSX-pictogram.
- de emulator gaat naar MSX-BASIC in de laatst geselecteerde machineconfiguratie en spoelt de cassette automatisch terug (zelfs indien de optie Terugspoelen na Ingave niet is ingeschakeld; deze optie vindt men in het menu Bestand/Cassettespeler)

Opmerking : blueMSX kan ook eerst gestart worden en dan de cassettebeelden naar het blueMSX-venster te slepen en daar neer te zetten, maar in dit geval wordt de cassette niet automatisch teruggespoeld als de optie Terugspelen na Toevoegen niet is ingeschakeld in het menu Bestand/Cassettespeler

Vijfde procedure: dubbelklikken

Deze procedure is enkel beschikbaar als enkele bestandtypen zijn geregistreerd bij blueMSX. in het menu Opties/Algemene instellingen/Windows Omgeving

- dubbelklik eenvoudig op een cassettebeeld
- de emulator gaat naar MSX-BASIC in de laatst geselecteerde machineconfiguratie en spoelt de cassette automatisch terug (zelfs indien de optie Terugspoelen na Ingave niet is ingeschakeld; deze optie vindt men in het menu Bestand/Cassettespeler)

Vragen en antwoorden

Kunnen ingepakte cassettebestanden ook worden uitgevoerd?
Ja, mits het zip-formaat wordt gebruikt maar de vijfde procedure (dubbelklikken) is niet beschikbaar

- als het ingepakte bestand slechts een cassettebeeld bevat dan wordt deze direct geladen
- indien het ingepakte bestand meerdere cassettebeelden bevat dan wordt een dialoogscherm weergeven met een lijst van de aanwezige cassettebeelden. Hieruit kan het gewenste cassettebeeld worden gekozen, die vervolgens wordt geladen

Kunnen cassettebeelden ook gebruikt worden voor opslag?
Ja, blueMSX beschikt over een unieke functie waarmee dit mogelijk wordt: blueDECK met de keuze tussen 3 verschillende formaten en een interne positieonthouder voor het onthouden van de positie van de cassetteband!

Hoe wordt voorkomen dat blueMSX automatisch de cassette terugspoelt?
- schakel de optie Terugspoelen na Toevoegen uit in het menu Bestand/Cassettespeler
- Kies één van de procedures 1, 2 of 3

Het werkt niet! Wat nu?
- vergeet niet dat de cassette handmatig moet worden gestart door één van de hierboven beschreven commando's in MSX-BASIC

- indien de optie Terugspellen na Toevoegen is uitgeschakeld dan moet de cassette handmatig worden teruggespoeld door de optie Terugspoelen Cassette in het menu Bestand/Cassettespeler of door gebruik van de sneltoetscombinatie CTRL+SHIFT+F11.

- de meeste spellen op cassette werden geoptimaliseerd voor de VDP van de MSX1 en er wordt MSX2- of een MSX2+-machineconfiguratie uitgevoerd: selecteer een MSX1-machineconfiguratie in het menu Opties/ Emulatie of het menu Gereedschap/Machineconfiguratie-editor en probeer het spel opnieuw te starten

Probeer niet een cassette uit te voeren met een Turbo-R-machineconfiguratie! Dit zal nooit werken omdat Turbo-R-computers niet beschikken over een cassettepoort om een cassettespeler aan te sluiten .

- als de emulator geblokkeerd lijkt probeer dan altijd de emulator en het spel te herstarten door op toets F12 (= Herstarten) te drukken

- Als er een MSX2- of een MSX2+-machineconfiguratie wordt gebruikt en er kan geen spel gestart worden dat zonder enige problemen goed werkt met een MSX1 bekijk dan het laadbestand van het bestand en plaats de volgende poke aan het begin van het bestand: POKE-1,(15-PEEK(-1)\16)*17 (op regel 1 bijvoorbeeld), Deze 'universele' poke vervangt de eventueel reeds aanwezige poke -1,0 of poke -1, 85 of poke -1,170 of poke -1,255.

- Sommige spellen eisen meer vrij geheugen om te kunnen worden uitgevoerd: druk op de toets F12 (= Herstart) en vervolgens op de Linker Ctrl of op de Linker Shift tijdens het opstarten net zolang tot een piepgeluid wordt gehoord (dit schakelt het tweede diskettestation of beide diskettestations uit)

- sommige cassettes eisen het gebruik van het menu "Positie bepalen", met name cassettes met meerdere spellen en applicaties

- sommige spellen of demo's werken geheel niet of geven andere problemen: het kan een fout in de VDP-emulatie of Z80-emulatie of de ondersteuning van de cassettespeler; Rapporteer a.u.b. (alle) problemen en/of foutmeldingen op het blueMSX forum, en we proberen het proble(e)m(en) op te lossen!


Het uitvoeren van diskettebeelden

Het uitvoeren van diskettebeelden

Diskettebeelden bevatten alle spelgegevens van spellen op diskette. De bestanden hebben gewoonlijk de extensie .dsk, maar blueMSX accepteert ook de extensies .di1, .di2, .360 en .720.

Deze spellen kunnen worden gestart door één van de vijf verschillende procedures in blueMSX te gebruiken. Kies de procedure waarnaar uw voorkeur uitgaat!

De eerste drie procedures vereisen dat het blueMSX-scherm al zichtbaar is op het PC-scherm; met de vijfde procedure kan middels dubbelklikken op het diskettebeeld het programma worden gestart, maar dan moeten eerst enkele bestandstypen worden geregistreerd bij (gekoppeld aan) blueMSX. Dit doet men via het menu Opties/Algemene instellingen/Windowsomgeving.

Indien er reeds eerder diskettebeelden zijn gebruikt in blueMSX dan onthoudt de emulator dit in zijn geheugen (standaard is dit ingesteld op: maximaal 10). De namen van deze diskettebeelden worden in het menu weergegeven en deze kunnen tevens direct worden geselecteerd!

Eerste procedure: via het menu

- start blueMSX met een dubbelklik op het blueMSX-pictogram of de blueMSX-snelkoppeling
- klik op Bestand/Diskettestation 1/Toevoegen
- deze keuze roept de Windows Verkenner op om een diskettebeeld te selecteren
- als de keuze is gemaakt druk dan op de toets F9 (= Uitvoeren) of F12 (= Herstart) om het spel te starten met de laatst geselecteerde machineconfiguratie

Het spel kan ook automatisch worden uitgevoerd als de optie Herstart na toevoegen is geselecteerd in het menu Bestand/Diskettestation A of B

Tweede procedure: gebruik van de werkbalk

- start blueMSX met een dubbelklik op het blueMSX-pictogram of de blueMSX-snelkoppeling
- klik op het 5e pictogram in de werkbalk (Toevoegen diskette aan diskettestation A)
- deze keuze roept de Windows Verkenner op om een diskettebeeld te selecteren
- als de keuze is gemaakt druk dan op de toets F9 (= Uitvoeren) of F12 (= Herstart) om het spel te starten met de laatst geselecteerde machineconfiguratie

Het spel kan ook automatisch worden uitgevoerd als de optie Herstart na toevoegen is geselecteerd in het menu Bestand/Diskettestation A of B

Derde procedure: gebruik van de sneltoets

- start blueMSX met een dubbelklik op het blueMSX-pictogram of de blueMSX-snelkoppeling
- druk gelijktijdig op de toetscombinatie CTRL + F9
- deze keuze roept de Windows Verkenner op om een diskettebeeld te selecteren
- als de keuze is gemaakt druk dan op de toets F9 (= Uitvoeren) of F12 (= Herstart) om het spel te starten met de laatst geselecteerde machineconfiguratie

Het spel kan ook automatisch worden uitgevoerd als de optie Herstart na toevoegen is geselecteerd in het menu Bestand/Diskettestation A of B

Vierde procedure: slepen en neerzetten

- gebruik de muis om een rombeeld te slepen naar en neer te zetten op het blueMSX-pictogram.
- blueMSX voert automatisch de laatst geselecteerde machineconfiguratie met het geselecteerde spel op diskette (zelfs als de optie Herstarten na Toevoegen niet is geselecteerd in het menu Bestand/Diskettestation A of B)

Opmerking: blueMSX kan ook eerst gestart worden en dan het diskettebeeld naar het blueMSX-venster te slepen en daar neer te zetten, maar in dit geval wordt de diskette niet automatisch gestart als de optie Herstart na toevoegen in het menu Bestand/Diskettestation A of B niet is geselecteerd

Vijfde procedure: dubbelklikken

Deze procedure is enkel beschikbaar als enkele bestandtypen zijn geregistreerd bij blueMSX. in het menu Opties/Algemene instellingen/Windowsomgeving

- dubbelklik eenvoudig op een diskettebeeld
- blueMSX voert automatisch de laatst geselecteerde machineconfiguratie met het geselecteerde spel op diskette uit (zelfs als optie Herstart na toevoegen in het menu Bestand/Diskettestation A of B niet is geselecteerd)

Vragen en antwoorden

Hoe moet worden gehandeld als een spel of demo uit meerdere diskettes bestaat?
- om een herstart na iedere diskettewisseling te voorkomen moet de optie Herstart na toevoegen (in het menu Bestand/Diskettestation A en B) gedeselecteerd.
- start blueMSX met de eerste diskette in diskettestation A
- om diskettes te verwisselen kan natuurlijk één van de eerste drie procedures worden gebruikt maar blueMSX beschikt of een unieke functie die het verwisselen van diskettes sterk vereenvoudigd: blueMSX v-DRIVE, met de sneltoetscombinatie ALT+F9!
- om door te gaan met het spel is meestal één druk op de spatiebalk voldoende

Voor meer informatie over blueMSX v-Drive wordt verwezen naar deze pagina.

Kunnen ingepakte diskbestanden ook worden uitgevoerd?
Ja, mits het zip-formaat wordt gebruikt maar de vijfde procedure (dubbelklikken) is niet beschikbaar

- als het ingepakte bestand slechts één diskettebeeld bevat dan wordt deze direct geladen
- indien het ingepakte bestand meerdere diskettebeelden bevat dan wordt een dialoogscherm weergeven met een lijst van de aanwezige diskettebeelden. Hieruit kan het gewenste diskettebeeld worden geselecteerd, die vervolgens kan worden geladen
- indien een spel of demo bestaat uit meerdere diskettes en men wil gebruikmaken van de unieke blueMSX optie v-DRIVE dan kan het ingepakte bestand slechts de betrokken diskettebeelden bevatten.

Hoe moet worden gehandeld als een spel .BAS, .BIN, .LDR etc... bestanden bevat?
- creëer een nieuwe Windows bestandsmap met alle bestanden van het MSX-spel
- gebruik de optie "Toevoegen map"
- als een map is toegevoegd in diskettestation A en men slechts in MSX-BASIC terecht komt dan betekent dit dat het bestand "AUTOEXEC.BAS" ontbreekt. Zoek dan naar het laadbestand en gebruik het volgende commando: RUN"SPEL.LDR" (als het laadbestand "SPEL.LDR" is) en druk op RETURN (de ENTER-toets op de PC)

Hoe kunnen de diskettestations A en B gelijktijdig gebruikt worden?
- gebruik de procedures 1, 2 of 3
- voeg het eerste .dsk-bestand toe aan diskettestation A (zoals hierboven eerder is bescheven)
- voeg de tweede .dsk-bestand toe aan diskettestation B:
* als er gekozen is voor de eerste procedure: klik op Bestand/Diskettestation B/Toevoegen
* als er gekozen is voor de tweede procedure: gebruik het 6e pictogram in de werkbalk (Toevoegen diskette aan diskettestation B)
* als er gekozen is voor de derde procedure: de sneltoetscombinatie is CTRL + F10

Hoe kan voorkomen worden dat blueMSX het spel automatisch start?
- deselecteer de optie Herstart na toevoegen in het menu Bestand/Diskettestation A of B
- kies vervolgens één van de eerste drie procedures

Hoe moet worden gehandeld als een spel niet automatisch start?
Sommige DSK-bestanden starten niet automatisch omdat het bestand AUTOEXEC.BAS of AUTOEXEC.BAT ontbreekt. Bekijk de inhoud van de diskette door gebruik van de commando FILES in MSX-BASIC of DIR in MSX-DOS of CP/M.

Om een MSX-DOS of CP/M programma (met de extensie .COM) uit te voeren, voer eenvoudigweg de naam van het bestand in zonder de extensie op de commandoregel.

Om BASIC of binaire bestanden vanuit BASIC uit te voeren moet één van deze commando's worden gebruikt en vervolgens op de toets RETURN (de entertoets van de PC) gedrukt worden.

Commando | Omschrijving
RUN"[diskettestation:]bestandsnaam" | Voor MSX-BASIC-bestanden opgeslagen met SAVE of SAVE,A
LOAD"[diskettestation:]bestandsnaam",R | Voor MSX-BASIC-bestanden opgeslagen met SAVE of SAVE,A
BLOAD"[diskettestation:]bestandsnaam",R | Voor binaire bestanden opgeslagen met BSAVE

In MSX-BASIC zijn de namen van de diskettestations A en B, in SV Disk Basic zijn de namen van de diskettestations 1 en 2.

Het werkt niet! Wat nu?
- als er gekozen is voor procedure 1, 2 of 3 dan is wellicht de optie Herstart na toevoegen in het menu Bestand/Diskettestation A of B niet geselecteerd. Druk dan op toets F9 (= Start) of op F12 (= Herstart) om het spel te starten

- sommige spellen zijn enkel geschikt voor MSX2 of hoger en er een MSX1-machineconfiguratie wordt gebruikt. Selecteer een MSX2-machineconfiguratie in the menu Opties/Emulatie of in het menu Gereedschap/Machineconfiguratie-editor en probeer het spel opnieuw te starten

- merk op dat sommige spellen uitsluitend zijn ontwikkeld voor MSX2, MSX2+ en/of Turbo-R.

- Ials er een Turbo-R-machineconfiguratie wordt gebruikt en er geen spel kan worden gestart dat zonder enige problemen goed werkt met een MSX1, MSX2 of MSX2+ herstart dan de Turbo-R en druk op de toets '1' tijdens het opstarten net zolang tot een piepgeluid wordt gehoord. Het deactiveert DOS2 en zal zijn werk bij vele spellen doen.

- als er een MSX2-, een MSX2+ of een Turbo-R-machineconfiguratie wordt gebruikt en er kan geen spel gestart worden dat zonder enige problemen goed werkt met een MSX1 bekijk dan het laadbestand van het bestand en plaats de volgende poke aan het begin van het bestand: POKE-1,(15-PEEK(-1)\16)*17 (op regel 1 bijvoorbeeld). Deze 'universele' poke vervangt de eventueel reeds aanwezige poke -1,0 of poke -1, 85 of poke -1,170 of poke -1,255.

- als er een machineconfiguratie wordt gebruikt zonder Floppy Drive Controller zal het zeker niet werken! De oplossing is het toevoegen van een disketterom in cartridgesleuf 1 of 2. Sommige machineconfiguraties die oorspronkelijk niet ontworpen zijn voor het gebruik van diskettestations, moeten op een speciale manier worden gestart als er een disketterom is toegevoegd.

- als de emulator geblokkeerd lijkt probeer dan altijd de emulator en het spel te herstarten door op toets F12 (= Herstarten) te drukken

- sommige spellen eisen meer vrij geheugen om te kunnen worden uitgevoerd: druk op de toets F12 (= Herstart) en vervolgens op de Linker Ctrl tijdens het opstarten net zolang tot een piepgeluid wordt gehoord (dit schakelt het tweede diskettestation uit)

- sommige spellen of demo's werken geheel niet of geven andere problemen: het kan een fout in de VDP-emulatie of Z80-emulatie of de ondersteuning van de diskettestations. Rapporteer a.u.b. (alle) problemen en/of foutmeldingen op het blueMSX forum, en we proberen het proble(e)m(en) op te lossen!


Het uitvoeren van vaste schijfbeelden

Het uitvoeren van vaste schijfbeelden

Vaste schijfbeelden bevatten alle spelgegevens van spellen op een vaste schijf. De bestanden hebben gewoonlijk de extensie .dsk, net als de meest gebruikte extensie voor diskettebeelden.

Dit betekent dat het gebruik van vaste schijfbeelden sterke overeenkomsten vertoond met het gebruik van een diskettebeeld. Er is slechts sprake van één extra stap: de toevoeging van IDE-controllers aan de machineconfiguratie.

Eerste stap: IDE-controllers toevoegen aan een machineconfiguratie

- klik op Bestand /Cartridgesleuf 1 (of sleuf 2)/Toevoegen Speciale Cartridge/IDE
- selecteer één van de drie beschikbare IDE-controllers: Sunrise, Beer of GIDE

Het meest handige IDE-systeem voor MSX is het Sunrise-systeem. Een recente versie kan gebruikt worden met een MSX1 met memorymapper maar het wordt aangeraden om het op een MSX2-, MSX2+- of Turbo-R-machineconfiguratie te gebruiken om volledige toegang te krijgen tot het 'leuke' van een vaste schijf!
Dus, normaal gesproken zal een Sunrise IDE-controller worden toegevoegd aan een MSX2-, MSX2+- of Turbo-R-machineconfiguratie.

TIP: Gebruik de machineconfiguratie-editor om bijvoorbeeld een Turbo-R-machineconfiguratie met IDE-controllers te creëren waardoor deze stap de volgdende keer kan worden overgeslagen als men een vaste schijfbeeld wil uitvoeren!

Voor meer informatie over deze 3 IDE-systemen wordt verwezen naar deze pagina.

Tweede stap: toevoegen van een vaste schijfbeeld

- ga naar Bestand/Vaste schijf

Indien een IDE-controller is toegevoegd kan dit menu gebruikt worden. Het is licht verschillend voor elk type IDE:

Sunrise IDE
Beer IDE
GIDE

- ga naar de Primaire Controller of de enige beschikbare controller

En vervolgens in onderstaand submenu:

- klik op Toevoegen
- deze keuze roept de Windows Verkenner op om een vaste schijfbeeld te selecteren
- als de keuze is gemaakt druk dan op de toets F9 (= Uitvoeren) of F12 (= Herstart) om het spel te starten met de laatst geselecteerde machineconfiguratie

TIP: gebruik de muis om een vaste schijfbeeld te slepen naar en neer te zetten in het blueMSX-pictogram en druk vervolgens op de toets F9 (= Uitvoeren) of F12 (= Herstart) om het spel te starten

Met de menuoptie Verwijderen wordt het vaste schijfbeeld verwijderd.


Het uitvoeren van rombeelden

Het uitvoeren van rombeelden

Rombeelden (ook cartridgebeelden genoemd) bevatten alle spelgegevens van cartridgespellen. De bestanden hebben over het algemeen de extensie .rom, maar blueMSX accepteert ook de extensies .ri, .mx1, .mx2 en .col.

Deze spellen kunnen worden gestart door één van de vijf verschillende procedures in blueMSX te gebruiken. Kies de procedure waarnaar uw voorkeur uitgaat!

De eerste drie procedures vereisen dat het blueMSX-scherm al zichtbaar is op het PC-scherm; met de vijfde procedure kan middels dubbelklikken op het rombeeld het programma worden gestart, maar dan moeten eerst enkele bestandstypen worden geregistreerd (gekoppeld aan) bij blueMSX. Dit doet men via het menu Opties/Algemene instellingen/Windowsomgeving.

Indien er reeds eerder rombeelden zijn gebruikt in blueMSX dan onthoudt de emulator dit in zijn geheugen (standaard is dit ingesteld op: maximaal 10). De namen van deze rombeelden worden in het menu weergegeven en deze kunnen tevens direct worden geselecteerd!

Door gebruik van de romdatabase selecteert de emulator automatisch het juiste type rommapper. Indien het rombeeld niet is opgenomen in de database of zelf een ander type rommapper wenst te gebruiken dan kan deze handmatig worden geselecteerd, maar uitsluitend als één van eerste drie procedures wordt gebruikt.

Eerste procedure: via het menu

- start blueMSX met een dubbelklik op het blueMSX-pictogram of de blueMSX-snelkoppeling
- klik op Bestand/Cartridgesleuf 1/Toevoegen
- deze keuze roept de Windows Verkenner op om een rombeeld te selecteren
- als een keuze is gemaakt dan voert blueMSX automatisch de laatst geselecteerde machineconfiguratie met het geselecteerde cartridgespel uit (tenzij de optie Herstart na toevoegen in het menu Bestand/Cartridgesleuf 1 of 2 niet is geselecteerd)

Tweede procedure: gebruik van de werkbalk

- start blueMSX met een dubbelklik op het blueMSX-pictogram of de blueMSX-snelkoppeling
- klik op het 3e pictogram in de werkbalk (Toevoegen cartridge aan sleuf 1)
- deze keuze roept de Windows Verkenner op om een rombeeld te selecteren
- als een keuze is gemaakt dan voert blueMSX automatisch de laatst geselecteerde machineconfiguratie met het geselecteerde cartridgespel uit (tenzij de optie Herstart na toevoegen in het menu Bestand/Cartridgesleuf 1 of 2 niet is geselecteerd)

Derde procedure: gebruik van de sneltoets

- start blueMSX met een dubbelklik op het blueMSX-pictogram of de blueMSX-snelkoppeling
- druk gelijktijdig op de toetscombinatie CTRL + F7
- deze keuze roept de Windows Verkenner op om een rombeeld te selecteren
- als een keuze is gemaakt dan voert blueMSX automatisch de laatst geselecteerde machineconfiguratie met het geselecteerde cartridgespel uit (tenzij de optie Herstart na toevoegen in het menu Bestand/Cartridgesleuf 1 of 2 niet is geselecteerd)

Vierde procedure: slepen en neerzetten

- gebruik de muis om een rombeeld te slepen naar en neer te zetten op het blueMSX-pictogram.
- blueMSX voert automatisch de laatst geselecteerde machineconfiguratie met het geselecteerde cartridgespel uit (zelfs als de optie Herstart na toevoegen in het menu Bestand/Cartridgesleuf 1 of 2 niet is geselecteerd)

Opmerking: blueMSX kan ook eerst gestart worden en dan het rombeeld naar het blueMSX-venster te slepen en daar neer te zetten, maar in dit geval wordt de cartridge niet automatisch gestart als de optie Herstart na toevoegen in het menu Bestand/Cartridgesleuf 1 of 2 niet is geselecteerd)

Vijfde procedure: dubbelklikken

Deze procedure is enkel beschikbaar als enkele bestandtypen zijn geregistreerd bij blueMSX. in het menu Opties/Algemene instellingen/Windowsomgeving

- dubbelklik eenvoudig op een rombeeld
- blueMSX voert automatisch de laatst geselecteerde machineconfiguratie met het geselecteerde cartridgespel uit (tenzij de optie Herstart na toevoegen in het menu Bestand/Cartridgesleuf 1 of 2 niet is geselecteerd)

Vragen en antwoorden

Kunnen ingepakte rombestanden ook worden uitgevoerd?
Ja, mits het zip-formaat wordt gebruikt maar de vijfde procedure (dubbelklikken) is niet beschikbaar

- als het ingepakte bestand slechts één rombeeld bevat dan wordt deze direct geladen
- indien het ingepakte bestand meerdere rombeelden bevat dan wordt een dialoogscherm weergeven met een lijst van de aanwezige rombeelden. Hieruit kan het gewenste rombeeld worden gekozen, die vervolgens wordt geladen

Hoe zit het met de Konami romcartridgecombinaties (één cartridge in sleuf 1, één cartridge in sleuf 2)?
Zie deze pagina.

Hoe kan voorkomen worden dat blueMSX het spel automatisch start?
- deselecteer de optie Herstart na toevoegen in het menu Bestand/Cartridgesleuf 1 of 2
- kies één van de eerste drie procedures

Het werkt niet! Wat nu?
- als er gekozen is voor procedure 1, 2 of 3 dan is wellicht de optie Herstart na toevoegen in het menu Bestand/Cartridgesleuf 1 of 2 niet geselecteerd. Druk dan op toets F9 (= Start) of op F12 (= Herstart) om het spel te starten

- sommige spellen zijn enkel geschikt voor MSX2 of hoger en er een MSX1-machineconfiguratie wordt gebruikt. Selecteer een MSX2-machineconfiguratie in the menu Opties/Emulatie of in het menu Gereedschap/Machineconfiguratie-editor en probeer het spel opnieuw te starten

- sommige spellen zijn nog niet in de database opgenomen en gebruiken een speciale mapper. Als men het juiste type mapper kent dan kan dit rombeeld worden toegevoegd aan de externe romdatabase en probeer het spel opnieuw te starten. Ook kan het type mapper geselecteerd worden in het Toevoegen cartridge dialoogscherm. Voor meer informatie over de externe romdatabase en type rommapper zie deze pagina.

- sommige spellen eisen meer vrij geheugen om te kunnen worden uitgevoerd: druk op de toets F12 (= Herstart) en vervolgens op de Linker Ctrl of op de Linker Shift tijdens het opstarten net zolang tot een piepgeluid wordt gehoord (dit schakelt het tweede diskettestation of beide diskettestations uit)

- het spel YAKSA moet worden uitgevoerd met een MSX2-machineconfiguratie met slechts één uitbreidingssleuf en deze kan slechts geplaatst worden in sleuf 3! Er dient dus een MSX2-machineconfiguratie te worden gekozen met slechts sleuf 3 als uitbreidingsleuf. Of men kan met de machineconfiguratie-editor zelf een generiek MSX-machineconfiguratie creëren.

- als de emulator geblokkeerd lijkt probeer dan altijd de emulator en het spel te herstarten door op toets F12 (= Herstarten) te drukken

- sommige spellen of demo's werken geheel niet of geven andere problemen: het kan een fout in de VDP- of Z80-emulatie zijn of er is sprake van een nieuw type rommapper. Rapporteer a.u.b. (alle) problemen en/of foutmeldingen op het blueMSX forum en we proberen het proble(e)m(en) op te lossen!


SCC

SCC

SCC (Sound Custom Chip of Sound Creative Chip) is een door Konami en Yamaha ontwikkelde geluidschip onder de technische naam K051649.

SCC is een primitieve 8-bit wavetable geluidschip. Het voegt 5 geluidskanalen toe aan de 3 PSG-kanalen om een beter geluid te produceren. De SCC-chip bevat tevens een eigen geheugenmapper. Elk kanaal kan worden aangestuurd door een aan/uit-bit, volume, frequentie en 32 bytes waveform.

SCC+ is een verbeterde versie in de vorm van een Geluidsmodule (Sound Cartridge) uitgebracht tegelijk met de SD-Snatcher en Snatcher-spellen.

Het verschil tussen SCC en SCC+ bestaat voornamelijk uit een onafhankelijk 5e geluidskanaal en, ingeval van SCC+, een intern RAM-geheugen van 64 Kb RAM wat tot 128 Kb kan worden uitgebreid.

Om SCC of SCC+-geluid te kunnen horen moet de SCC of SCC+-chip aanwezig zijn in een cartridgesleuf.
Dit is over het algemeen het geval met Konami romcartridges maar in het geval van een Konami spel op diskette moet de SCC-chip (handmatig) worden toegevoegd middels de optie Toevoegen "Speciale Cartridge" in het menu Bestand.

Er zijn geen specifieke MSX-BASIC-commando's voor SCC.

SCC-tips

Stereo

Als de SCC-geluidschip gebruikt in combinatie met de PSG-geluidschip wordt een stereo-effect verkregen. Dit effect kan worden versterkt en verfijnd met de geluidsmixer.

Alleen beluisteren van de SCC-geluidschip

- deselecteer de overige geluidschips in de geluidsmixer

Originele SCC-romspellen

Normale versies van deze spellen bevatten een SCC-geluidschip en gebruiken de KonamiSCC (konami5)-mapper.

Indien er een Flashrom-versie (met de ASCII8-mapper) wordt gebruikt dan moet een SCC-geluidschip worden geplaatst in cartridgesleuf 2 middels het speciale cartridgemenu.

MSX1-spellen

F1 Spirit / A1 Spirit
Gofer no Yabou Episode 2 / Nemesis 3
Gradius 2 / Nemesis 2
King's Valley 2 (MSX1 version)
Parodius
Salamander

MSX2-spellen

Contra / Gryzor
Gekitotsu Pennant Race
Gekitotsu Pennant Race 2
King's Valley 2 (MSX2 version)
Metal Gear 2 - Solid Snake
Quarth
Space Manbow

Originele SCC of SCC+-dsk-spellen

Deze spellen vereisen dat een SCC- of SCC+-geluidschip wordt geplaatst in één van de cartridgesleuven. Deze cartridge kan worden toegevoegd door gebruik te maken van het speciale menu "Toevoegen Speciale Cartridge".

Slechts een deel van de MSX1-spellen zijn aangepast om de SCC-geluiden te kunnen weergeven. Een overzicht van deze spellen vindt men in de alinea "Gehackte SCC- of SCC+-romspellen"

MSX1-spellen
Konami Game Collection 1
Konami Game Collection 2
Konami Game Collection 3
Konami Game Collection 4

MSX2-spellen
Konami Game Collection Special
SD-Snatcher
Snatcher

Gehackte SCC- of SCC+-romspellen

Deze gehackte rombestanden zijn gecreëerd door de de spellen, die door Konami op diskette zijn uitgebracht in de Konami Game Collection-reeks, aan te passen. De aanpassing behelst de toevoeging van de SCC- of SCC+-geluidschip aan het romcartridgebestand.

MSX1-spellen

Antartic Adventure
Gradius / Nemesis
Hyper Rally
Hyper Sports 2
Knightmare
Konami's Boxing
Pippols
Road Fighter
Sky Jaguar
Super Cobra
Twinbee
Video Hustler
Yie Ar Kung-Fu
Yie Ar Kung-Fu II

MSX2-spellen

Go Othello
Rice
Rice 2
Title Memory


Emulatie-instellingen

Emulatie-instellingen

In dit tabblad kan het kerngedeelte van de emulatie worden geconfigureerd. De meest gebruikelijk optie die gewijzigd wordt is de gebruikte machineconfiguratie.

Configuratie | Bepaalt welk type computer moet worden geëmuleerd. Het geeft alleen die machineconfiguraties in een vervolgkeuzelijst weer waarvan de daarmee overeenstemmende systeemroms reeds zijn geïnstalleerd: - indien gebruik gemaakt wordt van de volledige versie van de emulator dan zijn de generieke-, de C-BIOS- en de niet-MSX-machineconfiguraties beschikbaar; - indien de minimale versie van de emulator wordt gebruikt dan zijn enkel de C-BIOS machineconfiguraties beschikbaar. Voor het uitvoeren van een Turbo-R-machineconfiguratie wordt aangeraden om blueMSX uit te voeren op een PC met een kloksnelheid groter dan 1.2 Ghz omdat de ondersteuning van Turbo-R-machineconfiguraties een hogere belasting van de PC-processor vergt. Als men een speciale machineconfiguratie wenst te gebruiken of zelf een nieuwe machineconfiguratie wil ontwerpen dan kan hiervoor de machineconfiguratie-editor worden gebruikt.

Videofrequentie | Wijzigt de videofrequentie. De standaard waarde wordt automatisch bepaald door aan de hand van de geëmuleerde machineconfiguratie. Over het algemeen 60Hz (NTSC) voor Japanse, Koreaanse en Braziliaanse machineconfiguraties en 50Hz (PAL) voor Europese machineconfiguraties. Indien 50Hz geselecteerd wordt dan zijn de meeste spellen langzamer op een niet-Europese machineconfiguratie. Indien 60Hz geselecteerd wordt dan zijn de meeste spellen sneller op Europese machineconfiguraties. Indien deze optie wordt gebruikt dan kan dit leiden tot onvoorzienbare problemen met demo's die de videofrequentie wijzigen tijdens de uitvoering.

Emulatiesnelheid | Wijzigt de emulatie snelheid. De standaard instelling is 3.579 MHz (100%). Met een selectievakje kan de timing van diskettestations worden uitgeschakeld. Het accuraat en traag laden van diskettes is slechts noodzakelijk met enkele spellen en demo's. In de meeste gevallen geldt dat het niet-accuraat en snel laden van diskettes zeer goed werkt.

Panasonicschakelaars | Drie selectievakjes kunnen worden aangevinkt: - de Panasonic Front Switch-schakelaar (vereist een Panasonic MSX2+- of Turbo-R-machineconfiguratie) - de pauzeschakelaar (die tevens op enkele computers van Sony en Sanyo aanwezig zijn) - de Panasonic MSX-AUDIO-cartridgeschakelaar (zie hier voor meer informatie over MSX-AUDIO)


Bestandsinstellingen

Bestandsinstellingen

In dit tabblad kunnen enkele parameters van bestanden die door de emulator worden geopend worden gewijzigd.

Bestandsgeschiedenis | Bepaalt het aantal bestanden dat wordt weergeven in de bestandsgeschiedenis van cartridges, diskettes, cassettes en vaste schijven. Geldige waarden die kunnen worden ingevoerd liggen tussen de 0 en 30 bestanden.

Slepen en neerzetten | Als de optie slepen en neerzetten van een bestand wordt gebruikt (rom- en diskbeelden) dan wordt deze standaard toegevoegd aan cartridgesleuf 1 of diskettestation A. Dit gedrag kan hier worden gewijzigd door cartridgesleuf 2 of diskettestation B te selecteren.

Openen rombestand | Bepaalt het te gebruiken mappertype voor een rombeeld indien er geen crc32-waarde in de romdatabase is opgenomen.


Taalinstellingen

Taalinstellingen

Hier kunt u de gewenste taal selecteren waarin de blueMSX-menu's moeten worden weergegeven.

Er kan gekozen worden uit 14 talen: Chinees (Vereenvoudigd), Chinees (Traditioneel), Duits, Engels, Fins, Frans, Italiaans, Japans, Koreaans, Nederlands, Pools, Portugees, Spaans en Zweeds.

Het kan voorkomen dat sommige delen nog niet vertaald zijn of dat de vertaling onjuistheden bevat. Indien dit het geval is neem dan contact op met het blueMSX team!


Prestatie-instellingen

Prestatie-instellingen

In dit tabblad kunnen de prestaties van de emulator worden geconfigureerd.

Stuurprogramma | Bepaalt welk stuurprogramma voor de videoweergave wordt gebruikt. Er kan gekozen worden tussen DirectDraw (met keuze uit 2 varianten) of GDI. DirectDraw levert veel betere prestaties. DirectDraw HW acceleration (DirectDraw met hardwarematige ondersteuning) gebruikt het video- en systeemgeheugen voor geoptimaliseerde prestaties.

Frames overslaan | Als de emulator de CPU (te) veel belast dan kan het aantal niet weergegeven frames worden verhoogt. De meeste gebruikers zullen het beste resultaat krijgen als geen frames worden overgeslagen. De emulator heeft een automatische 'frames overslaan'-optie dat frames overslaat als de processor van de PC te traag is.

Resolutie volledige schermmodus | Hier kan de schermresolutie worden ingesteld die door de emulator wordt gebruikt als deze in de volledige schermmodus worst uitgevoerd. TIP: Selecteer ten minste een resolutie van 1024 x 768 beeldpunten en de Hq2x-schaler in het tabblad Video: de emulator gebruikt dan in werkelijkheid de Hq3x-schaler waardoor de videorendering serieus wordt verbeterd!

Stuurprogramma | Bepaalt welk stuurprogramma voor de geluidsweergave moet worden gebruikt. Er kan gekozen worden tussen DirectX of WMM. DirectX levert veel betere prestaties.

Geluidsbuffergrootte | Bepaalt de grootte van de interne geluidsbuffer. Een lage waarde geeft een snellere en een meer accurate respons maar kan de oorzaak zijn van een slechte kwaliteit geluidsweergave.

Synchronisatiemodus Bepaalt hoe de emulator de interne MSX-klok synchroniseert met de PC-klok.
Als een trage PC wordt gebruikt (kloksnelheid < 1.4 GHz) wordt het gebruik van de automatische modus aangeraden.

De synchronisatie met het MSX-beeldschermverversing zet de synchronisatievan het beeldscherm gelijk met de MSX-beeldschermverversingsfrequentie van 50 Hz (PAL) of 60 Hz (NTSC) van de geëmuleerde machineconfiguratie.
Het geeft meer accuratesse met een echte MSX-computer maar vraagt een hogere belasting van de PC-processor.

De synchronisatie met de PC Vertical Blank is de meest perfecte synchronisatiemodus en garandeert een hoge mate van accuratesse en soepelheid door middel van lineaire interpolatie van de MSX-frames en deze af te stemmen met de frequentie van de PC-monitor. Deze modus vraagt om een krachtige PC en een videokaart die deze synchronisatiemodus ondersteund.

Een asynchrone synchronisatie met de PC Vertical Blank kan worden gezien als een variant op de PC Vertical Blank-synchronisatie en geeft een beter resultaat op sommige monitoren.


Poortinstellingen

Poortinstellingen

Het tabblad Poorten biedt de mogelijkheid om de parallelle poort (voor de printer) en de seriële poorten (voor het modem) te configureren.

blueMSX detecteert automatisch alle compatibele DirectX-poorten en apparaten.

Parallelle poorten

Poort Indien er een printer verbonden is met uw PC zal blueMSX deze detecteren en de poort (LPT) weergeven in de eerste droplijst.

Andere mogelijke opties

- de printerpoort verbinden met een SiMPL / Covox DAC-apparaat dat audio samples produceert in sommige toepassingen;

- de uitvoer van een printopdracht in een tekstbestand opslaan.

Bestandsnaam

Geeft de locatie en de naam van het tekstbestand waarin de uitvoer van een printopdracht wordt opgeslagen.

Standaard wordt de blueMSX-map gebruikt en de bestandsnaam is printer.dat

Emulatie Keuze mogelijkheid tussen een Epson FX-80-printer en eenMSX-printer.

Seriële poorten (dit onderdeel van de emulator is nog niet geheel geïmplementeerd)

Poort Indien een modem verbonden is met uw PC zal blueMSX deze automatisch detecteren en de poort (COM) weergeven in de eerste droplijst. Een andere opties is om het resultaat op te slaan in een tekstbestand.

Bestandsnaam

Hier kan de naam en de locatie van het tekstbestand worden aangegeven en waarin het communicatieresultaat wordt vastgelegd.

Standaard wordt de blueMSX-map gebruikt en de bestandsnaam is uart.dat


Algemene instellingen

 Algemene instellingen

In dit tabblad kan het gedrag van de blueMSX-toepassing worden geconfigureerd..

Thema | Bepaalt welk thema door de emulator wordt gebruikt. Als de PC zeer traag is kies dan voor het klassieke thema. Men kan zelf eigen thema's ontwerpen met de aanpasbare gebruikersschillen. Enkele voorbeelden vindt men in de submap Themes. Meer details vindt men hier.

Windowsomgeving | Met de vijf selectievakjes kan gekozen worden - de schermbeveiliging uit te schakelen als blueMSX wordt uitgevoerd. - enkele bestandstypen te registreren bij blueMSX, namelijk: .rom-, .mx1-, .mx2-, .dsk-; .di1-,.di2-, .cas- en .sta-bestanden. - automatisch de normale functies van de Windows menutoetsen uit te schakelen, die vervolgens beschikbaar zijn voor de toewijzing van een (blue)-MSX-functie. - een hogere prioriteit aan de blueMSX-emulator toe te wijzen dan andere toepassingen. - alle parameters van de laatst gebruikte machineconfiguratie worden opgeslagen in het Windowsregister (in plaats van in het bestand blueMSX.ini dat standaard wordt aangemaakt). - tussen het gebruik van het BMP- of PNG-formaat voor de schermafdrukken die door blueMSX genomen worden (standaard staat deze ingesteld op het compactere en kwalitatief betere PNG-formaat).


Geluidsinstellingen

Geluidsinstellingen

In dit tabblad kunnen de geluidsinstellingen van de geëmuleerde speciale geluidschips worden geconfigureerd, te weten: MSX-MUSIC, MSX-AUDIO, MoonSound en MIDI.

Geluidschipemulatie

Alle generieke MSX2-, MSX2+- en Turbo-R-machineconfiguraties zijn opgewaardeerd met de MSX-MUSIC-, MSX-AUDIO- en MoonSound-geluidschips. Met de selectievakken kunnen de YM-2413, de Y8950 end de MoonSound-geluidschip worden in- of uitgeschakeld.

Standaard zijn deze selectievakken aangevinkt in alle generieke en specifieke machineconfiguraties: dit betekent echter niet dat de geluidschips daadwerkelijk aanwezig zijn maar dat ze volledig door de blueMSX-emulator worden ondersteund als ze aanwezig zijn in gekozen machineconfiguratie.

Hoewel dit voor iedere PC-configuratie kan verschillen wordt aangeraden om de ondersteuning van de emulatie van de MoonSound-geluidsweergave alleen in te schakelen als de gebruikte PC beschikt over een processor met een kloksnelheid > 1.2 Ghz.

MIDI In

Apparaat Er kan een apparaat worden geselecteerd dat gebruikt wordt voor de MIDI IN-poort.
blueMSX detecteert alle beschikbare en bruikbare MIDI IN-apparaten.

MIDI Out

Apparaat Er kan een apparaat worden geselecteerd dat gebruikt wordt voor de MIDI OUT-poort.
blueMSX detecteert alle beschikbare en bruikbare MIDI OUT-apparaten.

Door het selectievakje in- of uit te schakelen wordt koppeling tussen de gebruikte indeling van de MT-32-instrumenten of MSX-MIDI en de indeling van General MIDI wel of niet tot stand gebracht.

YK-01/YK-10/YK-20 In

Het MIDI-gedeelte van de Yamaha SFG-cartridges wordt momenteel nog niet ondersteund.

Apparaat Hiermee kan het apparaat geselecteerd worden die wordt gebruikt als YK-01/YK-10/YK-20-muziekkeyboard voor de Yamaha CX5M-, CX5M128- en CX7M128-computers.

blueMSX detecteert alle beschikbare en bruikbare MIDI IN-apparaten die als speciaal toetsenbord kunnen worden gebruikt voor de volledige emulatie van deze muziekcomputers.

Kanaal Het gewenste MIDI-kanaal kan hier worden geselecteerd.


Video-instellingen

Video-instellingen

Dit tabblad biedt de mogelijkheid het monitortype dat moet worden geëmuleerd te selecteren en tevens hoe de monitor wordt geëmuleerd op een PC. Verder kunnen de verschillende kleurspecificaties worden gewijzigd. Drie selectiehokjes geven de mogelijkheid om het beeld horizontaal en/of vertikaal uit te rekken en om een MSX te emuleren die verbonden is met een televisiebeeldscherm door de visualisering van de beeldlijnen.

Monitortype | Er kan gekozen worden uit een kleuren-, zwart-wit-, groen- of amberkleurige monitor .

Monitoremulatie | Bepaalt hoe het monitorbeeld wordt gerendered. De optie Geen geeft rauwe vierkante beeldpunten. De optie Monitor geeft een normale rendering dat kan worden verkregen op een echter monitor. De optie Scale 2x geeft een gladder beeldresultaat. De optie Hq2x geeft ook een gladder beeldresultaat maar vereist een krachtige PC. In volledige schermmodus en met tenminste een resolutie van 1024 x 768 beeldpunten (kan worden geselecteerd in het tabblad Prestaties) gebruikt de emulator de Hq3x-schaler en dat geeft indrukwekkende renderingseffecten! De overige opties trachten een echte televisiemonitor te emuleren met een rastereffect en de cathodestraal.

Gamma Helderheid Contrast Verzadiging | Door het verplaatsen van de corresponderende schuifknoppen kunnen de instellingen van het gamma-aspect, de helderheid, het contrast en de kleurverzadiging gewijzigd worden om de best mogelijke weergave te krijgen op de gebruikte PC-monitor.

Horizontale uitrekking | Wanneer deze optie is aangevinkt dan is de geëmuleerde grafische weergave gelijk aan de weergave met een echte MSX-computer. Horizontale uitrekking is beschikbaar met elk type monitoremulatie.

Deïnterlace | Wanneer deze optie is aangevinkt dan werkt de interlacemodus als eerdere versies van blueMSX (voor versie 1.6.1.). Als deze optie niet is aangevinkt dan wordt de 'echte' interlacemodus weergegeven, maar dit is alleen praktisch op een snelle PC (> 2GHz) omdat de weergave van alle frames altijd een vereiste is. Deze optie is beschikbaar voor elk type monitoremulatie.

Opeenvolgende frames mengen | Wanneer deze optie is aangevinkt worden twee opeenvolgende frames gemengd. Hoewel deze optie dit geen 'realistische' weergave biedt, geeft het bijvoorbeeld de Unleashed demo en spellen met interlace beter weer (er wordt een gladder resultaat verkregen). Deze optie is beschikbaar voor elk type monitoremulatie.

Verticale Uitrekking | Wanneer deze optie is aangevinkt is het speloppervlak groter. Verticale uitrekking is beschikbaar voor elk type monitoremulatie.

Beeldlijnen | Wanneer deze optie is aangevinkt is de geëmuleerde grafische weergave gelijk aan de weergave met een echter MSX-computer die met een televisiescherm is verbonden. Het beeldlijnpercentage kan worden gewijzigd door de schuifknop te verplaatsen. Beeldlijnen zijn beschikbaar voor elk type monitoremulatie.

RF-Modulatie | Wanneer deze optie is aangevinkt wordt een effect verkregen waardoor het lijkt alsof de emulator met een televisiescherm is verbonden via een RF-modulatiekabel. De uitwerking van dit effect kan worden gewijzigd door de schuifknop naar links of rechts te verplaatsen. Dit effect is voor elk type monitoremulatie beschikbaar.


Standaard toetsenbordsneltoetsen

Standaard toetsenbordsneltoetsen

De onderstaande tabel geeft een overzicht van alle standaard sneltoetsen, welke door blueMSX gebruikt worden. Zoals deze zijn vastgelegd in het blueMSX-sneltoetsprofiel. Met behulp van sneltoetsen kunt u snel veelvoorkomende taken uitvoeren. Het sneltoetsprofiel kunt u wijzigen met de Sneltoetseditor. Meer informatie over sneltoetsen vindt u hier.

Sneltoets | Omschrijving
F7 | Opent de CPU-status welke eerst was opgeslagen middels Snelopslaan CPU-Status (F8).
F8 | Slaat de CPU-status op in een voorgedefinieerd bestand in een eigen map.
F9 | Starten of pauzeren van de emulatie.
F10 | Stopt de emulatie.
F12 | Koude Herstart en herstart de emulatie.
Pause | Schakelt de pauzeschakelaar respectievelijk in of uit.
PrtScrn | Neemt een gefilterde schermafdruk (320 x 240 beeldpunten met de normale schermgrootte of 640 x 480 beeldpunten met de dubbele schermgrootte of Volledige schermmodus).
Scroll Lock | Schakelt de Panasonic front schakelaar respectievelijk in of uit.
LAlt+Enter | Schakelt naar Volledige schermmodus.
LAlt+Scrl Lck | Schakelt de Panasonic MSX-AUDIO-schakelaar in of uit.
LAlt+F7 | Opent een in een bestand opgeslagen CPU-status.
LAlt+F8 | Slaat de CPU-status op in een bestand.
LAlt+F9 | Schakelt tussen de diskette in station A indien deze deel uitmaakt van een diskettereeks die enkel verschilt door een nummer of een letter. Bijvoorbeeld: disk_1of3.dsk, disk_3of3.dsk, disk_3of3.dsk
LAlt+F10 | Schakelt het beeldschermformaat om naar 320 x 240 beeldpunten.
LAlt+F11 | Schakelt het beeldschermformaat om naar 640 x 480 beeldpunten.
LAlt+F12 | Schakelt het beeldschermformaat om naar Volledige schermmodus.
LShift+F6 | Schakelen tussen thema's.
LShift+F7 | Start of stopt het vastleggen van geluid.
LShift+F8 | In- of uitschakelen muiscapture.
LShift+F9 | Indien ingedrukt dan loopt de emulator op de hoogst haalbare snelheid.
LShift+F10 | Zet de emulatiefrequentie terug op 3.579MHz (100%).
LShift+F11 | Vermindert de emulatiefrequentie met 5%.
LShift+F12 | Verhoogt de emulatiefrequentie met 5%.
LCtrl+F6 | Helponderwerpen weergeven.
LCtrl+F7 | Opent het dialoogscherm om een romcartridge toe te voegen in cartridgesleuf 1.
LCtrl+F8 | Opent het dialoogscherm om een romcartridge toe te voegen in cartridgesleuf 2.
LCtrl+F9 | Opent het dialoogscherm om een diskette(beeld) toe te voegen aan diskettestation A.
LCtrl+F10 | Opent het dialoogscherm om een diskette(beeld) toe te voegen aan diskettestation B.
LCtrl+F11 | Opent het dialoogscherm om een cassette(beeld) toe te voegen aan de cassettespeler.
LCtrl+F12 | Warme Herstart (het RAM-geheugen wordt niet gewist) en herstart de emulatie.
LCtrl+Pause | Afsluiten van de emulator.
LCtrl+LAlt+F7 | Weergave van het speciale menu voor romcartridgesleuf 1.
LCtrl+LAlt+F8 | Weergave van het speciale menu voor romcartridgesleuf 2.
LCtrl+LAlt+F9 | Schakelt de automatische herstart van de emulator respectievelijk in of uit als een diskette wordt toegevoegd in station A.
LCtrl+LAlt+F10 | Schakelt automatisch terugspoelen van de cassette respectievelijk in of uit als deze wordt toegevoegd aan de cassettespeler.
LCtrl+LAlt+F11 | Geeft het dialoogscherm Cassettepositie weer.
LCtrl+LAlt+F12 | Volledige Herstart en herstart de emulatie zonder cartridges, diskettes of cassettes.
LCtrl+LAlt+M | Weergave van de Geluidsmixer.
LCtrl+LSft+F8 | Schakelt de automatische herstart van de emulator respectievelijk in of uit als een cartridge wordt toegevoegd aan cartridgesleuf 1 of 2.
LCtrl+LSft+F10 | Schakelt de Alleen Lezen-modus voor cassettes respectievelijk in of uit.
LCtrl+LSft+F11 | Terugspoelen van de cassette.
LCtrl+LSft+F | Schakelt respectievelijk de synchronisatie van de disketteloopwerken in of uit.
LCtrl+LSft+M | Schakelt de emulatiesnelheid om naar de maximaal haalbare snelheid.
LCtrl+LSft+P | Allows to advance a printer form to the top of the next page.
LCtrl+LSft+S | Schakelt tussen het weergeven of verbergen van sprites.
LCtrl+LSft+W | Minimaliseert het emulatorvenster.
RAlt+F6 | Schakelt tussen mono- of stereogeluidsweergave.
RAlt+F7 | Vermindert het geluidsvolume.
RAlt+F8 | Verhoogt het geluidsvolume.
RAlt+F9 | Toevoegen van een map als diskette in station A.
RAlt+F10 | Toevoegen van een map als diskette in station B.
RAlt+F11 | Slaat een klein ongefilterde schermafdruk op (272 x 240 beeldpunten).
RAlt+F12 | Slaat een groot ongefilterde schermafdruk op (544 x 480 beeldpunten).
RAlt+Scrl Lck | Onderbreekt de geluidsweergave.
RShift+F6 | Weergave van het dialoogscherm met emulatie-eigenschappen.
RShift+F7 | Weergave van het dialoogscherm met video-eigenschappen.
RShift+F8 | Weergave van het dialoogscherm met geluidseigenschappen.
RShift+F10 | Weergave van het dialoogscherm met prestatie-eigenschappen.
RShift+F11 | Weergave van het dialoogscherm met bestandseigenschappen.
RShift+F12 | Weergave van het dialoogscherm met algemene instellingen.
RCtrl+F6 | Weergave van het dialoogscherm Over.
RCtrl+F7 | Verwijdert een romcartridge uit cartridgesleuf 1.
RCtrl+F8 | Verwijdert een romcartridge uit cartridgesleuf 2.
RCtrl+F9 | Verwijdert een diskette uit station A.
RCtrl+F10 | Verwijdert een diskette uit station B.
RCtrl+F11 | Verwijdert een cassette uit de cassettespeler.
RCtrl+RSft+D | Opent de blueMSX-debugger in een apart venster.
RCtrl+RSft+K | Weergave van de besturingsedior.
RCtrl+RSft+L | Weergave van het dialoogscherm Taal.
RCtrl+RSft+M | Weergave van de machineconfiguratie-editor.
RCtrl+RSft+P | Weergave van het dialoogscherm Poorten.
RCtrl+RSft+S | Weergave van de Sneltoetseditor.
RCtrl+RSft+T | Opent de blueMSX-trainer in een apart venster.


Sneltoetseditor

Sneltoetseditor

blueMSX beschikt over een krachtige sneltoetseditor waarmee toetsen of toetscombinaties kunnen worden toe gewezen aan (gekoppeld ann) de verschillende kenmerken van de emulator, inclusief de "verborgen" kenmerken die niet in de menu's worden weergegeven.

Omdat de emulator automatisch alle verbonden compatibele DirectX-apparaten detecteert, inclusief bijvoorbeeld een joypad met 8 knoppen of meer dan kunnen tevens de knoppen van het joypad worden toegewezen aan de sneltoetsen van sommige blueMSX-kenmerken.

blueMSX is uitgerust met de standaard blueMSX-sneltoetsenconfiguratie (die enkel met het toetsenbord kunnen worden gebruikt).

In de editor kan gekozen worden uit verschillende sneltoetsconfiguraties of kunnende beschikbare configuraties worden aangepast of nieuwe sneltoetsconfiguraties worden gecreëerd.

De sneltoetseditor bestaat uit drie gedeelten. De bovenzijde bevat een vervolgkeuzelijst met alle huidige sneltoetsconfiguraties. Alle configuraties worden opgeslagen in de submap Shortcut Profiles van de emulator.

Het centrale gedeelte bestaat uit tabbladen waar de configuratie wordt gedefinieerd aan de hand van de volledige lijst met blueMSX-kenmerken en de hieraan toegewezen sneltoets(combinaties).

Hoewel de standaard configuraties slechts gebruikmaken van het toetsenbord kunnen deze, bijvoorbeeld, ook worden gebruikt voor de knoppen van een joypad.

Om een sneltoets te wijzigen of om een nieuwe te maken moet eerst het kenmerk van blueMSX worden geselecteerd waaraan u een nieuwe sneltoets(combinatie) wilt toewijzen. Plaats de aanwijspijl op "Druk op toets(combinatie)" en daarna op de toets(en) van uw keuze. Uw keuze moet worden bevestigd door te klikken op "Toewijzen".

Het onderste gedeelte van het scherm bevat drie knoppen:

Opslaan | Slaat de gemaakte wijzigingen op in de huidige sneltoetsconfiguratie.

Opslaan als... | Slaat de huidige configuratie op onder een nieuwe naam. In het dialoogscherm kan een naam voor een configuratiebestand worden ingegeven. De originele configuratie wordt niet gewijzigd.

OK | Sluit de sneltoets-editor af. Als de sneltoetsconfiguratie is gewijzigd en nog niet is opgeslagen dan wordt een waaarschuwing weergegeven.


De statusbalk

De statusbalk

De klassieke statusbalk

De weergave van de klassieke statusbalk aan de onderzijde van het blueMSX-venster bevat zes panelen die informatie weergeven over de huidige status van de emulator.

Paneel | Omschrijving
1 | Het eerste paneel geeft het aantal frames per seconde weer.
2 | Het tweede paneel geeft de belasting van de CPU in de PC door de emulator weer.
3 | Het derde paneel geeft de huidige emulatiefrequentie weer ( sinds versie 2.0 weergave in procenten)
4 | Het vierde paneel geeft de gebruikte schermmodus weer. (de weergegeven schermmodus is de schermmodus van de beeldlijn 0. Indien een toepassing meerdere schermmodi in het zelfde frame gebruikt kan het dus zijn dat de getoonde informatie afwijkt van de werkelijkheid.)
5 | Het vijfde paneel geeft een diskette- of cassettepictogram als er gegevens respectievelijk geladen of geschreven worden naar diskette of cassette.
6 | Het zesde paneel bevat 4 indicatoren in de vorm van een led. Eén licht op als de hoofdlettertoets (CAPS-toets) is ingeschakeld en een ander led licht op als de KANA-toets is ingeschakeld. De overige twee leds lichten op als de MSX2+ Panasonic front switch is ingeschakeld of de Panasonic MSX-AUDIO-cartridge is ingeschakeld.

De DIGIblue SUITE-X-statusbalk

Als er gekozen is om de emulator uit te voeren met DIGIblue SUITE-X thema, dan ziet de statusbalk er alsvolgt uit:

Het uiterlijk STATUS geeft de beschrijving van een spel of demo dat op dat moment wordt uitgevoerd (dat een cartridge, diskette of cassette kan zijn).

Onder deze beschrijving wordt informatie weergegeven over
* de belasting van de PC-processor door de emulator
* het aantal frames per seconde (FPS)
* de MSX-schermmodus die op dit moment gebruikt wordt. (de weergegeven schermmodus is de schermmodus van de beeldlijn 0. Indien een toepassing meerdere schermmodi in het zelfde frame gebruikt kan het dus zijn dat de getoonde informatie afwijkt van de werkelijkheid.)
* de grootte van het Video Ram-geheugen van de geëmuleerde machineconfiguratie
* de grootte van het werkgeheugen van de geëmuleerde machineconfiguratie
* het type geheugenmapper dat door het huidige rombeeld wordt gebruikt
* de naam van de momenteel geëmuleerde machineconfiguratie
* de huidige emulatiesnelheid (in procenten) dat kan worden gewijzigd met de grote draaiknop

De kleine knop zet de emulatiesnelheid terug naar de normale emulatiesnelheid (100 %).

Als er op een knop van het rechter paneel wordt gedrukt dan kan het uiterlijk worden veranderd. Dit thema bevat dus meerdere, verschillende statusbalken!

Hier onder wordt de statusbalk twee maal weergegeven, elk met een ander uiterlijk:

Het uiterlijk VIDEO is een deluxe videopaneel met alle kenmerken van het klassieke videomenu (menu Opties/Video) en de selectie van een alternatieve uitvoerconnector.
Deze laatste optie is momenteel alleen nuttig wanneer een Spectravideo SVI-328 MKII (met de keuze tussen een 40-koloms TMS9929A-videochip en de 80-koloms CTRC6845-videochip) of door toevoeging van een 80-koloms grafische kaart aan een MSX1-machine; In de toekomst zal dit optie gebruikt worden om te wisselen tussen de V9938/58-videochip en de V9990 (GFX9000)-videochip.

Verder valt op dat er verschillende afbeeldingen worden weergegeven die veranderen met de gekozen monitorinstellingen.

Met uiterlijk CONTROL heeft men de beschikking over een virtueel toetsenbord en toegang tot de instellingen van poort 1 en 2. En tevens kan de snelheid van de Rensha Turbo (of Autofire, automatisch vuren) worden bepaald.
Het Turbo-R-schema is gebruikt voor het virtuele toetsenbord: klik op de virtuele toetsen in plaats op de echte toetsen van het PC-toetsenbord te drukken!


Thema's

Thema's

Standaard bevat blueMSX twee thema's:
- het klassieke thema (alleen voor normale vensters en vensters van dubbele grootte)
- het DIGIblue Suite-X thema (alleen voor vensters van dubbele grootte).

Het laatst genoemde thema is gebouwd met aanpasbare schil (zie hiervoor de inhoud van de submap Themes). Dit betekent dat men ook nieuwe thema's kan creëren en een persoonlijk tintje aan blueMSX kan geven!

Elementen van een thema

Elk thema bestaat uit een combinatie van afbeeldingen, besturingselementen, triggers en acties.

Het eerste dat gedaan moet worden wanneer een thema wordt gecreëerd is het ontwerpen van de afbeeldingen die dienen als ondersteuning voor verschillende zaken die zich afspelen binnen de emulator.

Men moet zich tevens voorstellen dat een fantastische introductieafbeelding, die wordt gebruikt wanneer de emulator zich in de stopmodus bevind en wacht om een machineconfiguratie te starten. In het thema DIGIblue wordt het bestand monitorpanel.bmp gebruikt. Een andere afbeelding is vereist voor de volledige schermmodus (zie het bestand fullscreen-bk.bmp).

Het midden van de afbeelding is gereserveerd voor het MSX-scherm en het is erg belangrijk hiermee rekening te houden om de positie van de verschillende grafische afbeeldingen te bepalen waaruit een thema is samengesteld.

Verschillende grafische afbeeldingen worden in een thema gebruikt: lettertypen (voor teksten), pictogrammen, leds, knoppen, etc.

Het belangrijkste gereedschap voor een goede werking van een thema is het bestand theme.xml. Het bevat alle vereiste besturingselementen, triggers en acties.

Enkele worden hier onder beschreven. Op de pagina "besturingselementen" vindt men alle overige (besturings)elementen. De meeste kunnen worden geassocieerd met triggers en acties.

Het bestand theme.xml

Elk themaconfiguratiebestand bevat een hoofdblok genaamd "bluemsxtheme".
Het veld heeft een attribuut, naam, die de betrokken naam bestandsmap passeert.

bijvoorbeeld: bluemsxtheme name="DIGIblue SUITE-X"

Het blok "bluemsxtheme" kan één tot vier verschillende subblokken bevatten.
Aan het begin van ieder subblok is het uiterst belangrijk om de themamodus of de naam van het speciale venster te bepalen.

voorbeelden:
<theme mode="normal">
<theme mode="fullscreen">
<window name="blueMSX Keyboard Editor">

Indien meer dan één pagina door een thema wordt gebruikt dan moet het type worden aangegeven voor het in- en uitschakelen van een thema of schermframe. Aan het attribuut "frame" kunnen de waarden 0 of 1 worden toegekend aan het attribuut "frame".

voorbeelden:

<theme mode="normal" type="multipage" frame="0">
<window name="blueMSX Keyboard Editor" type="multipage" frame="0" handler="keyboard-config">

Het attribuut "handler" wordt alleen gebruikt voor speciale vensters die zijn geïmplementeerd als invoegtoepassingen zoals de geluidsmixer of de toetsenbordeditor.

Voor elke pagina moet worden aangegeven:

- de afmetingen en de naam van de pagina. Voorbeeld: page width="800" height="614" name="EmuAndStatus">

- de positie van het menu en de gebruikte menukleuren. Voorbeeld: menu x="20" y="3" bgcolor="bdbdbd" focuscolor="6995ba"/>

- de startcoördinaten x en y van het themavenster. Voorbeeld: emuwindow x="10" y="65"/> or <emuwindow x="0" y="0"/>

Om een paginasectie te definiëren moet een "blok" gebruikt worden en de startcoördinaten x en y van het desbetreffende blok.

Voorbeeld: block x="0" y="64">
voeg hier alle commando's voor dit blok in
</block>

Clipregio's

Men kan clip regions bepalen in het thema dat wordt gecreëerd.

Ze werken net als in de Windows Media Player, wat betekent dat de vensterranden zichtbaar zijn als de muis geplaatst wordt waar het geacht wordt te zijn en weer verborgen worden wanneer de muis wordt bewogen.

De clip region kan iedere gewenste vorm hebben. Voeg gewoon net zoveel hoeken toe als nodig zijn door de coördinaten x en y van iedere hoek.

Voorbeeld: clipregion>
ooooooooooo<point x="17" y="27"/>
ooooooooooo<point x="786" y="27"/>
ooooooooooo<point x="786" y="655"/>
ooooooooooo<point x="799" y="655"/>
ooooooooooo<point x="799" y="725"/>
ooooooooooo<point x="0" y="725"/>
ooooooooooo<point x="0" y="655"/>
ooooooooooo<point x="17" y="655"/>
oooooooo</clipregion>

Als de waarde 0 is toegekend aan het attribuut "frame", dan hoeven de clip region tags niet gebruikt worden tenzij men een meer complex clip region wenst, natuurlijk.

Wat inern gebeurt is dat als frame="0" dan wordt de gedefinieerde clip region gebruikt als deze aanwezig is.
Indien er geen clip region is dan wordt een standaard clip region gebruikt dat de afmetingen van het thema heeft.

Een clip region kan overeenstemmen met het scherm van een gereedschap als de geluidsmixer of de toetsenbordeditor. Om dit scherm versleepbaar te maken gebruik: grabimages.

Gebruik van oorspronkelijke Windows lettertypen

De oorspronkelijk uit Windows afkomstige lettertypen werken als:

- het is verplicht een achtergrondafbeelding aangegeven in src.

Deze afbeelding vormt de rand van de tekst en de belangrijkste reden waarom het verplicht is voor weergave doeleinden.
Sinds de tekst transparant wordt weergegeven zal de achtergrond moeten worden ververst voordat de text wordt weergegeven.

- er dient het type lettertype te worden aangegeven: type= "native"

- om de tekstkleur te bepalen, specificeer de fgcolor

Het breedte attribuut wordt genegeerd bij lettertypen afkomstig uit Windows (het type en fgcolor worden genegeerd bij de overige lettertypen)

Voorbeeld: <text x="118" y="553" src="ICONS/ROMNAMEBG.bmp" type="native" fgcolor="99bb99" trigger="text-runningname"/>


De acties

De acties

De volgende acties kunnen worden toegekend en ingesteld aan knoppen. De menu-acties vereisen het gebruik van de coördiaten van de positie waar het menu wordt weergeven (als argumenten).

Actie | Omschrijving
audio-decreasevolume | Vermindert het volume.
audio-increasevolume | Verhoogt het volume.
audio-setmute | Onderbreekt de geluidsweergave.
audio-setrecord | Stelt de modus geluidsvastlegging in.
audio-setstereo | Stelt de modus stereo in.
audio-togglemuteio | Bedient de geluidsonderbreking voor het invoer/uitvoer-volume.
audio-togglemutekeyboard | Bedient de geluidsonderbreking voor het toetsenbordvolume.
audio-togglemutemaster | Bedient de geluidsonderbreking voor het centrale volume (master volume).
audio-togglemutemidi | Bedient de geluidsonderbreking voor het MIDI-volume.
audio-togglemutemoonsound | Bedient de geluidsonderbreking voor het MoonSound-volume.
audio-togglemutemsxaudio | Bedient de geluidsonderbreking voor het MSX-AUDIO-volume.
audio-togglemutemsxmusic | Bedient de geluidsonderbreking voor het MSX-MUSIC-volume.
audio-togglemutepcm | Bedient de geluidsonderbreking voor het PCM- volume.
audio-togglemutepsg | Bedient de geluidsonderbreking voor het PSG- volume.
audio-togglemutescc | Bedient de geluidsonderbreking voor het SCC-volume.
audio-togglerecord | Bedient de Geluidsvastlegging.
audio-togglestereo | Bedient de modus stereo/mono.
cart1-insert | Opent het dialoogscherm "Toevoegen aan cartridgesleuf 1".
cart1-remove | Verwijdert cartridge 1.
cart1-setautoreset | Stelt de automatische herstart in, na toevoegen van een romcartridge.
cart1-toggleautoreset | In- of uitschakelen automatische herstart na toevoeging of verwijdering van een cartridge.
cart2-insert | Opent het dialoogscherm "Toevoegen aan cartridgesleuf 2".
cart2-remove | Verwijdert cartridge 2.
cas-insert | Opent het dialoogscherm "Toevoegen aan cassettespeler".
cas-remove | Verwijdert de cassette.
cas-rewind | Spoelt de cassette terug.
cas-save | Opslaan naar cassette.
cas-setautorewind | Stelt het automatisch terugspoelen in, na het toevoegen van een cassette.
cas-setposition | Opent het dialoogscherm "Positie bepalen".
cas-setreadonly | Schakelt de modus "Alleen lezen" voor cassettes in.
cas-toggleautorewind | Stelt het automatisch terugspoelen na het toevoegen van een cassette in.
cas-togglereadonly | Bedient de modus "Alleen lezen" voor cassettes.
diska-insert | Opent het dialoogscherm "Toevoegen aan diskettestation A".
diska-insertdir | Opent het dialoogscherm "Toevoegen bestandsmap aan diskettestation A".
diska-quickchange | Snel (ver)wisselen diskettestation A.
diska-remove | Verwijdert diskette A.
diska-setautoreset | Stelt de automatische herstart na de toevoeging of verwijdering van diskettes in.
diska-toggleautoreset | Bedient de automatische herstart na de toevoeging of verwijdering van diskettes.
diskb-insert | Opent het dialoogscherm "Toevoegen aan diskettestation B"
diskb-insertdir | Opent het dialoogscherm "Toevoegen bestandsmap aan diskettestation B".
diskb-remove | Verwijdert disk B.
dlg-about | Geeft het dialoogscherm "Over..." weer.
dlg-apearance | Geeft het dialoogscherm "Beeld" weer.
dlg-audio | Geeft het dialoogscherm "Geluidsinstellingen" weer.
dlg-controls | Geeft het dialoogscherm "Besturingsapparaten" weer.
dlg-emulation | Geeft het dialoogscherm "Emulatie" weer.
dlg-help | Geeft het helpbestand weer.
dlg-keyboardeditor | Geeft het dialoogscherm "Toetsenbord" weer.
dlg-language | Geeft het dialoogscherm "Taal" weer.
dlg-machineeditor | Geeft het dialoogscherm "Machineconfiguratie-editor" weer.
dlg-mixer | Geeft het dialoogscherm "Geluidsmixer" weer.
dlg-performance | Geeft het dialoogscherm "Prestaties" weer.
dlg-ports | Geeft het dialoogscherm "Poorten" weer.
dlg-settings | Geeft het dialoogscherm "Algemene instellingen" weer.
dlg-shortcuteditor | Geeft het dialoogscherm "Sneltoetseditor" weer.
dlg-video | Geeft het dialoogscherm "Video-instellingen" weer.
emu-decreasespeed | Vermindert de emulatiesnelheid.
emu-increasespeed | Verhoogt de emulatiesnelheid.
emu-normalspeed | Zet emulatiesnelheid op normaal (100%).
emu-quit | Afsluiten van de emulator.
emu-releasemaxspeed | Geeft de maximale emulatiesnelheid vrij.
emu-resetclean | Algemene herstart emulator.
emu-resethard | Koude herstart emulator.
emu-resetsoft | Zachte herstart emulator.
emu-setmaxspeed | Zet de emulatiesnelheid op maximaal.
emu-stop | Stopt de emulatie.
emu-togglecputrace | Bedient de CPU trace.
emu-togglemaxspeed | Schakelt naar maximale snelheid.
emu-togglemousecapture | Bedient de muis capture.
emu-togglepause | Schakelt tussen start/pauze.
level-io | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het in- en uitvoer volume.
level-keyboard | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het toetsenbordvolume.
level-master | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het hoofdvolume (centrale volume).
level-midi | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het MIDI-volume.
level-moonsound | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het MoonSound-volume.
level-msxaudio | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het MSX-AUDIO-volume.
level-msxmusic | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het MSX-MUSIC-volume.
level-pcm | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het PCM-volume.
level-psg | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het PSG-volume.
level-scc | Bewerkt de waarde van de schuifknop in de geluidsmixer voor het SCC-volume.
menu-cart1 | Weergave van het menu Cartridge 1.
menu-cart2 | Weergave van het menu Cartridge 2.
menu-cassette | Weergave van het menu Cassettespeler.
menu-controlsport1 | Weergave van het menu Poort 1.
menu-controlsport2 | Weergave van het menu poort 2.
menu-diska | Weergave van het menu Diskettestation A.
menu-diskb | Weergave van het menu Diskettestation B.
menu-file | Weergave van het menu Bestand.
menu-help | Weergave van het menu Help.
menu-options | Weergave van het menu Opties.
menu-reset | Weergave van het menu Herstarten.
menu-run | Weergave van het menu Start.
menu-specialcart1 | Weergave van het menu Speciale Cartridge voor cartridge A.
menu-specialcart2 | Weergave van het menu Speciale Cartridge voor cartridge.
menu-tools | Weergave van het menu Gereedschap.
menu-windowsize | Weergave van het menu Scherm.
mouse-capture | Captures de MSX-muis in de emulator.
pan-io | Wijzigt de waarde van de panorama in de geluidsmixer voor het invoer/uitvoer volume.
pan-keyboard | Wijzigt de waarde van de panorama in de geluidsmixer voor het toetsenbordvolume.
pan-midi | Wijzigt de waarde van de panorama in de geluidsmixer voor het MIDI-volume.
pan-moonsound | Wijzigt de waarde van de panorama in de geluidsmixer voor het MoonSound-volume.
pan-msxaudio | Wijzigt de waarde van de panorama in de geluidsmixer voor het MSX-AUDIO-volume.
pan-msxmusic | Wijzigt de waarde van de panorama in de geluidsmixer voor het MSX-MUSIC-volume.
pan-pcm | Wijzigt de waarde van de panorama in de geluidsmixer voor het PCM-volume.
pan-psg | Wijzigt de waarde van de panorama in de geluidsmixer voor het PSG-volume.
pan-scc | Wijzigt de waarde van de panorama in de geluidsmixer voor het SCC-volume.
port1-setjoystick | Verbindt een joystick met MSX-poort 1.
port1-setkeyset | Verbindt een set toetsen (keyset) met MSX-poort 1.
port1-setmouse | Verbindt een muis met MSX-poort 1.
port1-setnone | Verbindt niets met MSX-poort 1.
port1-setnumpad | Verbindt het numerieke toetsenbord met MSX-poort 1.
port2-setjoystick | Verbindt een joystick met MSX-poort 2.
port2-setkeyset | Verbindt een set toetsen (keyset) met MSX-poort 2.
port2-setmouse | Verbindt een muis met MSX-poort 2.
port2-setnone | Verbindt niets met MSX-poort 2.
port2-setnumpad | Verbindt het numerieke toetsenbord met MSX-poort 2.
screenshot-large | Maakt een groot schermafdruk.
screenshot-normal | Maakt een normaal schermafdruk.
screenshot-small | Maakt een klein schermafdruk.
slider-emuspeed | Wijzigt de emulatiesnelheid.
slider-rensha | Wijzigt de waarde van de ren-sha turbo.
sprite-setenable | Toestaan weergave (van de) sprites.
state-load | Geeft het dialoogscherm "Open CPU-status" weer.
state-quickload | Snelopenen van laatste CPU-status.
state-quicksave | Snelopslaan van huidige CPU-status.
state-save | Geeft het dialoogscherm "Opslaan CPU-status" weer.
switch-audioswitch | Bedient de MSX-AUDIO-cartridge switch.
switch-frontswitch | Bedient de Panasonic front switch.
switch-pauseswitch | Bedient de pauzetoets.
switch-setaudio | Stelt de MSX-AUDIO-cartridge schakelaar in.
switch-setfront | Stelt de Panasonic front switch in.
switch-setpause | Stelt de Pauzeschakelaar (knop) in.
theme-close | Sluit een themavenster.
theme-maximize | Maximaliseert een themavenster.
theme-minimize | Minimaliseert het themavenster.
theme-setpage | Stelt het zichtbare deel van een themapagina in.
video-brightness | Wijzigt het aspect scherpte.
video-contrast | Wijzigt het aspect contrast.
video-enable-mon1 | Weergave op monitor 1.
video-enable-mon2 | Weergave op monitor 2.
video-enable-mon3 | Weergave op monitor 3.
video-gamma | Wijzigt het gamma-aspect.
video-rfmodulation | Wijzigt het RF-modulatie-effect.
video-saturation | Wijzigt het verzadigingsaspect.
video-scanlines | Wijzigt het beeldlijneffect.
window-fullscreen | Stelt de venstergrootte in op volledig scherm.
window-normal | Stelt de venstergrootte in op dubbele grootte.
window-setfullscreen | Stelt de venstergrootte op volledig scherm.
window-small | Stelt de venstergrootte in op normaal grootte.
window-togglefullscreen | Schakelt tussen volledig scherm en venstergrootte.


De besturingselementen

De besturingselementen

Er zijn een aantal besturingselementen beschikbaar in een thema.
Er moet altijd
- de x en y coördinaten moeten precies worden aangegeven
- het volledige "src " pad naar het als bron gebruikte afbeeldingbestand (.bmp)
Overige argumenten zijn optioneel, bijvoorbeeld breedte, uitlijnen in tekstvelden en de acties en triggers van knoppen.

button
Knopelementen. (nieuw formaat sinds versie 2.2)
src heeft drie knopstaten: normaal, gemarkeerd, ingedrukt.
De action definieert welke actie moet worden ondernomen wanneer de knop wordt ingedrukt.
Het attribuut "visible" kan worden toegevoegd zodat knoppen verborgen blijven totdat er besloten wordt om deze zichtbaar te maken.
Een knopelement dat verborgen is, reageert niet op muisinvoer en de aan de knop toegekende actie wordt niet uitgevoerd.
Indien het attribuut activenotify="1" wordt gespecificeerd dan zal de afbeelding uit twee afbeeldingen moeten bestaan. De eerste wordt weergegeven als het venster inactief is, de tweede als het venster actief is.
Het 'trigger'-attribuut betekent niet langer het in- of uitschakelen van de knop. In plaats hiervan betekent het "forceer indrukken".
Dus indien een trigger wordt gespecificeerd en deze is "waar" dan zal de knop worden ingedrukt, anders ("onwaar") gedraagt de knop zich normaal.
Voorbeeld:

<button x="156" y= "37" src= "buttons/STOP-BUTTON.bmp" action= "emu-stop" visible= "notemu-stopped"/>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>

dualbutton
Dual button control. (new format since version 2.2)
De knop bestaat uit twee delen: links is gewoonlijk a vervolgkeuzelijst (dropdown menu) en rechts is het meest standaard menuonderdeel.
src bevat vier knopstaten: normaal, gemarkeerd, ingedrukt links en ingedrukt rechts.
Het attribuut "visible" kan worden toegevoegd zodat knoppen verborgen blijven totdat er besloten wordt om deze zichtbaar te maken.
Een knopelement dat verborgen is, reageert niet op muisinvoer en de aan de knop toegekende actie wordt niet uitgevoerd.
Indien het attribuut activenotify="1" wordt gespecificeerd dan zal de afbeelding uit twee afbeeldingen moeten bestaan. De eerste wordt weergegeven als het venster inactief is, de tweede als het venster actief is.
De locatie van de vervolgkeuzelijst kan worden gespecificeerd met het attribuut "direction".
Indien de knoppen vertikaal zijn ontworpen, dan wordt het vervolgkeuzelijst geplaatst in de corresponderende richting.
De attributen "arg1x/arg1y" & "arg2x/arg1y" zijn voor het bepalen van de positie van de vervolgkeuzelijst (de x en y coördinaten).
Het attribuut "arg" is voor acties m.b.t. het menu. 1&2 staat voor actie 1 en actie 2.

Voorbeeld:

<dualbutton x="49" y= "32" src= "buttons/RESET-BUTTON.bmp" action1= "emu-resethard" action2= "menu-reset" arg2x= "80" arg2y= "50"/>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>

grabimage
Het afbeeldingbestand waar met de muisknop op kan worden gedrukt en het venster worden versleept.
Indien het attribuut activenotify="1" wordt gespecificeerd dan zal de afbeelding moeten bestaan uit twee afbeeldingen. De eerste wordt weergegeven als het venster inactief is, de tweede als het venster actief is.

Voorbeeld:

<dragimage x="0" y= "0" activenotify= "1" src= "MixerTop.bmp"/>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>

key code
Toetsenbord toetscode. (Introductie blueMSX 2.2)
De code van de desbetreffende MSX-toets moet precies worden aangegeven

Voorbeeld:

<key code="underscore" x="228" y="84" width="17" height="17"/>

Lijst met de verschillende codes:

f1 - f2 - f3 - f4 - f5 - stop -cls - select - ins - del - esc
1 - 2 - 3 - 4 - 5 - 6 - 7 - 8 - 9 - 0 - neg - circomflex - backslash - backspace - tab
q - w - e - r - t - y - u - i - o - p - at - leftbracket - return - ctrl
a - s - d - f - g - h - j - k - l - semicolon - colon - rightbracket - leftshift
z - x - c - v - b - n - m - comma - period - div - underscore - rightshift
caps - graph - torikeshi - space - jikkou - code - pause
left - up - down - right
num7 - num8 - num9 - numdiv
num4 - num5 - num6 - nummul
num1 - num2 - num3 - numsub
num0 - numperiod - numcomma - numadd
print

image
Statusloze afbeelding

Voorbeeld:
<image x="30" y= "20" src= "bitmap.bmp"/>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>

led
Een twee status afbeelding. Aan/uit, wordt bestuurd door een trigger.

Voorbeeld:

<led x="30" y= "552" src= "DIGIBLUE.bmp" trigger= "notemu-stopped"/>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>

meter
Meterelement.
Het aantal 'staven' of 'balken' (engels: bars) in de afbeelding wordt ingesteld met "max", dat maximaal 99 kan zijn.
src moet het numerieke aantal afbeeldingen "max" bevatten.

Voorbeeld:

<meter x="454" y= "617" max= "13" src= "MIXER/METER-L.bmp" trigger= "volume-master-left"/>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>

slider
Schuifknopelement.
Het aantal pans in de afbeelding wordt ingesteld door "max" dat maximaal 99 kan zijn.
src moet het numerieke aantal afbeeldingen "max" bevatten en hoeveel kolommen zijn bestemt voor elk panorama.
De richting van de schuifknop kan worden gespecificeerd met het attribuut "direction".
Ook de gevoeligheid kan worden gespecificeerd.

Voorbeeld:

<slider x="71" y="58" src="SWITCHES/SLIDER-RENSHA.bmp" max="11" srcColumns="1" trigger="slider-rensha" action="slider-rensha"
direction="horizontal" sensitivity= "3"/>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>

text
Tekstveld.
De gegevens wordt bestuurd door een trigger (alleen text-triggers)
src definieert het gebruikte lettertype (alleen lettertypen met vaste grootte worden momenteel ondersteund)
Het attribuut "visible" kan worden toegevoegd zodat teksten alleen kunnen worden weergegeven als de emulator wordt uitgevoerd of stopt.
Het attribuut "align" is voor het bepalen van de uitlijning van de tekst en ondersteunt momenteel enkel links of rechts.

Voorbeeld:

<text x="67" y="7" width="6" align="right" visible="emu-stopped" src="ICONS/FONT-SMALL.bmp" trigger="text-cpuusage"/>
<text x="67" y="7" width= "6" align="right" visible= "notemu-stopped" src= "ICONS/FONT-SMALL.bmp" trigger= "text-vramsize"/>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>

togglebutton
Toggle button control. (Sinds versie 2.2)
src bestaat uit 2 groepen van drie knopstaten: normaal, aangeraakt en ingedrukt.
Wanneer de knop zich in de uit-staat bevindt (eerste 3 staten) of in de aan-staat (de laatste 3 staten).
De actie definieert welke actie moet worden ondernomen wanneer de knop wordt ingedrukt.
Het attribuut "visible" kan worden toegevoegd zodat knoppen verborgen blijven totdat er besloten wordt om deze zichtbaar te maken.
Een knopelement dat verborgen is, reageert niet op muisinvoer en de aan de knop toegekende actie wordt niet uitgevoerd.
Indien het attribuut activenotify="1" wordt gespecificeerd dan zal de afbeelding uit twee afbeeldingen moeten bestaan. De eerste wordt weergegeven als het venster inactief is, de tweede als het venster actief is.
Het 'trigger'-attribuut betekent niet langer het in- of uitschakelen van de knop. In plaats hiervan betekent het "forceer indrukken".
Dus indien een trigger wordt gespecificeerd en deze is "waar" dan zal de knop worden ingedrukt, anders ("onwaar") gedraagt de knop zich normaal.

Voorbeeld:

<togglebutton x="63" y= "11" src= "video-block/vidout-button2.bmp" trigger= "status-hstretch" action= "switch-videohstretch"/>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>< /span>


De triggers

De triggers

De triggers wijzigen de leds, schakelen knoppen in of uit en laten tekstvelden welke teksten moeten worden afgedrukt.

Trigger | Omschrijving
emu-paused | Triggered als emulatie is gepauzeerd.
emu-running | Triggered als emulatie wordt uitgevoerd.
emu-stopped | Triggered als emulatie wordt gestopt.
enable-io | Triggered als invoer/uitvoer-geluid is ingeschakeld.
enable-keyboard | Triggered als toetsenbord-geluid is ingeschakeld.
enable-master | Triggered als centrale-geluid is ingeschakeld (master).
enable-midi | Triggered als MIDI-geluid is ingeschakeld.
enable-moonsound | Triggered als MoonSound-geluid is ingeschakeld.
enable-msxaudio | Triggered als MSX-AUDIO-geluid is ingeschakeld.
enable-msxmusic | Triggered als MSX-MUSIC-geluid is ingeschakeld.
enable-pcm | Triggered als PCM-geluid is ingeschakeld.
enable-psg | Triggered als PGSG-geluid is ingeschakeld.
enable-scc | Triggered als SCC-geluid is ingeschakeld.
led-audioswitch | Triggered als geluidsschakelaar is ingeschakeld.
led-caps | Triggered als caps-led is ingeschakeld.
led-cassette | Triggered als cassetteled is ingeschakeld.
led-diska | Triggered als diskettestation A-led is ingeschakeld.
led-diskb | Triggered als diskettestation A-led is ingeschakeld.
led-frontswitch | Triggered als Panasonic front schakelaar is ingeschakeld.
led-kana | Triggered als Kana-led is ingeschakeld.
led-pause | Triggered als pauzeled is ingeschakeld.
led-pauseswitch | Triggered als pauzeschakelaar is ingeschakeld.
led-rensha | Triggered als Ren-sha turbo-led is ingeschakeld.
led-turbor | Triggered als Turbo-R R800-led is ingeschakeld.
level-io | Gives the current value of the bars in the mixer for the input/output volume
level-keyboard | Gives the current value of the bars in the mixer for the keyboard volume
level-master | Gives the current value of the bars in the mixer for the master volume
level-midi | Gives the current value of the bars in the mixer for the midi volume
level-moonsound | Gives the current value of the bars in the mixer for the moonsound volume
level-msxaudio | Gives the current value of the bars in the mixer for the msx-audio volume
level-msxmusic | Gives the current value of the bars in the mixer for the msx-music volume
level-pcm | Gives the current value of the bars in the mixer for the pcm volume
level-psg | Gives the current value of the bars in the mixer for the psg volume
level-scc | Gives the current value of the bars in the mixer for the scc volume
pan-io | Geeft de huidige waarde van de panorama in de geluidsmixer voor het invoer/uitvoer volume.
pan-keyboard | Geeft de huidige waarde van de panorama in de geluidsmixer voor het toetsenbordvolume.
pan-midi | Geeft de huidige waarde van de panorama in de geluidsmixer voor het MIDI-volume.
pan-moonsound | Geeft de huidige waarde van de panorama in de geluidsmixer voor het MoonSound-volume.
pan-msxaudio | Geeft de huidige waarde van de panorama in de geluidsmixer voor het MSX-AUDIO-volume.
pan-msxmusic | Geeft de huidige waarde van de panorama in de geluidsmixer voor het MSX-MUSIC-volume
pan-pcm | Geeft de huidige waarde van de panorama in de geluidsmixer voor het the PCM-volume
pan-psg | Geeft de huidige waarde van de panorama in de geluidsmixer voor het the PSG-volume
pan-scc | Geeft de huidige waarde van de panorama in de geluidsmixer voor het SCC-volume.
port1-enable | Triggered als joystickpoort 1 is ingeschakeld.
port1-joystick | Triggered als joystick is verbonden met poort 1.
port1-keyboard | Triggered als toetsenbord is verbonden met poort 1.
port1-mouse | Triggered als muis is verbonden met poort 1.
port1-none | Triggered als niets is verbonden met poort 1.
port1-numpad | Triggered als het numeriek toetsenbord is verbonden met poort 1.
port2-enable | Triggered als joystickpoort 2 is ingeschakeld.
port2-joystick | Triggered als joystick is verbonden met poort 2.
port2-keyboard | Triggered als toetsenbord is verbonden met poort 2.
port2-mouse | Triggered als muis is verbonden met poort 2.
port2-none | Triggered als niets is verbonden met poort 2.
port2-numpad | Triggered als numeriek toetsenbord is verbonden met poort 2.
slider-emuspeed | Geeft de huidige waarde van de emulatiesnelheid.
slider-rensha | Geeft de huidige waarde van de ren-sha turbo.
status-cartreset | Triggered als cartridgeherstart is ingeschakeld.
status-casreadonly | Triggered als cassette is Alleen lezen.
status-deinterlace | Triggered als deinterlace modus is ingeschakeld.
status-diskreset | Triggered als diskette herstart is ingeschakeld.
status-hstretch | Triggered als horizontale uitrekking is ingeschakeld.
status-record | Triggered als opname actief is .
status-rfmodulation | Triggered als RF modulatie-effect is ingeschakeld.
status-scanlines | Triggered als beeldlijneffect is ingeschakeld.
status-vstretch | Triggered als verticale uitrekking is ingeschakeld.
text-buildandversion | Tekst met het blueMSX-buildnummer en -versienummer (en credits scroll).
text-buildnumber | Tekst met het blueMSX-buildnummer.
text-controlsport1 | Tekst met status van controls menu poort 1.
text-controlsport2 | Tekst met status van controls menu poort 2.
text-cpuusage | Tekst met het CPU-belasting.
text-emufrequency | Tekst met emulatiesnelheid.
text-framespersecond | Tekst met het aantal frames per seconde.
text-machinename | Tekst met huidige machinenaam.
text-ramsize | Tekst met huidige RAM-grootte.
text-rommapper1 | Tekst met het actieve type rommapper voor cartridge 1.
text-rommapper1short | Korte tekst met het actieve type rommapper voor cartridge 1.
text-rommapper2 | Tekst met het actieve type rommapper voor cartridge 2.
text-rommapper2short | Korte tekst met het actieve type rommapper voor cartridge 2.
text-runningname | Tekst als beeld wordt uitgevoerd (cart/dsk/cas).
text-scanlinespct | Tekst met beeldlijnpercentage.
text-screentype | Tekst met het huidige schermtype.
text-screentypeshort | Korte tekst met het huidige schermtype.
text-version | Tekst met het blueMSX-versienummer.
text-videobrightness | Tekst met huidige status van het helderheidaspect.
text-videocontrast | Tekst met huidige status van het contrastaspect.
text-videogamma | Tekst met huidige status van het gamma-aspect.
text-videomonname1 | Tekst met naam van monitor 1.
text-videomonname2 | Tekst met naam van monitor 2.
text-videomonname3 | Tekst met naam van monitor 3.
text-videosaturation | Tekst met huidige status van het verzadigingsaspect.
text-vramsize | Tekst met huidige VRAM-grootte.
using-fmpac | Triggered als FM-PAC actief is.
using-megaram | Triggered als MegaRam actief is.
using-megarom | Triggered als MegaRom actief is.
using-moonsound | Triggered als MoonSound actief is.
using-msxaudio | Triggered als MSX-AUDIO actief is.
using-msxmusic | Triggered als MSX-MUSIC actief is.
using-rom | Triggered als normale rom actief is.
using-scc | Triggered als SCC actief is.
video-brightness | Indicator voor het helderheidaspect.
video-contrast | Indicator voor het contrastaspect.
video-enable-mon1 | Triggered als monitor 1 wordt gebruikt.
video-enable-mon2 | Triggered als monitor 2 wordt gebruikt.
video-enable-mon3 | Triggered als monitor 1 wordt gebruikt.
video-gamma | Indicator voor het gamma-aspect.
video-rfmodulation | Indicator voor het RF-modulatie-effect.
video-saturation | Indicator voor het verzadigingsaspect.
video-scanlines | Indicator voor het beeldlijneffect.
volume-io-left | Volumeindicator voor het linker kanaal van het invoer/uitvoer-geluid.
volume-io-right | Volumeindicator voor het rechter kanaal van het invoer/uitvoer-geluid.
volume-keyboard-left | Volumeindicator voor het linker kanaal van het toetsenbordgeluid.
volume-keyboard-right | Volumeindicator voor het rechter kanaal van het toetsenbordgeluid.
volume-master-left | Volumeindicator voor het linker kanaal van het centrale geluidsvolume.
volume-master-right | Volumeindicator voor het rechter kanaal van het centrale geluidsvolume.
volume-midi-left | Volumeindicator voor het linker kanaal van het MIDI-geluid.
volume-midi-right | Volumeindicator voor het rechter kanaal van het MIDI-geluid.
volume-moonsound-left | Volumeindicator voor het linker kanaal van het MoodSound-geluid.
volume-moonsound-right | Volumeindicator voor het rechter kanaal van het MoonSound-geluid.
volume-msxaudio-left | Volumeindicator voor het linker kanaal van het MSX-AUDIO-geluid.
volume-msxaudio-right | Volumeindicator voor het rechter kanaal van het MSX-AUDIO-geluid.
volume-msxmusic-left | Volumeindicator voor het linker kanaal van het MSX-MUSIC-geluid.
volume-msxmusic-right | Volumeindicator voor het rechter kanaal van het MSX-MUSIC-geluid.
volume-pcm-left | Volumeindicator voor het linker kanaal van het PCM-geluid.
volume-pcm-right | Volumeindicator voor het rechter kanaal van het PCM-geluid.
volume-psg-left | Volumeindicator voor het linker kanaal van het PSG-geluid.
volume-psg-right | Volumeindicator voor het rechter kanaal van het PSG-geluid.
volume-scc-left | Volumeindicator voor het linker kanaal van het SCC-geluid.
volume-scc-right | Volumeindicator voor het rechter kanaal van het SCC-geluid.


De werkbalk

De werkbalk

De werkbalk bevat meerdere knoppen waarvan de meeste zijn uitgerust met een vervolgkeuzelijst.

De klassieke werkbalk heeft het volgende uiterlijk:

Indien er is gekozen om de emulator uit te voeren met het DIGIblue SUITE-X 2.2 thema, dan heeft de werkbalk het volgende uiterlijk:

Met dit thema bevinden alle opties met betrekking tot de toevoegingen aan cartridgesleuven, diskettestations en cassettespeler zich aan de rechterzijde. Als extra's zijn toegevoegd een knop om een cassette terug te spoelen, een knop, met vervolgkeuzelijst, voor vaste schijfbeelden als de IDE-controllers aanwezig zijn (zie hier hoe deze controllers moeten worden toegevoegd).

Knop | Omschrijving
Herstarten | Koude herstart van de emulator. De vervolgkeuzelijst bevat de keuzes tussen een warme en een koude herstart.
Start | Start de emulatie.
Pauzeren/Hervatten | Pauzeren/Hervatten van de emulatie.
Stop | Stopt de emulatie.
Cartridgesleuf 1 | Geeft het dialoogscherm Toevoegen cartridge weer. De vervolgkeuzelijst bevat dezelfde opties als het overeenkomstige submenu in het menu Bestand.
Cartridgesleuf 2 | Geeft het dialoogscherm Toevoegen cartridge weer. De vervolgkeuzelijst bevat dezelfde opties als het overeenkomstige submenu in het menu Bestand.
Diskettestation A | Geeft het dialoogscherm Toevoegen diskette weer. De vervolgkeuzelijst bevat dezelfde opties als het overeenkomstige submenu in het menu Bestand.
Diskettestation B | Geeft het dialoogscherm Toevoegen diskette weer. De vervolgkeuzelijst bevat dezelfde opties als het overeenkomstige submenu in het menu Bestand
Cassettespeler | Geeft het dialoogscherm Toevoegen cassette weer. De vervolgkeuzelijst bevat dezelfde opties als het overeenkomstige submenu in het menu Bestand
Cassette terugspoelen | Biedt de mogelijkheid cassettes terug te spoelen
Vaste schijf | Geeft het dialoogscherm Toevoegen vaste schijf weer. De vervolgkeuzelijst bevat dezelfde opties als het overeenkomstige submenu in het menu Bestand. Vergeet niet eerst IDE-controllers toe te voegen aan de machineconfiguratie middels het menu Toevoegen Speciale Cartridge.
Schermgrootte | Schakelt het venster om naar dubbele grootte. De vervolgkeuzelijst bevat dezelfde opties als het overeenkomstige submenu in het menu Scherm.
Eigenschappen | Geeft het dialoogscherm Eigenschappen weer. De vervolgkeuzelijst bevat dezelfde opties als het overeenkomstige submenu in het menu Opties.
Helponderwerpen | Geeft het helpbestand van blueMSX weer.


Trace Logger

Trace Logger

blueMSX bevat een trace logger, een debug-toepassing die speciale debugberichten weergeeft die worden gegenereerd door asMSX assembler als het commando DEBUG wordt gebruikt. Deze berichten worden weergegeven in het Trace Loggerscherm.

Deze berichten worden niet weergegeven op een echte MSX maar gebruikt een speciale sequentie van instructies om de debugger te vertellen dat het een debugbericht is. Dit zeer nuttig en behulpzaam wanneer nieuwe MSX-software wordt ontwikkeld.

Hieronder worden de verschillende menuonderdelen beschreven.

Menu Bestand

Menuonderdeel | Omschrijving
Log naar bestand | Opslaan van de inhoud van het trace loggervenster (als logboek) in een tekstbestand.
Afsluiten | Sluit het trace loggerscherm af.

Menu Bewerken

Menuonderdeel | Omschrijving
Alles selecteren | Selecteert de volledige inhoud van het trace loggervenster.
Kopiëren | Kopieert de inhoud van het trace loggervenster.
Venster wissen | Wist de inhoud van het trace loggervenster.

Menu Help

Menuonderdeel | Omschrijving
Over | Weergave van het dialoogscherm Over.


De blueMSX-Trainer

De blueMSX-Trainer

blueMSX bevat een krachtige trainer die het geheugen kan verkennen, cheats kan opsporen en vervolgens kan gebruiken in spellen van uw persoonlijke voorkeur.

Het opsporen van cheats vereist enige kennis van de hard- en software van MSX-computers maar de gebruikersinterface is zo eenvoudig mogelijk gehouden. Reeds bekende cheats kunnen uiteraard toegevoegd worden.

Het dialoogvenster bestaat uit twee delen.
Het centrale deel wordt gevormd door een tabblad die bestaat uit twee pagina's:

Geheugen
Actieve Cheats

Het linkerdeel bevat zeven knoppen:

Knoppen | Omschrijving
Herstarten | Herstarten van de trainer.
Afdruk | Maakt een geheugenafdruk van het geselecteerde geheugen.
Zoeken | Zoeken naar waarden met gebruikmaking van de gekozen vergelijkingsmodus.
Vergelijken | Vergelijkt twee geheugenafdrukken met elkaar waarbij gekozen kan worden uit verschillende vergelijkingsmodi.
Activeren/Deactiveren | Het activeren of deactiveren van de ingeschakelde cheat(s).
Pauze | Pauzeren van de emulatie.
Hervatten | Hervat de emulatie.


Het gebruik van cheats

Het gebruik van cheats

Hoe kan een cheat voor een spel worden geladen?

- start eerst de emulator met het spel
- start de trainer door gebruik te maken van de sneltoetscombinatie RCtrl+RSft+T
- klik op "Afdruk" om een geheugenafdruk te maken
- in het "Actieve cheats" gedeelte, klik op de mappictogram om een .mcf-bestand te selecteren in de submap Tools\Cheats\MSX

In deze onderliggende map zijn .mcf-bestanden opgenomen met cheats voor 396 MSX-spellen.

Hiervoor gaat onze dank uit naar BiFi (Albert Beevendorp) en Vampier (Patrick van Arkel) voor hun fantastische inzet: zij hebben vrijwel elke cheat opgespoord en deze vervolgens getest met de emulator openMSX. De noodzakelijke aanpassingen voor de blueMSX-emulator en menig andere cheat zijn voornamelijk gemaakt door het blueMSX-team maar dat ook anderen een bijdrage hebben geleverd aan de cheatdatabase!

Alle cheats zouden correct moeten werken met blueMSX, mits een geschikte versie van het spel wordt gebruikt.

Enkele kleine en handige tips

- schakel niet alle cheats voor een spel gelijktijdig in maar zet de cheats in al gelang de behoefte in het spel;
- sommige cheats kunnen enkel worden ingeschakeld na de start van een spel. Klaag niet als deze onverhoopt niet blijkt te functioneren;
- met sommige cheats kan direct een level, stage of niveau worden gekozen maar deze moet uitgeschakeld of bewerkt worden wanneer men aan het einde van het huidige level, stage of niveau komt;
- in het algemeen maakt een cheat een spel eenvoudiger maar in enkele gevallen kan het voorkomen dat een cheat het spel (veel) moeilijker maakt. Deze cheats zijn speciaal gemaakt voor masochisten of superhelden;
- voor sommige spellen is het nuttig om de .mcf -bestanden te lezen omdat deze aanvullende speltips bevatten;
- in elk geval geldt dat deze cheats dienen om het spelbeleving (verder) te ver hogen en niet om het echte spelbeleving of -plezier te verpesten. En gebruik de cheats niet als men zich hierdoor geshockeerd voelt :).

Hoe kan een spel worden voortgezet als een cheat is ingeschakeld?

- selecteer de betrokken cheat met de muis
- klik met de rechtermuisknop en selecteer de optie "Inschakelen"
- indien noodzakelijk, klik op de "Activeren"-knop

Hoe kan een cheat voor een spel worden opgeslagen?

- in het "Actieve cheats" gedeelte: klik op het diskettepictogram
- geeft de gewenste bestandsnaam in en deze wordt vervolgens opgeslagen in de map Tools\Cheats. De cheatbestanden hebben de .mcf-extensie.

De verschillende keuzemogelijkheden van het rechtermuisknopmenu

Menuonderdeel | Omschrijving
Inschakelen | Indien geselecteerd wordt de gekozen cheat ingeschakeld.
Toevoegen | Voegt direct een nieuwe cheat toe (zonder dat het geheugen wordt doorzocht).
Bewerken | Bewerken van de gekozen cheat.
Verwijderen | Verwijderen van de gekozen cheat.
Alles wissen | Wissen van alle in het scherm weergegeven cheats
Alles inschakelen | Alle, in het scherm weergegeven, cheats worden ingeschakeld.
Alles uitschakelen | Alle, in het scherm weergegeven, cheats worden uitgeschakeld.
Eén maal uitvoeren | Voert de geselecteerde cheat slechts één maal uit.


De geheugenverkenning

De geheugenverkenning

Hoe kan een cheat voor een spel worden opgespoord?

- start eerst de emulator met het spel
- start vervolgens de trainer doorgebruik te maken van de sneltoets RCtrl+RSft+T
- klik op "Afdruk" om een geheugenafdruk te maken
- selecteer de actieve geheugenbank waarnaar uw interesse uitgaat (enkel het RAM- en VRAM-geheugen kan worden gewijzigd)
- selecteer de vergelijkingsmodus (drie keuzemogelijkheden: Minder - Gelijk - Groter)
- klik vervolgens op "Zoeken" om de waarde waarna u opzoek gaat aan te geven
- neem vervolgens een tweede geheugenafdruk
- klik op "Vergelijken" om de twee geheugenafdrukken met elkaar te vergelijken

De geheugenafdrukken corresponderen met twee verschillende momentopnamen van het spel. In dien noodzakelijk, kan gebruik gemaakt worden van de "Pauze" en "Hervatten"-knoppen tussen de twee geheugenafdrukken.

Hoe kan een cheat voor een spel worden toegevoegd?

Indien het geheugenadres met de cheat is gevonden selecteer dan deze regel met de muis en klik vervolgens hierop met de rechtermuisknop. Selecteer "Cheat toevoegen" in het menu dat wordt weergegeven.

Vervolgens kan aan de gevonden cheat een omschrijving worden meegegeven en kan tevens de gewenste waarde worden ingegeven.

Het bovenstaande voorbeeld geeft een oneindig aantal levens voor het spel Athletic Land.


Het virtuele station

Het virtuele station (alias blue v-DRIVE)

-Wat is blue v-DRIVE?
v-DRIVE is een unieke blueMSX-functie geïntroduceerd in v1.3.0. Maar wat doet het? Het is een simpel maar toch krachtige sneltoets voor gebruikers om diskettes te wisselen zonder naar het Bestandsmenu te gaan. De v-DRIVE-sneltoets laat gebruikers heen en weer schakelen tussen de beschikbare opeenvolgende diskettebeelden (werkt op dezelfde wijze als de ' ALT+TAB'-toetscombinatie in Windows om van taak te wisselen). Gebruikers zullen deze optie uiterst nuttig vinden wanneer er spellen worden gespeeld met spellen met veelvuldige diskette (om)wisselingen!

- Hoe werkt het?
Neem aan dat men beschikt over een softwaretitel die bestaat uit een reeks diskettes en bestandsnamen hebben als [DISK-1.dsk, DISK-2.dsk, DISK-3.dsk] etc. blueMSX herkent automatisch dat de reeks uit 3 diskettes bestaat (dan wel aanwezig zijn). Dit wordt gedaan door de bestandsnamen te scannen gebaseerd op nummers en het alfabet in samenhang met een gemeenschappelijke benaming.

-Hoe is het te gebruiken?
Tijdens de emulatie vragen sommige softwareprogramma's om diskettes te verwisselen. Druk dan eenvoudig op de standaard sneltoetscombinatie: ALT+F9. Er wordt een vergelijkbare informatiebalk getoond als in het hier boven weergegeven voorbeeld met de diskette die wordt toegevoegd. Wanneer de laatste diskette uit de reeks wordt bereikt en opnieuw op ALT+F9 (de standaard sneltoets) drukt dan wordt er teruggesprongen naar de eerste diskette in de reeks. Het komt er op neer dat er cyclisch door een reeks diskettes wordt gebladerd. Hier is een diagram dat het v-DRIVE-proces visueel weergeeft.

-Waarmee rekening gehouden moet worden...
Om de v-DRIVE-mogelijkheid juist te gebruiken moet men enkele zaken niet vergeten rekening te houden. Momenteel ondersteunt v-DRIVE niet het gebruik van meerde diskettes die zijn opgeslagen in een enkel ingepakt diskettebeeld (zip-formaat)). Bijvoorbeeld: DISK-1.zip, DISK-2.zip, DISK-3.zip... etc. Hoewel, ingepakte bestanden (zip-formaat) met meerdere beelden worden ondersteund. Gebruikers wordt aangeraden de ingepakte bestanden uit te pakken naar een map op de vaste schijf om de werking van v-DRIVE te verzekeren.


Versiegeschiedenis

Versiegeschiedenis

Deze alinea bevat een overzicht van uitgebrachte blueMSX-versies en de meest belangrijke wijzigingen die zijn doorgevoerd ten opzichte van voorgaande versies.

v 2.5.0 8 juli, 2006

In de emulator:
- Implementatie van nieuwe besturings- en toetsenbordeditor om meer comfort te bieden aan spelfanaten en vergemakkelijkt de ondersteuning toekomstige andere computers of spelcomputers in toekomstige versies
- Toegevoegd is vaste schijfemulatie: naast de welbekende Sunrise IDE-vaste schijfcontrollers ondersteunt blueMSX tevens Beer IDE en GIDE
- blueMSX is de eerste emulator die de Yamaha CX5M, CX5M-128 en CX7M-128-computers ondersteund door de emulatie van de YM2151-geluidschip en de YK-01, YK-10 enYK-20 muziekkeyboards. Het MIDI-deel van de Yamaha SFG-cartridges wordt momenteel nog niet ondersteund.
- Ondersteuning van de MHT Ingenieros Gunstick en de ASCII Plus-X Terminator Laser Gun
- Ondersteuning van twee 80-kolomsgrafische kaarten op MSX1: Microsol VMX-80 en SVI-737
- Ondersteuning van Video In, Sony HBI-V1-digitizer en de functie digitaliseren van de Philips NMS-8280-computer
- Ondersteuning van superimpose- en externe videobronnen in V9938- emulatie
- Ondersteuning van schermafdrukken in PNG-formaat
- Toegevoegd is de ondersteuning om nieuwe diskbeelden te creëren van verschillende grootte voor MSX en SVI-328
- Ondersteuning toegevoegd voor ongedocumenteerde schermmodus (screen 0 met een screen 2-stijl name table addressing)
- Een nieuwe beeldsynchronisatiemethode is toegevoegd
- Video-optie toegevoegd om opeenvolgende frames te mengen met als resultaat een gladdere beeldweergave
- Ondersteuning van de YM2149 PSG-geluidschip
- De MIDI-IN-ondersteuning gerepareerd in de Turbo-R machineconfiguraties
- Nieuwe rommappers toegevoegd voor de SFG-01 en SFG-05 (gebruikt door Yamaha muziekcomputers), de F&M Direct Assembler System en de SG-1000-versie of The Castle
- Verbeterde in- en uitschakeling van SRAM in FM-PAC-module
- Herstructurering van de invoer van toetsenbord en joystick
- Geoptimaliseerde videorendering
- Toegevoegd is de ondersteuning blueMSX uit te voeren vanaf Alleen Lezen-media
- Toegevoegd is de ondersteuning om blueMSX uit te voeren zonder dat er gegevens naar de lokale computer worden weggeschreven
- Adressering gerepareerd in Konami-mappers
- Fout gerepareerd in de 1kB-rammapper zoals gebruikt door de ColecoVision en Sega SG-1000
- Border rendering is nu cyclisch accurate
- Gerepareerde HREFRESH timing in het VDP
- Fout gerepareerd in de XVRAM-emulatie
- Fout gerepareerd in spritestatus
- Gerepareerde VDP-timing in Turbo-R en MSX2+-machines

In de debugger:
- zoekdialoog(venster) om te zoeken naar tekststrings of waarden in het geheugen
- verbeterde bewerkingsmogelijkheden in het geheugenscherm
- ondersteuning voor het debuggen van OPL-geluidschips

In de trainer:
- de cheatdatabase bevat nu cheats voor 396 MSX-spellen

v 2.4.0 18 september, 2005

In de emulator:
- De ondersteuning van de eerste Sega spelcomputer: de SG-1000
- Een nieuwe synchronisatiemodus toegevoegd die gekoppeld is aan de PC Vertical Blank en geeft een lineaire interpolatie van de MSX-frames en stemt deze af op de PC-monitor verversfrequentie
- De geluidsmixer is nu, net als de toetsenbordeditor, een volgens blueMSX Themageschreven invoegtoepassing en wordt in een nieuw en verplaatsbaar venster weergegeven
- De ondersteuning van MSX-MIDI OUT in de generieke Turbo-R-machineconfiguraties en in de Panasonic FS-A1GT, met de optie om de indeling van de MT-32-instrumenten te koppelen aan de instrumentenindeling van General MIDI
- De ondersteuning voor de mapper en de geluidschip (VLM5030) van de Konami Keyboard Master, en niet uitgebrachte en zeldzame cartridge
- Verbeterde SCC-emulatie ter ondersteuning van de NYYRIKKI's sample players
- Geheel herschreven interruptie ondersteuning
- Ondersteuning van de vernieuwde CAS- en DSK-databases in XML-formaat met SHA1-waarden
- De CAS-database uitgebreid met nieuwe regels en met gegevens voor de corresponderende WAV-bestanden
- Ondersteuning van de Chinese taal (Vereenvoudigd Chinees en Traditioneel Chinees)
- Vijf nieuwe generieke MSX-machineconfiguraties toegevoegd: MSX1 Arabisch, MSX1 Frans, MSX1 Russisch, MSX1 Spaans en MSX2 Zweeds
- De RS232-rom aan alle generieke MSX-machineconfiguraties
- Verbeterd SVI-geheugenmanagement
- Ondersteuning van de SVI-603 Coleco speladapter toegevoegd
- 2 SVI-328 machineconfiguraties toegevoegd met een tweede videokaart (80-koloms)
- Diverse bugs herstelt

In de debugger:
- Ondersteuning van de Chinese en Koreaanse taal
- Venster met een lijst met waarden van de I/O-poorten
- Een scherm om waarden af te lezen en te bewerken van periferiële registers (VDP en PSG)
- Opslagmogelijkheid van gedisassembleerde bestanden in een tekstbestand (logboek)
- Opslagmogelijkheid van het geheugen in een binair bestand

In de tracer:
- Chinese en Koreaanse taalondersteuning

v 2.3.1 24 juni, 2005

Bijgewerkte debugger:
- Japanse vertaling van de debugger
- Assembly stijl vlaggen toegevoegd (naast de aanwezige vlaggen) in het CPU-registerscherm
- Een breekpunt dialoog dat een adres of een symbool accepteert
- Update van BiFi's breekpunten
- BiFi's debug commando toegevoegd
- Step over werkend gemaakt met blokcommando's (ldir, cpir, otir, ....)

Herstelde bugs:
- Een fout herstelt met de ASCII SRAM-mapper
- Een kleine fout herstelt met de debuggersneltoetsen
- Een fout herstelt in de geheugenadresinvoer om te kunnen omgaan met lange nummers
- Een fout herstelt in de debugger dat schrijven naar het geheugen en registers faalde
- Een fout herstelt dat een onjuiste weergave van vervolgkeuzelijsten met enkele Windows computers veroorzaakte
- Een VDP-fout herstelt waardoor het intro van het spel FEEDBACK faalde (de commando engine zet de uitvoering voort na schermsplit)
- Een VDP-fout herstelt in het PSET-commando (waardoor sterren onjuist werden weergegeven in het spel FEEDBACK)
- Een fout herstelt in de volledige schermmodus bij gebruik van de F12-toets (herstart) wanneer het menu zichtbaar is

v 2.3.0 18 juni, 2005

Printerondersteuning:
- MSX-printer en Epson FX-80-printer worden geëmuleerd
- Er kan ook geschreven worden naar een tekstbestand
- De printerpoort kan worden gebruikt als een geluidsapparaat (SiMPL/Covox DAC)

Uitgebreide versie van de debugger:
- Ondersteuning van het symboolbestand toegevoegd aan de debugger (tniASM, asMSX, ...):
* Symbolen kunnen worden weergegeven/verborgen in het dissambleervenster
* Symboolnamen kunnen worden gebruikt om een geheugenadres in het geheugenvenster
- Toegevoegd stack venster
- 'step into' feature toegevoegd
- 'step out' feature toegevoegd
- Meer opties om breekpunten in- of uit te schakelen toegevoegd
- Een ga naar dialoogscherm toegevoegd om naar een specifiek adres of symbool te springen in het disassembly-scherm
- Het zichtbaar geheugen beschrijfbaar in de debugger
- De ondersteuning van asMSX DEBUG commando (weergave in het trace loggerscherm)
- De ondersteuning van BiFi's BREAKPOINT commando (set bp from assembler) toegevoegd
- Sneltoetsafhandeling in de debugger herstelt

Andere wijzigingen in de emulator:
- Duitse en Portugese taalondersteuning
- Bijgewerkte Italiaanse taalondersteuning
- Bijgewerkte C-BIOS machineconfiguraties naar versie 0.21
- De Braziliaanse MSX1- en MSX2-machines gecorrigeerd (1 fysiek station en 2 logische stations)
- Verbeterde ondersteuning van MSX-MUSIC door implementatie van Mitsutaka Okazaki's nieuwe YM2413-kern
- Toegevoegd FDC-geluidssamples
- De ondersteuning voor Tetris 2 special edition copyrightbeschermingsdongle toegevoegd
- Keyboard lock handle voor Japanse functietoetsen toegevoegd
- Frequentie van MSX-AUDIO gecorrigeerd (loopt nu op 50 KHz)
- noise ondersteuning gecorrigeerd in de ColecoVision spelcomputer
- Hq2x en Hq3x paletfout herstelt
- VDP horizontale scroll fout herstelt (Tetris 2 special edition)
- Een VDP-adresseringsfout herstelt (F-Nano 2)
- Sprite botsingsdetectiefout herstelt
- Een Screen 2-adresseringsfout herstelt
- Een fout herstelt waardoor de joystickconfiguratie werd teruggezet naar de standaardinstelling naar GEEN na een herstart
- Een fout herstelt gerelateerd aan submap wanneer uitvoering vanaf alleen lezen-media

v 2.2.0 19 maart, 2005

- Een toetsenbordeditor toegevoegd
- Introductie van een pluginstructuur waarmee additionele programma's (dll's) kunnen worden toegevoegd: een debugger en een trainer worden in deze vorm met blueMSX meegeleverd.
- Een uit meerdere pagina's bestaande interface ontwikkeld met systeeminformatie, geluidsmixer, video-instellingen, en virtueel toetsenbord
- Interne wijziging van de emulatie van de geluidschips waardoor het mogelijk wordt deze simultaan te benutten.
- De toevoeging van een selecteerbare schermresolutie voor de volledige schermmodus
- blueMSX deelt nu met openMSX een romdatabase in een verbeterd en bij te werken (update) formaat. Voor een beperkte periode wordt het oude formaat nog ondersteund.
- C-BIOS bijgewerkt tot versie 0.20
- De FM-PAC-cartridge vervangen in alle generieke MSX2-machineconfiguraties door de MSX2+-FM-chip en de PAC-cartridge
- Een generiek MSX2-machineconfiguratie toegevoegd die alleen de PSG-geluidschip bevat
- Wijzigingen aangebracht in de speciale machineconfiguraties om deze meer op de echter computer te laten lijken (met uitzondering van 512 Kb RAM in alle MSX2-, MSX2+- en Turbo-R-machineconfiguraties)
- Een nieuwe rommapper toegevoegd voor de Nederlandse en Koreaanse MSX-MUSIC-cartridges
- Ondersteuning van de Sony HBI55-cartridge
- Volledige ondersteuning van de SVI-328 Floppy Drive Controller
- De autodetectie van de videobron toegevoegd en de ondersteuning van de SVI-806-videokaart (80 kolommen - CRTC6845). Dit kenmerk is een stap in de toekomst voor de toekomstige ondersteuning van de GFX9000
- Ondersteuning van 192 Kb VRAM in de V9958-VDP-chip
- Het kenmerk Disable Floppy Drive Timing verbeterd
- Nieuw monitortype toegevoegd
- De ondersteuning van de Hq2x-schaler (en de Hq3x-schaler als de emulator in volledige schermmodus met tenminste een schermresolutie van 1024 x 768 beeldpunten)
- Het RF-modulatie-effect toegevoegd
- Verbeterde filtering voor SCC, MSX-MUSIC en MSX-AUDIO
- Ondersteuning van de parallelle en seriële poorten
- Weergave van een voorbeeld toegevoegd aan opgeslagen CPU-status
- De ondersteuning van de bestanden met de .col-extensie, gebruikt voor de ColecoVision cartridges
- Verschillende fouten herstelt (PSG-geluiden, opslaan CPU-status, MSX-AUDIO-initialisatie, afname van de prestaties als de menu's worden gebruikt)
- Een spritefout herstelt in Dragon Quest 2 (de titel wordt nu correct weergegeven)

v 2.1.0 25 december, 2004

- Ondersteuning van de ColecoVision
- Ondersteuning van het uitschakelen van de real floppy drive timing
- Het in- of uitschakelen van de mogelijkheid om de blueMSX-configuratie in het Windows Register te bewaren
- Verbeterde diskmetriekdetectie
- Bijgewerkte machineconfiguraties, inclusief één met de hagelnieuwe C-BIOS 0.19
- Een fout herstelt die caused returning from A1 internal software back to VShell to fail.
- Een fout herstelt in de Panasonic Rom Mapper waardoor de FS-A1WSX-machineconfiguraties crashen
- Een fout herstelt in de VDP Commando Engine waardoor de grafische weergave in Eidolon corrupt was
- Een renderingsfout in Screen 3 herstelt
- Een interlacefout herstelt in het spel GigaMix
- Een fout herstelt in de PSG waardoor noten hingen in Sex Bomb Bunny
- Een fout herstelt in de ROM diskmagazines
- Een fout herstelt in de PCM-weergave waardoor sommige samples te langzaam werden afgespeeld
- Een fout herstelt in de bestandsassociaties waardoor de associaties voor nieuwe geïnstalleerde versies van de emulator niet werden bijgewerkt
- Een fout herstelt in de Cassette Automatisch terugspoelen waardoor er niet werd teruggespoeld wanneer een cassette werd geselecteerd uit de bestandsgeschiedenis
- Een fout herstelt in de argumenten voor de commandoregel m.b.t. cassette- en ingepakte cassettebestanden (zip-formaat
- Een fout herstelt in de waardoor de bestandsmap casinfo niet juist werd gecreëerd
- Een fout herstelt in de R800-kloksnelheid selectielijst
- Een fout herstelt in de cassette opslag die troep toevoegde aan het einde van het bestand
- Een fout herstelt in Slepen & Neerzetten waardoor bestanden die spaties bevatten soms niet konden worden gesleept en neergezet fail

v 2.0.0 20 november, 2004

- Eerste blueMSX-versie die volledig vrij is van alle fMSX-bronnen en programmacodes
- Turbo-R-ondersteuning toegevoegd, inclusief PCM-ondersteuning (alleen het afspelen) en Turbo-R-SRAM-ondersteuning
- Ondersteuning van de bijna MSX1-computers: de Spectravideo SVI-318 en SVI-328
- Timingprobleem van de Panasonic Floppy Drive Controller herstelt
- De ondersteuning van de Western Digital FDC en vier nieuwe mappers: National/Daewoo, Philips/Sony, Microsol en SVI-738
- Nieuwe generieke machineconfiguraties toegevoegd: MSX1 German (Duits), MSX1 Swedish (Zweeds), MSX2 Spanish (Spaans)
- Meer keuzemogelijkheden voor specifieke machineconfiguraties, inclusief machineconfiguraties zonder diskettestation
- Alle machineconfiguraties bijgewerkt om een juiste FDC (floppy drive controller) te gebruiken
- Toegevoegd mappers voor 2 digitaal naar analoog-converteerders: Konami's Synthesizer, Matjusushi
- Ondersteuning MSX-AUDIO DAC
- Ondersteuning Pauze schakelaar
- Ondersteuning van extern werkgeheugen (RAM)
- Selectie van de videofrequentie toegevoegd
- Monitor weergavemodus toegevoegd
- Sneltoetsen toegevoegd om de emulator te minimaliseren en de bediening van de pauzetoets
- Oversampling van MSX-MUSIC, MSX-AUDIO en MoonSound toegevoegd
- Keuzevakje toegevoegd om de prioriteit van de emulator te verhogen, in- of uit te schakelen
- De ondersteuning van 1 of 2 FDC's (selecteerbaar in de machineconfiguratie-editor)
- Selectie van de Z80- en R800-kloksnelheid toegevoegd
- Twee nieuwe argumenten voor de commandoregel
- Een sneltoets toegevoegd oAdded om CPU trace in of uit te schakelen (voor ervaren gebruikers)
- De cassettedatabase toegevoegd en de romdatabase bijgewerkt
- Verschillende fouten in de VDP-timing herstelt
- Fout herstelt in de overflowdetectie voor CPU-belasting
- De gehele "Opslaan CPU-status" herschreven voor een betere achterwaartse compatibiliteit en opslaan van de cassette(band)positie
- De themaopties zijn verder uitgebreid met nieuwe triggers en acties, ondersteuning van schuifknoppen, lettertypen oorspronkelijk afkomstig uit Windows en clip regio's om de schermranden te verberegen

v 1.7.0 20 september, 2004

- Meer accuratesse, stabiliteit en prestaties door de implementatie van de M1-additionele wachtstaten, optimalisatie van de VD-emulatie en de terugkeer van de timings voor Z80, VDP en MSX-AUDIO
- Ondersteuning voor gepatchte diskrom is vervangen in alle generieke en speciale machineconfiguraties dankzij de ondersteuning van de Panasonic TC8566AF-diskettestationcontroller (FDC, floppy drive controller)
- Map als diskettefunctie
- Het onthouden van de positie van de dialoogschermen op het scherm
- Gereedschappen toegevoegd om nieuwe thema's voor de emulator te ontwikkelen met aanpasbare (gebruikers)schil
- Real interlace mode (als aanvulling op de deïnterlace modus)
- Verbeterde automatische detectie van type rommappers met een grootte van 8Kb
- Verbeterde kleurweergave voor Screen 8 en voor MSX2+-schermen
- Verbeterde vervolgkeuzelijst om type rommapper te selecteren
- Verbeterde MoonSound ondersteuning - met dank aan Wouter Vermaelen en het ontwikkelingsteam van openMSX (deze oplossingen worden opgenomen in de volgende versie van openMSX)
- Vereenvoudigt menu voor SCC/SCC+ (slechts twee keuzeopties i.p.v. vijf)
- Fouten herstelt in de emulatie van MSX-AUDIO en MoonSound
- Fouten herstelt in de MSX2+-horizontale scroll ondersteuning
- Verschillende fouten herstelt in de emulatie van de VDP
- Fout herstelt in de mapper (ascii16nf) voor Super Pierrot (het spel is ook bekend onder de naam Do! Run! Run!)
- Fout herstelt in de verversing van de menu's
- Fout herstelt wanneer een lege diskette of cassettebeeld wordt gecreëerd via het vragen om bestandsnaam
- Fout in het dialoogscherm Cassettepositie herstelt (bestanden werd niet juist weergegeven als "custom files checkbox" niet geselecteerd was)
- Fout herstelt in het dialoogscherm "Open bestand" (verwarring tussen sleuf 1 en 2)
- Fout herstelt in de optie "neem schermafdruk" als een ingepakt (zip-bestand) een bestandsmapstructuur bevat

v 1.6.0 27 juli, 2004

- Sneltoetseditor: gebruiker kan een lange lijst kenmerken koppelen aan toets(combinaties) of de joypad knoppen en verschillende profielen creëren
- Een alternatieve gebruikersschil ontwikkelt: het thema "DIGIblue". Met visualisering van de geluidsuitvoer (per geluidschip) en meer indicatoren over de geëmuleerde machine en de staat
- Koreaanse taalondersteuning
- Ondersteuning van DirectX voor joystick/joypad
- Bijgewerkt dialoogscherm joystickconfiguratie (Eigenschappen/Besturing)
- Schuifknoppen om de gamma, helderheid, contrast en verzadiging bij te stellen.
- Een schuifknop voor aanpasbare beeldlijnen (voor elk monitortype)
- Nieuwe schermafdrukmodi: het origineel (is gefilterd screenshot) , groot ongefilterd (544x480 beeldpunten), klein ongefilterd (272x240 beeldpunten)
- Meer up-to-date MSX-AUDIO
- Nieuw toetsklikemulatie
- Vernieuwde en uitgebreide romdatabase (vanaf nu geheel zelfstandig van de emulator)
- Ondersteuning van (de toekomstige) )cas- en dskdatabases
- Selecteren type rom voor ingepakte bestanden.
- Toegevoegd de mogelijkheid tot schakelen tussen weergeven/verbergen sprites
- Keuze van de standaard sleuf of station voor het slepen en neerzetten van bestanden
- Keuze om het type rommapper zelf te kiezen voor roms die niet zijn opgenomen in de romdatabase
- Fout herstelt in de Bunsetsu Mapper en werkt nu met FS-4500 & FS-4700
- Fout herstelt als tijdens de emulatie een ASCII8-rom wordt verwijderd
- Geluidsfouten herstelt: PSG-samples werken weer opnieuw, Panasonic MSX-AUDIO wordt goed herkend zonder gebruik van een speciale poke en er kunnen Disk Station diskettemagazines of spellen als Labyrinth of Xevious met MSX-AUDIO worden gespeeld
- Fout herstelt in de creatie van alle noodzakelijke bestandsmappen tijdens opstarten
- De video rendering uitgeschakeld wanneer de emulator geminimaliseerd is zonder dat de emulatie is gestopt

v 1.5.0 12 juni, 2004

- The entire timing scheme of the emulation and DirectDraw is replaced. The result is higher frame rate on slower PCs (< 1.4 GHz) and less interruptions in the sound.
- Verbeterde MSX1-emulatie: juiste weergave specifieke kleurenpalet, de CMOS is uitgeschakeld in MSX1-modus
- Volledige RTC-implementatie in MSX2/2+-modi, inclusief test en alarmregister
- De systeemroms zijn niet langer ingebed in het uitvoerbare bestand en de emulator wordt uitgebracht in twee versies: één inclusief de BIOS-roms als separate bestanden (net als NLMSX of paraMSX) en één die enkel de C-BIOS-rom en geen roms waar copyrights op rusten bevat
- Twee tellers toegevoegd: frames per seconde en het CPU-gebruik (belasting) van de emulator
- Een pauze- en stopknop toegevoegd aan de werkbalk
- Finse taalondersteuning
- Ondersteuning van meerdere verschillende SCC/SCC+-mappers
- De ondersteuning van ingepakte Opslaan CPU-status-bestanden (zip-formaat)
- Keuze om het type rommapper te kunnen kiezen in een vervolgkeuzelijst in het dialoogscherm Open cartridge
- Bijgewerkte horizontale uitrekking
- Juist spritepalet in screen 8
- Fouten gerepareerd m.b.t. dubbelklikken op een .dsk- of .rombestand: de emulator start nu met alleen dat bestand (het verwijdert iedere toegevoegde cartridge); indien blueMSX al wordt uitgevoerd, dubbelklikken heeft dan effect in de bestaande emulator
- Vastlopen muis herstelt, trad op wanneer de emulator loopt met een hoge snelheid
- Vastlopers herstelt wanneer de emulator werd uitgevoerd en de dialoogschermen werden verplaatst in het emulatievenster
- Fout herstelt met de eigenschappenpagina in volledige schermmodus
- Fout in de bijgewerkte werkbalk herstelt als de emulatie wordt gestopt of gestart
- selectiekeuzevierkantjes in het menu opties/emulatie om niet de emulatie te herstarten
- VDP-fout herstelt waardoor sommige Namcot MSX1-spellen faalden in screen 1
- Fout in de disk patch herstelt: het 'flushes' VDP-commando's correct (BGV #13 in Disk Station 17 en Rune Master nu show graphics correct)
- Fout herstelt in de machineconfiguratie-editor vervolgkeuzelijsten: klikken buiten de vervolgkeuzelijst zet niet de waarde terug
- Fouten herstelt in de geluidsmixerbesturing (positie van de balance schijfknop, volume wanneer mono wordt geselecteerd)
- Fouten herstelt in de emulatie van sprites en screen 6 horizontale scroll
- Fouten herstelt in de grafische gebruikersinterface
- Fout herstelt in de Opslaan CPU-Status van MSX1-machineconfiguraties

v 1.4.1 10 mei, 2004

- Algehele videoverbetering:
* Toevoeging van horizontale en verticale uitrekking met alle monitormodi voor een nog betere MSX-beleving.
* Implementatie van een stuurprogramma voor DirectDraw Hardware Acceleration dat video- en systeemgeheugen optimaliseer voor optimale prestaties,
- Algehele geluidsverbetering:
* Betere geluidsmixer
* Bijgewerkte MoonSound (minder vreemde geluiden)
* Ondersteuning van de MSX-AUDIO-cartridges (inclusief de schakelaar op de Panasonic cartridge)
* Verbeterde SCC-ondersteuning
- Nieuwe standaard machineconfiguraties: MSX2 French (Frans) en MSX2 German (Duits)
- Ondersteuning van kleinere buffergrootte voor het geluid
- Ondersteuning voor de bestandstypen: di1, di2, mx1 en mx2
- De registratie van bestandstypen in het tabblad Algemene instellingen. Dubbelklikken op een bestand start blueMSX
- Een romdb.dat romdatabase (aangemaakt in de rootmap als deze (nog) niet bestaat)
- Ondersteuning van Kanji-roms in de cartridgesleuven
- Ondersteuning van de Koreaanse 90-in-1-romcartridge
- Ondersteuning van PAC en Megaram in een speciaal submenu
- Slepen en neerzetten optie voor het bestandstype .sta
- Mouse/Joystickconfiguratie opgeslagen in Opslaan CPU-Status
- Muisproblemen herstelt
- Muis als joystick wanneer de linker knop aan het begin wordt ingedrukt
- Spelfout verbetert. "Joystick in Port #1" in "Joystick to Port #1"
- Mogelijkheid tot het uitschakelen van de Windows menutoetsen op het toetsenbord
- Correcte schermsplitsing in Screen 0 (een zeer saaie scroll in Anma's Relax)
- Bijgewerkte Diskette patch om de synchronisatie tijdens het wachten op VDP-commando's (XAK Tower of Gazzel)
- Bijgewerkte sprite-adressing
- Fout herstelt in de "Positie bepalen" voor ingepakte casbestanden
- Ondersteuning van Windows NT4 en Windows 95

v 1.4.0 23 april, 2004

- Ondersteuning MoonSound
- Nieuwe type megarommapper: blueMSX is de eerste emulator die KOEI cartridges ondersteund met 8kB en32kB SRAM
- Verbeterde ondersteuning van alle spellen met SRAM
- De ondersteuning van BASIC-spellen in het romformaat
- Correct overscangedrag(Matra games en Unknown Reality)
- Versie control in Opslaan CPU-status (om een opgeslagen CPU-status achterwaarts compatibel te maken en fouten te vermijden wanneer een oude CPU-status wordt geladen)
- Toevoegingen aan de interne romdatabase
- De emulatie van speciale toetsen op het Japanse toetsenbord gewijzigd
- Fout herstelt in de muisknopemulatie
- Fout herstelt in Screen 0 width 80
- Fout herstelt m.b.t. spritebotsingen en weergave in Screen 1-3
- Fout herstelt in de cassettemodus Alleen Schrijven
- Fout herstelt in Opslaan CPU-status (geluidschip werd niet opgeslagen)
- Fouten herstelt in vertalingen en menu's

v 1.3.0 11 april, 2004

- Machineconfiguratie-editor die externe systeemroms ondersteund
- Nieuwe standaard MSX2-machineconfiguraties: Arabisch, Braziliaans en Russisch
- Nieuwe mappers: Holy Quran, Matsushita, Panasonic, Bunsetsu en National
- Betere muisemulatie (de muis werkt nu in Princess Maker)
- Wisselen van meerdere diskettes met het gebruik van een virtuele FDD-index en weergave-indicatie van de geselecteerde disk in een venster
- Sneltoets voor het vangen of vrijgeven van de muiscapture
- Ondersteuning van de Italiaanse taal
- Betere prestaties door de uitschakelen van de Windows schermbeveiliging
- Het wissen en bepalen van het aantal bestanden in de bestandsgeschiedenis
- Bijgewerkte Opslaan CPU-status: het bewaard nu de gehele status met een betere bestandsbenaming
- Bijgewerkte standaard Japanse toetsenbordinstellingen
- Ondersteuning van MSX2+-horizontal scroll in Screen 4 en 6
- VDP timing-problemen herstelt (flikkering verwijdert in sommige spellen)
- Een fout herstelt in de schermafdruk wanneer deze werd geselecteerd via het menu
- Fouten herstelt wanneer PSG-samples werden afgespeeld
- Ondersteuning van de Panasonic front schakelaar
- Uitgebreide cassettegebruikersinterface
- Ondersteuning van fMSX-DOS en fMSX98/AT-diskettebeelden
- Maximale emulatiesnelheid sneltoets
- Fout herstelt wanneer er naar de volledige schermmodus werd geschakeld door dubbelklikken op de titelbalk
- Corrupte kleurenfout herstelt wanneer horizontale scroll in Screen 10 of 12 werd gebruikt

v 1.2.0 4 maart, 2004

- Ondersteuning van de modus interlace
- Belangrijke verbeteringen in de VDP-synchronisatie met de Z80
- In- of uitschakelen van MSX-AUDIO en/of MSX-MUSIC
- Schuifknoppen en sneltoetsen voor de besturing van de emulatiesnelheid
- Weergave van geluid werkt wanneer de emulatiesnelheid afwijkt van de normale snelheid
- Sneltoetsen voor het toevoegen van cartridges en diskettes
- Z80-timing fout herstelt, bijvoorbeeld in het spel TZR
- Ondersteuning van FMPAC-cartridge inclusief ondersteuning van SRAM
- Taal ondersteuning van: Engels, Frans, Japans, Nederlands, Portugees, Spaans en Zweeds
- Onthouden van individuele bestandsmappen voor cartridges, diskettes en cassettes
- Commandoregelargumenten
- Bijgewerkte sprite handling(grote sprites, kleuren beter, betere botsingsdetectie)
- Extra werkbalkknoppen: Start/Pauze en Help
- Bijgewerkte disk handling en format fout herstelt
- Een fout herstelt in de horizontale scroll in Screen 12
- Een fout herstelt in de AY8910-emulatie waardoor sommige samples niet juist werden afgespeeld
- Een fout herstelt in de ASCII-rommappers waardoor sommige roms niet correct werden uitgevoerd

v 1.1.1 5 februari, 2004

- Ondersteuning van MSX2+ horizontale scroll
- Juiste VRAM-adressering in screen 7 en 8
- Juiste 256/512 beeldpunt schermsplitsingsgedrag
- Verbeterde PSG en SCC geluidsweergave
- Ondersteuning van R-TYPE, Harry Fox en Blaim megaroms
- Ondersteuning van Koreaanse MSX1- en MSX2-systeemroms
- Ondersteuning van .CAS cassettebestanden
- Gebruik van DirectX voor toetsenbordinvoer (problemen herstelt als Win9x of AZERTY-toetsenbordindeling werd gebruikt)
- Opslaan CPU-status werkt met MSX-MUSIC en MSX-AUDIO
- Indicatoren voor Caps lock en Kana lock in de statusbalk
- Fout herstelt in het menu "Toevoegen diskette"
- Kleine fouten hersteld in de megarommapper
- Monor Z80 opcode bijgewerkt
- Verschillende niet-kritische fouten

v 1.1.0 15 januari, 2004

- Een gebruikershandleiding toegevoegd
- Een werkbalk toegevoegd aan de gebruikersinterface
- Ondersteuning van ASCII8 en ASCII16 megaroms met SRAM
- Ondersteuning van de SCC+-megarom met intern RAM
- Ondersteuning van warme herstart. (RAM wordt niet gewist bij herstart)
- Ondersteuning van het toevoegen en verwijderen van megaroms terwijl een emulatie wordt uitgevoerd
- Ondersteuning van MSX-AUDIO
- Verbeterde PSG-geluidsemulatie
- Ondersteuning van de selectie van de kloksnelheid van de processor
- Toegevoegd een schermafdrukoptie
- Verbeterde video rendering om het beeld minder te laten flikkeren
- Fout herstelt in de optie "Open CPU-status"
- Fout herstelt in de rommapper dat zorgde voor het falen van het commando call
- Fout herstelt in de ondersteuning van ingepakte rombestanden en waardoor Konami cartridgecombinaties zich vreemd gedroegen
- Fout herstelt dat blueMSX liet crashen wanner het dialoogscherm "Opslaan CPU-status" werd geannuleerd

v 1.0.5 7 december, 2003

- Stereo- en mono geluidsweergave
- Uitgebreide geluidsmixer om het volume en geluidsrichting van de individuele geluidschips te beïnvloeden in real-time
- Ondersteuning van ingepakte rom- en diskettebestanden (zip-formaat), inclusief slepen en neerzetten. Ondersteund de aanwezigheid van meerdere rom- of diskettes in hetzelfde ingepakte bestand
- Ondersteuning van de 512 beeldpuntenbreedte in SCREEN6, SCREEN7 en TEXT80 screen.
- Ondersteuning van de 256 kleuren weergave met SCREEN8
- Scale 2x monitor renderer
- Slepen en neerzetten naar het blueMSX-programmapictogram. De emulator start het versleepte bestand
- Een fout hersteld in de PSG die verhinderde dat sommige samples niet werden weergegeven
- Een fout hersteld in de BIOS-patch dat de PC liet vastlopen met sommige diskettes

v 1.0.4 30 november, 2003

- Ondersteuning van Japanse MSX1- en MSX2-systeemroms
- Ondersteuning van de Konami Game Master I en Game Master II-cartridge
- toegevoegd is de geluidsweergave bij een toetsaanslag
- Verfijnde emulatie van de SCC- en AY8910-geluidschips
- Bijgewerkte composiet monitor emulatie
- Bijgewerkte toetsenbordkoppelingen voor Europese toetsenborden
- Een fout herstelt dat de instellingen onopgeslagen liet op computers met Windows 95 en 98 (en misschien ook op andere systemen)
- Een fout herstelt in het cartridge- en diskette toevoegingmenu
- Een fout herstelt die soms de toevoeging van een diskette liet falen wanneer de emulator werd uitgevoerd in venstermodus
- Een fout herstelt die soms blueMSX liet crashen na 20 minuten
- Een fout herstelt die soms blueMSX liet crashen bij het afsluiten van blueMSX

v 1.0.3 24 november, 2003

- verbeterde timing in de emulator
- Videomodus optie toegevoegd in het menu video-instellingen en PAL- of NTSC-weergave kan worden geselecteerd. Nemesis2 en andere spellen worden nu met de juiste snelheid weergegeven
- ondersteuning voor Braziliaanse MSX1-systeemroms toegevoegd

v 1.0.2 22 november, 2003

- de ondersteuning van DirectX-geluid toegevoegd
- gedrag van DirectX-video gecorrigeerd

v 1.0.1 20 november, 2003

- De eerste officiële release van blueMSX